2006-04-18 23:42  sghosh

	* configure.in, package.def: version update - release pending

2006-04-17 17:08  opensides

	* po/fr.po:
	  Final commit of fr.po

2006-04-17 09:54  opensides

	* po/fr.po:
	  another big chunk of fr.po

	  Still 20 to go ;)

2006-04-16 10:24  opensides

	* po/fr.po:
	  big revision of po file for 1.4.3

2006-04-15 06:46  opensides

	* po/fr.po:
	  second part of fr.po updating

2006-04-14 18:44  opensides

	* po/: de.po, fr.po, nagios-plugins.pot:
	  updated pot file sarted updating fr.po for nagios 1.4.3

2006-04-12 06:00  seanius

	* plugins/check_ntp.c: the offset_requests are now parallelized.
	  still stuff needs to be done (conveniently marked with XXX), but
	  on well behaving networks the plugin should behave more or less
	  identical to check_ntp.pl now.

2006-04-12 02:33  seanius

	* plugins/check_ntp.c: added a currently unused but "good for
	  reference" version of offset_request which attempts to behave
	  more like ntpdate, but this doesn't yet and the code isn't
	  actually used yet.

2006-04-11 19:24  seanius

	* plugins/check_ntp.c: another big code-commit to check_ntp.
	  jitter calculations now work, and the program is becoming much
	  closer on the packet-for-packet level to how check_ntp.pl
	  behaves.  i'll send an email in the morning :)

2006-04-06 06:08  tonvoon

	* THANKS.in, plugins/utils.c: Stop coredump on Solaris if arg not
	  specified (Jason Kau - 1465288)

2006-04-05 04:11  tonvoon

	* CHANGES: Notice added re: check_udp in next release

2006-04-05 04:06  tonvoon

	* plugins/check_procs.c: Use pid_t for pids (1463853)

2006-04-05 03:58  tonvoon

	* plugins/: check_http.c, t/check_http.t: Allow multiple -k
	  parameters (Gerd Mueller - 1457726)

2006-04-05 02:58  seanius

	* plugins/check_apt.c: finally??? cvs works again????  let me dig
	  up my week-old cvs commit message.....

	  i'm becoming very happy with check_apt now :) - now has support
	  for an externally (configure.in) path to apt-get,   though i
	  still have that in #ifdefs for the time being.  - support for
	  defining what packages are "critical updates", via   the
	  already-existing security regexp or overridable on the cmdline -
	  allow overriding of apt-get cmdline options - introduce a "no
	  upgrade" in case someone just wants to check that   they can
	  download the package lists with -u but not check for upgrades.
	  might need to change the name of this option to prevent
	  confusion.  - improved -h documentation

2006-03-29 11:33  tonvoon

	* THANKS.in, plugins/check_tcp.c, plugins/utils.c, plugins/utils.h,
	  plugins/tests/test_utils.c: New function to for escaped strings
	  from command line for send/quit.  Adapted from Sebastian
	  Wiesinger's patch (1292404)

2006-03-29 10:30  tonvoon

	* NPTest.pm: Will die if signal received from a testCmd

2006-03-29 09:37  tonvoon

	* plugins/t/check_udp.t: Allow 1 second delay in check_udp timeout

2006-03-29 03:18  tonvoon

	* plugins/t/check_http.t: Fix possible timeout issue on
	  hostname_invalid

2006-03-29 03:13  tonvoon

	* plugins/t/check_dns.t: Fix test if response time is one second

2006-03-29 03:01  seanius

	* plugins/check_apt.c: now support for detecting critical/security
	  updates, which sets the return code to STATE_CRITICAL instead of
	  just STATE_WARNING as it was previously doing.

2006-03-27 03:39  tonvoon

	* plugins/t/check_udp.t: Set timeout within nc, rather than the
	  test script

2006-03-27 03:19  tonvoon

	* plugins/check_disk.c: Fixed bug with malloc of wrong size

2006-03-24 12:26  tonvoon

	* plugins/t/check_dns.t: Fixing defaults to work

2006-03-24 11:49  tonvoon

	* CHANGES: Reintroduced --with-mysql configure option. Note about
	  SSL cleanup

2006-03-24 11:25  tonvoon

	* plugins/check_http.c: -C now implies -S/--ssl as well

2006-03-24 11:13  tonvoon

	* plugins/t/: check_hpjd.t, check_http.t: Tests converted to new
	  style

2006-03-24 11:12  tonvoon

	* plugins/: check_tcp.c, t/check_udp.t: udp checks require and send
	  and receive option. Tests updated so if nc is available, will
	  check send and receive working correctly

2006-03-23 17:58  seanius

	* plugins/check_apt.c: - addition of include/exclude option for
	  package names in check_apt,	using POSIX regexp support.  -
	  various commenting and tidying of code/logic/output.	- still
	  haven't committed the Makefile.am/configure.in stuff.

2006-03-23 12:16  tonvoon

	* NPTest.pm, plugins/check_disk.c, plugins/t/check_disk.t:
	  check_disk now errors if a specified directory does not exist (cf
	  df /foo)

2006-03-23 11:06  tonvoon

	* plugins/t/check_disk.t: Some versions of Test::More do not like
	  the m#foo# syntax

2006-03-23 07:01  tonvoon

	* NPTest.pm, plugins/check_disk.c, plugins/t/check_disk.t:
	  Incorrect output when checking non-existent disk (John Rouillard
	  - 1326050)

2006-03-22 19:01  seanius

	* plugins/check_apt.c: more work on check_apt.	more graceful error
	  handling and information reporting, a couple new cmdline options.
	  still not quite ready for prime-time, maybe tomorrow :)

2006-03-22 12:32  tonvoon

	* REQUIREMENTS, configure.in: Reinstated --with-mysql option

2006-03-22 11:45  tonvoon

	* plugins/: check_dns.c, t/check_dns.t: Added warning and critical
	  response times (John Rouillard - 1343159)

2006-03-22 10:45  tonvoon

	* plugins/t/check_pop.t: Convert to new style tests

2006-03-22 10:45  tonvoon

	* THANKS.in, plugins/check_tcp.c: Options to change line ends for
	  -s and -q (John Rouillard - 1346104)

2006-03-22 09:32  tonvoon

	* plugins-scripts/check_log.sh: Remove PATH restriction

2006-03-22 09:17  tonvoon

	* plugins/: check_dns.c, t/check_dns.t: New style tests. Cleanup of
	  presentation of help. Added '' around -a checks

2006-03-22 08:18  tonvoon

	* plugins/check_by_ssh.c: Typo (Thomas Guettler - 1433447)

2006-03-22 07:59  tonvoon

	* plugins-scripts/: check_log.sh, utils.sh.in: Remove hardlink to
	  /bin/sed. Leave to PATH (Abs - 1391483)

2006-03-21 19:00  seanius

	* plugins/check_apt.c: initial version of a check_apt plugin... not
	  editing configure/Makefile.am's until i'm happier with it (better
	  output, better ways to define warning vs. critical thresholds...
	  etc).

2006-03-21 09:20  tonvoon

	* THANKS.in, configure.in: Stop check_dns from compiling if
	  nslookup does not exist (Sakari Lehtonen - 1412721)

2006-03-21 08:42  tonvoon

	* plugins/t/check_load.t: Updated to new Test::More method for
	  testing

2006-03-21 08:32  tonvoon

	* configure.in: Fix for mysql 3.x

2006-03-21 08:31  tonvoon

	* plugins/check_tcp.c: Return CRITICAL if hostname invalid, as per
	  guidelines

2006-03-21 07:56  tonvoon

	* tools/setup: Patch to workaround SFnot having libtool installed

2006-03-21 06:42  tonvoon

	* REQUIREMENTS, CHANGES, THANKS.in, configure.in,
	  plugins/Makefile.am, plugins/tests/Makefile.am: mysql discovery
	  based on mysql_config (Johan Fischer - 1359414)

2006-03-20 17:06  seanius

	* plugins/check_ntp.c: - shuffling some code around to keep things
	  tidy.  - now average the result of 4 queries just as ntpdate does
	  - put things in place for jitter calculation

2006-03-20 12:18  seanius

	* plugins/check_ntp.c: ipv6 support for c-version of check_ntp

2006-03-18 14:00  seanius

	* plugins/check_ntp.c: initial version of the pure-c check_ntp
	  implementation.  jitter not yet implemented, and a couple other
	  misc things to do, so i haven't yet patched Makefile.am

2006-03-18 09:47  seanius

	* plugins/check_http.c: return-logic related fix for cert checking,
	  thanks to emmet hogan.

2006-03-17 09:08  tonvoon

	* plugins/tests/test_utils.t: Better error message re: tap library

2006-03-17 09:07  tonvoon

	* REQUIREMENTS, configure.in, plugins/Makefile.am,
	  plugins/check_mysql.c, plugins/check_mysql_query.c,
	  plugins/t/check_mysql.t: mysql detection cleanup: fixes runtime
	  linking, autodetection of main locations, detection of lib64 and
	  different layouts

2006-03-17 05:20  tonvoon

	* doc/developer-guidelines.sgml: Added requirement for developer
	  system to have gnu libtool

2006-03-16 12:31  tonvoon

	* configure.in, plugins/tests/Makefile.am, tools/setup: Using
	  libtool to get runpath for tap library

2006-03-15 14:54  tonvoon

	* THANKS.in, plugins/check_mysql.c, plugins/t/check_mysql.t: Alert
	  on amount of time a slave is behind (Steven Kreuzer)

2006-03-13 12:59  seanius

	* plugins/check_swap.c: fix for (tracker id 1420741) "check_swap:
	  incorrect totals for multiple partitions (BSD)" thanks to scott
	  thompson

2006-03-13 06:08  tonvoon

	* plugins/check_ping.c: Change warning message if there is stderr
	  output. This catches a problem where time was shifting backwards
	  on a linux VMware guest during the ping

2006-03-07 05:33  tonvoon

	* plugins/t/check_http.t: Added tests for two external websites
	  with certificates

2006-03-07 05:23  tonvoon

	* plugins/t/check_http.t: Tests re-written in new object format

2006-02-24 12:03  tonvoon

	* doc/developer-guidelines.sgml: Updated doc as tap library is now
	  automatically discovered

2006-02-24 11:41  tonvoon

	* configure.in, plugins/tests/Makefile.am: Use the installed tap
	  library instead of requesting a compiled object

2006-02-17 04:08  tonvoon

	* THANKS.in, plugins/popen.c: SIGALRM could be received before
	  child_process is created (Jason Crawford)

2006-02-17 01:24  seanius

	* plugins/check_procs.c: set LC_NUMERIC to POSIX in check_procs.c

2006-02-01 08:23  tonvoon

	* plugins/t/check_mysql_query.t: If a mysql server has anonymous
	  login, tests will always fail

2006-02-01 06:53  tonvoon

	* plugins/tests/Makefile.am: Need to distribute perl test file

2006-01-31 11:48  tonvoon

	* CHANGES: check_mysql_query included

2006-01-31 11:47  tonvoon

	* REQUIREMENTS: Note on MacOSX difference in mysql package

2006-01-31 11:45  tonvoon

	* configure.in, plugins/Makefile.am: Clean compile of
	  check_mysql_query on MacOSX

2006-01-31 10:40  tonvoon

	* NPTest.pm: Sort ordering of tests

2006-01-31 09:52  tonvoon

	* configure.in, plugins/.cvsignore, plugins/Makefile.am,
	  plugins/check_mysql_query.c, plugins/utils.h,
	  plugins/t/check_mysql_query.t: Adding check_mysql_query, using
	  new ranges and threshold checking

2006-01-31 09:37  tonvoon

	* plugins/t/check_mysql.t: Extra explanation in tests

2006-01-31 09:36  tonvoon

	* plugins/tests/test_utils.c: Fixed invalid free

2006-01-31 05:06  tonvoon

	* doc/developer-guidelines.sgml: Updated instructions on using
	  libtap as configure option changed

2006-01-31 05:05  tonvoon

	* configure.in: Changed configure option to --with-libtap-srcdir
	  because requires tap.h as well as tap.o

2006-01-30 17:24  tonvoon

	* doc/developer-guidelines.sgml, plugins/utils.c, plugins/utils.h,
	  plugins/tests/test_utils.c: Clearly defined thresholds & ranges
	  in docs. Added get_status routine. Added set_thresholds routine.
	  Tests enhanced to check new routines

2006-01-30 11:10  tonvoon

	* configure.in, doc/developer-guidelines.sgml, plugins/Makefile.am,
	  plugins/utils.c, plugins/utils.h, plugins/tests/.cvsignore,
	  plugins/tests/Makefile.am, plugins/tests/README,
	  plugins/tests/check_disk, plugins/tests/check_dns,
	  plugins/tests/check_ftp, plugins/tests/check_hpjd,
	  plugins/tests/check_http, plugins/tests/check_load,
	  plugins/tests/check_ping, plugins/tests/check_procs,
	  plugins/tests/check_swap, plugins/tests/check_users,
	  plugins/tests/check_vsz, plugins/tests/test_utils.c,
	  plugins/tests/test_utils.t: Added libtap tests for utils.c
	  library functions. Removed redundant test files

2006-01-21 16:46  tonvoon

	* tools/sfsnapshot: Have to use own id for cvs checkout. Change
	  compile server because old one not working consistently

2005-12-19 04:25  tonvoon

	* NPTest.pm: Break out of testing if a new parameter is required

2005-12-16 13:41  harpermann

	* contrib/check_log2.pl: Added ability to output critical on error.
	  Fixed open so it properly fails if the log file open throws an
	  error, turned on -w in the perl call, fixed warnings

2005-12-15 12:06  tonvoon

	* NPTest.pm, plugins/check_mysql.c, plugins/t/check_mysql.t:
	  Display errors with slave queries correctly. Added extra tests
	  for slaves

2005-12-15 10:19  tonvoon

	* NPTest.pm, doc/developer-guidelines.sgml, plugins/t/check_disk.t:
	  New 3 parameter version of getTestParameters. Updated
	  check_disk.t to reflect.  Added notes re: testing in developer
	  guidelines.

2005-12-15 10:17  tonvoon

	* plugins-scripts/: check_file_age.pl, t/check_file_age.t: Allow
	  directories and links to be tested by check_file_age. Sanitise
	  output.  Added tests

2005-12-07 14:32  harpermann

	* plugins/urlize.c: Nagiosplug bug 1266977.  Added code to insert
	  the closing </A> after the plugin output but before the
	  performance output.

2005-12-07 10:10  tonvoon

	* THANKS.in, plugins/common.h: No floorf on Solaris 9 (Jon
	  Vandegrift - 1374705)

2005-12-02 17:28  tonvoon

	* THANKS.in, doc/developer-guidelines.sgml, plugins/check_nagios.c,
	  plugins/t/check_nagios.nagios1.status.log,
	  plugins/t/check_nagios.nagios2.status.dat,
	  plugins/t/check_nagios.t: Support for Nagios 1 and Nagios 2
	  status files (Gerhard Lausser - 1296242)

2005-12-02 17:25  tonvoon

	* plugins/t/.cvsignore: Ignore temporary files created for tests

2005-11-30 20:05  tonvoon

	* configure.in, config_test/Makefile, config_test/run_tests: Run
	  longer test on redhat for spopen/pthread problem. Allow
	  enable/disable of pthread fix via configure option

2005-11-29 19:49  harpermann

	* plugins-scripts/check_ntp.pl: Nagiosplug bug # 1251096 check_ntp
	  wasn't properly handing a bad exit status from the external
	  programs it calls (ntpdate and ntpq), so jitter wasn't set.
	  Added check of $? on close and proper error output if status from
	  the sub program call completion is non-zero.	This includes "host
	  not found".

2005-11-29 18:21  harpermann

	* contrib/check_email_loop.pl: UNKNOWN exit status was returning
	  status of "-1", changed to "3"

2005-11-29 18:19  harpermann

	* contrib/check_email_loop.pl: Bug: 1355304 Added patch for ePN and
	  perl warnings.  Fixed some text and a warning about type
	  comparison.

2005-11-18 07:56  tonvoon

	* tools/sfsnapshot: Create a permanent link to HEAD snapshot

2005-11-18 06:56  tonvoon

	* doc/developer-guidelines.sgml: Updated with more detailed
	  description of UNKNOWN states

2005-11-16 12:26  tonvoon

	* plugins/check_disk.c: Fixed some compile errors with new
	  translations. Also reintroduced formatting after discussion with
	  Benoit

2005-11-15 11:26  tonvoon

	* plugins/t/check_disk.t: Updated tests to minimise false
	  positives. Breaking down so more obvious what the tests are doing

2005-11-14 09:43  tonvoon

	* doc/developer-guidelines.sgml: Added section re: translations

2005-11-13 20:18  opensides

	* plugins/check_http.c:
	  localization cleaning ...  last commit before sleeping

2005-11-13 19:51  opensides

	* plugins/: check_dig.c, check_disk.c, check_dns.c, check_dummy.c,
	  check_fping.c, check_game.c:
	  start of the cleaning of the localization

2005-11-12 18:48  tonvoon

	* THANKS.in, plugins/t/check_disk.t: Updated check_disk tests to
	  use Test::More (Serhan Kiymaz)

2005-11-09 12:27  tonvoon

	* plugins/t/check_mysql.t: Using Test::More

2005-11-09 11:40  tonvoon

	* NPTest.pm, plugins/t/check_imap.t, plugins/t/check_swap.t: Added
	  new NPTest->testCmd which returns objects back for testing at the
	  test script level. Updated check_swap and check_imap to this new
	  format

2005-11-09 11:37  tonvoon

	* plugins/check_swap.c: Problem where absolute thresholds not
	  working on /proc/meminfo systems. Suffixed all variables with the
	  unit of measurement

2005-11-09 11:34  tonvoon

	* configure.in: Typo with predetermined values

2005-11-09 09:10  tonvoon

	* doc/developer-guidelines.sgml: Added copyright/license info
	  required in submissions

2005-11-09 04:31  tonvoon

	* doc/: NEW_STARTERS, developer-guidelines.sgml: Updated dev
	  guidelines to link to NagiosExchange. Removed project admin notes
	  from guidelines into separate file

2005-11-07 07:46  seanius

	* configure.in: incorporated patch from Elan Ruusamäe (ahmake) to
	  override program autodetection (see Feature Requests-1341528).  i
	  would not call this quite complete just yet (i'll explain more in
	  the tracker), but should be functional and useful enough to
	  commit now, in any case.

2005-11-04 04:38  tonvoon

	* THANKS.in, plugins/check_tcp.c, plugins/t/check_imap.t: Fixed
	  --mismatch option for check_tcp. Added tests into check_imap
	  (Rick Fey - 1339134)

2005-11-03 10:21  tonvoon

	* Makefile.am, tools/tinderbox_build: Adding new tinderbox build
	  script

2005-11-03 10:13  tonvoon

	* plugins/t/: check_disk.t, check_procs.t: Invalid mount point
	  doesn't make sense because most df implementations would work out
	  the actual mount point. And fixed typo in check_procs.t

2005-11-03 10:04  tonvoon

	* NPTest.pm, plugins/t/check_http.t, plugins/t/check_time.t: Fixing
	  some test failures

2005-11-02 03:59  seanius

	* plugins/check_disk.c: #995761: patch from ben o'hara to include
	  inode calculations in 	 check_disk.c.

	  previous commit also had a patch for smtp auth support, but i
	  accidentally sent a blank commit message.

2005-11-02 03:47  seanius

	* plugins/check_smtp.c: check_smtp.c

2005-10-31 15:03  seanius

	* configure.in, plugins/check_game.c, plugins/check_http.c,
	  plugins/check_nagios.c, plugins/check_snmp.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/common.h,
	  plugins/netutils.c, plugins/netutils.h, plugins/sslutils.c: code
	  cleanups, largely resulting from turning on -Wall.  mostly unused
	  variables and explicit casting issues, but there were a couple
	  gotchas in there too.

2005-10-30 17:45  seanius

	* plugins/Makefile.am: turned on -Wall in plugins/Makefile.am via
	  AM_CFLAGS.  shouldn't keep our heads in the sand for potential
	  errors, after all :)

2005-10-30 13:05  seanius

	* plugins/check_tcp.c: another fix from alex: check for '/' in the
	  server_address before trying to resolve it via is_host().

2005-10-30 05:25  seanius

	* plugins/check_tcp.c: fixes for some bugs found in my merging of
	  the tcp socket patch

2005-10-29 11:38  seanius

	* plugins-scripts/check_log.sh: check_log fixes from Ade Rixon

2005-10-29 08:46  seanius

	* plugins/Makefile.am: patch from nsturm: Makefile.am should have
	  been checking for check_ldap instead of check_ldaps.	the result
	  was that check_ldaps was not being created during the build
	  process.

2005-10-25 06:38  seanius

	* COPYING, configure.in, plugins/Makefile.am, plugins/check_tcp.c,
	  plugins/netutils.c, plugins/netutils.h, plugins/utils.h,
	  po/de.po, po/fr.po: - added code to allow check_tcp (via
	  np_net_connect) work with local   unix sockets.  some testing
	  would be welcome.  based on idea from   Alex Samorukov.  - also
	  introduced a check_clamd behavior in check_tcp.

2005-10-24 07:10  seanius

	* plugins/: Makefile.am, check_by_ssh.c, check_dig.c, check_dns.c,
	  check_game.c, check_nagios.c, netutils.c, runcmd.c, runcmd.h,
	  utils.c, utils.h: initial merging of ae's np_runcmd code into
	  selected plugins.

2005-10-23 08:01  seanius

	* configure.in: whoops, missed this one, same as last commit

2005-10-23 07:59  seanius

	* plugins/: Makefile.am, netutils.c, sslutils.c: -
	  compartmentalized ssl code into seperate sslutils.c - ssl-related
	  cleanups in configure.in, and now openssl/gnutls options
	  automatically disable each other.

2005-10-19 16:22  seanius

	* plugins/: check_http.c, check_smtp.c, check_tcp.c, netutils.c,
	  netutils.h: all plugins now using centralized ssl functions in
	  netutils.c

2005-10-19 09:05  seanius

	* plugins/check_http.c: endif was a few lines off of where it
	  should be

2005-10-19 08:59  seanius

	* configure.in, plugins/Makefile.am, plugins/check_http.c,
	  plugins/check_smtp.c, plugins/check_tcp.c, plugins/common.h,
	  plugins/netutils.c, plugins/netutils.h, plugins-root/Makefile.am:
	  - initial attempt at consolidating ssl-related code into
	  netutils.{c,h} - added some #ifdefs to common.h and netutils.h to
	  prevent multiple   inclusions (as netlibs now includes common.h)
	  - all ssl plugins (tcp/http/smtp) compile cleanly against gnutls,
	  though   certificate checking still needs to be done.  - modified
	  configure script so you can also explicitly say "without-gnutls"
	  too (otherwise if you disable openssl you have no way of
	  disabling   gnutls too)

2005-10-18 18:35  seanius

	* configure.in, plugins/check_tcp.c: initial "experimental" support
	  for gnutls.  by default openssl is still used if available, and
	  gnutls is only used if openssl is not available or explicitly
	  disabled (--without-openssl).   currently the only plugin i've
	  verified to work is check_tcp, but i had to disable cert
	  checking.

2005-10-18 05:26  tonvoon

	* README: Added license information to README with exemption for
	  use of OpenSSL

2005-10-13 07:51  tonvoon

	* configure.in: Run spopen tests for Redhat ES SMP (Hans Engelen)

2005-10-13 06:22  seanius

	* po/de.po: debian bts #313960: - grammatical german fixes.  i'm
	  taking the reporter's word for it :)

2005-10-13 06:20  seanius

	* plugins-scripts/check_ntp.pl: debian bts #268044: - use a "less
	  beastly" regex for parsing ntpq output.  probably need   some
	  more widespread testing on this one.

2005-10-13 06:18  seanius

	* plugins/check_disk.c: debian bts #296278: - it seems that when
	  check_disk uses the "df" routines and is told to   check a
	  non-mountpoint, it would check the filesystem on which the
	  directory was mounted (i.e. /var/log -> /var if no /var/log
	  mount).    the system-call routines now do this too.	might need
	  a bit more	widespread testing, but looks good for me and i did
	  it without	modifying any of the system-call-specific
	  codeblocks.

2005-10-13 06:16  seanius

	* plugins/check_game.c: debian bts #307905: - someone changed the
	  cmdline syntax of check game without also   updating the
	  usage/help function ;p

2005-10-13 06:14  seanius

	* plugins-scripts/check_disk_smb.pl: debian bts #300701: -
	  check_smb fix for freespace threshold parsing from the cmdline
	  options.

2005-10-13 06:11  seanius

	* plugins/check_smtp.c: multiple fixes in check_smtp from debian
	  (bts #285554): - fix for double free via SSL_CTX_free.  looks
	  like the previous author   knew this was a problem but didn't
	  care enough to fix it ;p.  - use defines instead of const chars
	  for SMTP strings.  - default to send our fqdn (via gethostbyname
	  lookup on gethostname)   in the HELO string, as this is an
	  RFC/SMTP requirement.  overridable   via cmdline.  - use EHLO
	  instead of HELO if using STARTTLS, as it is not SMTP but   ESMTP.
	  - verify the server supports STARTTLS before initializing it.  -
	  always send QUIT before disconnecting when possible.

2005-10-13 05:58  seanius

	* plugins/check_mrtg.c: was this plugin even working?  i don't
	  think the if/else logic was doing what was intended.

2005-10-13 05:55  seanius

	* plugins/check_mysql.c: check mysql now reads [client] defaults
	  from my.cnf (debian bug #278817)

2005-10-06 08:16  seanius

	* plugins/check_ups.c: fix for misreporting temperature in perfdata
	  output for check_ups (debian bts id: #316534)

2005-10-06 08:12  seanius

	* configure.in, plugins-root/Makefile.am: whoops.  now using
	  automake conditionals to prevent attempted compiles of pst3 on
	  non solaris systems.

2005-09-25 12:34  seanius

	* plugins-root/Makefile.am: added rules to Makefile.am for pst3

2005-09-24 16:01  seanius

	* configure.in: a final change to hardcode the path for where
	  plugins are installed.  it's a very, very ugly hack... if anyone
	  can think of a better way to do it, i'm all ears.

2005-09-22 08:10  seanius

	* configure.in: use test instead of '[ ... ]' in configure.in.	the
	  check_procs/pst3 situation is still not quite fixed.

2005-09-22 05:43  seanius

	* THANKS.in, configure.in, plugins-root/pst3.c: first version of
	  bob ingraham's pst3 to allow checking for longer cmdline names
	  than otherwise possible, by querying solaris kmem directly (ps
	  forcibly truncates).	added requisite configure.in voodoo and
	  updated THANKS.in.

2005-09-22 04:10  tonvoon

	* po/POTFILES.in: Mark moving of check_dhcp and check_icmp for
	  translation

2005-09-21 09:07  tonvoon

	* AUTHORS, THANKS.in: Updated with contributors and new team member

2005-09-21 09:04  tonvoon

	* plugins/check_nwstat.c: Reopen connections for each query
	  (1296296 - David Sullivan)

2005-09-21 06:09  tonvoon

	* plugins/: check_dhcp.c, check_icmp.c: Moved into plugins-root/

2005-09-21 06:06  tonvoon

	* ACKNOWLEDGEMENTS, CHANGES, Makefile.am, README, configure.in,
	  plugins/Makefile.am, plugins-root/.cvsignore,
	  plugins-root/Makefile.am, plugins-root/check_dhcp.c,
	  plugins-root/check_icmp.c: Separation of root setuid plugins into
	  plugins-root/

2005-09-20 12:11  tonvoon

	* configure.in: Incorrect assignment of procppid in configure.in
	  (1296497 - Pascal Larisch)

2005-09-20 07:34  tonvoon

	* configure.in, plugins/t/check_procs.t: Support for Tru64 for
	  check_procs + additional test cases

2005-09-19 10:18  tonvoon

	* doc/RELEASING: Note to update version number before creating
	  ChangeLog

2005-09-19 09:51  tonvoon

	* configure.in, package.def: For 1.4.2 release

2005-09-19 09:48  tonvoon

	* ChangeLog: Updated for 1.4.2 release

2005-09-19 09:46  tonvoon

	* doc/RELEASING: Reminders for news item and tag format

2005-09-19 09:42  tonvoon

	* BUGS: Updated BUGS for 1.4.2 release

2005-09-19 06:58  tonvoon

	* THANKS.in: More contributors

2005-09-15 04:39  tonvoon

	* plugins/t/check_ping.t: Added test to make sure hostname has to
	  be specified

2005-09-15 04:27  tonvoon

	* plugins/: check_procs.c, check_swap.c: - Cleanup minor compile
	  errors on Irix

2005-09-14 10:40  tonvoon

	* plugins/check_ping.c: Using common message

2005-09-14 10:36  tonvoon

	* plugins/check_ping.c: Required hostname not flagging as an error

2005-09-14 08:40  tonvoon

	* plugins/Makefile.am: Some makes do not like blank lines after
	  "\". Fixed check_ldaps to only generate if check_ldap was created
	  (Chester Hosey)

2005-09-14 05:53  tonvoon

	* plugins/check_load.c: Fix to parsing of uptime (Ronald Tin -
	  1254656)

2005-09-14 05:49  tonvoon

	* configure.in: - Removing typos

2005-09-13 11:48  tonvoon

	* plugins/check_ping.c: More diagnostic messages from check_ping

2005-09-12 07:20  seanius

	* plugins/check_ping.c: re-add a call to setlocale(LC_ALL, "") in
	  check_ping.c

2005-09-12 06:37  tonvoon

	* THANKS.in: For help in fixing Red Hat problem with ECHILD and
	  waitpid

2005-09-12 06:31  tonvoon

	* plugins/popen.c, Makefile.am, configure.in, config_test/Makefile,
	  config_test/child_test.c, config_test/run_tests: ECHILD error at
	  waitpid on Red Hat systems (Peter Pramberger and Sascha Runschke
	  - 1250191)

2005-08-30 18:11  tonvoon

	* plugins-scripts/subst.in: Better comments for what the
	  substitutions are doing

2005-08-01 17:30  tonvoon

	* doc/BRANCHING: Move notes on branching away from RELEASING

2005-08-01 17:28  tonvoon

	* package.def: For 1.4.1 release

2005-08-01 17:23  tonvoon

	* ChangeLog, configure.in, BUGS, REQUIREMENTS: For 1.4.1 release

2005-07-25 10:17  illumino

	* NPTest.pm: Change the environment variable NPTESTCACHE to
	  NPTEST_CACHE for consistancy

2005-07-24 21:47  illumino

	* Helper.pm, Makefile.am, NPTest.pm, configure.in, test.pl.in,
	  plugins/t/check_disk.t, plugins/t/check_dns.t,
	  plugins/t/check_fping.t, plugins/t/check_ftp.t,
	  plugins/t/check_hpjd.t, plugins/t/check_http.t,
	  plugins/t/check_imap.t, plugins/t/check_load.t,
	  plugins/t/check_mysql.t, plugins/t/check_ping.t,
	  plugins/t/check_pop.t, plugins/t/check_procs.t,
	  plugins/t/check_smtp.t, plugins/t/check_snmp.t,
	  plugins/t/check_swap.t, plugins/t/check_tcp.t,
	  plugins/t/check_time.t, plugins/t/check_udp.t,
	  plugins/t/check_users.t, plugins/t/check_vsz.t,
	  plugins-scripts/t/check_rpc.t: [1185704] New Testing
	  Infrastructure.  Complete rewrite of the original testing
	  infrastructure and all test cases (to use the new infrastructure)
	  See NPTest.pm and issue 1185704 for more details.

2005-07-20 18:39  tonvoon

	* THANKS.in: More contributors

2005-07-20 18:38  tonvoon

	* plugins/check_ping.c: Fix parsing for netkit-ping and
	  iputils-ping (Christian G Warden)

2005-07-11 18:15  tonvoon

	* plugins/check_nwstat.c: Miscelleneous bug fixes (Gerd Mueller -
	  1235879)

2005-07-09 00:44  tonvoon

	* BRANCHES: Changed format (already!) for awk simplicity

2005-07-09 00:03  tonvoon

	* BRANCHES: Master file to describe the current branches in CVS.
	  Will be used by sfsnapshot to create the snapshot tarballs

2005-07-06 18:21  tonvoon

	* configure.in: Removed ",", causing problems with MacOSX compile

2005-07-06 18:10  tonvoon

	* plugins/check_swap.c: Updated help file to remove swap -s
	  reference (Sivakumar Nellurandi)

2005-07-06 17:00  tonvoon

	* AUTHORS, THANKS.in: Sean Finney moved to main list of plugin
	  developers

2005-07-04 05:52  opensides

	* contrib/tarballs/check_traffic-0.90b.tar.gz:
	  replace the version of check_traffic who was missing the plugin
	  by a good one

2005-06-29 00:11  seanius

	* plugins/: runcmd.c, runcmd.h: initial versions of the runcmd
	  framework by andreas

2005-06-28 21:04  seanius

	* plugins/check_swap.c: divide by 0 fix for check_swap

2005-06-27 22:26  seanius

	* plugins/check_load.c: set LC_NUMERIC to POSIX in check_load
	  (1164325)

2005-06-27 20:26  seanius

	* configure.in, plugins/Makefile.am, plugins/check_swap.c: scanf
	  parsing fix for check_swap from tracker id 1123292.  now use
	  floor(3) to round down floating point numbers.  requires -lm on
	  many systems, so support for testing for this was added to the
	  configure.in and automake template

2005-06-27 09:07  seanius

	* plugins/check_hpjd.c: fixes from richard brodie (tracker id
	  1216576)

2005-06-26 12:27  seanius

	* contrib/: check_dl_size.pl, check_ftpget.pl, check_logins.c,
	  check_mysql.c, check_mysql.pl, check_mysqlslave.pl,
	  check_nwstat.pl, check_pop3.pl, check_procl.sh, check_procr.sh:
	  spring cleaning of contrib directory from andreas

2005-06-26 12:18  seanius

	* contrib/tarballs/: berger-ping.tar.gz, check_memory.tgz,
	  check_spread.tar, radius.tar.gz: removal of obsolete tarballs

2005-06-25 21:23  seanius

	* plugins/check_swap.c: "asprintf madness" fix from andreas' patch
	  to np-d, minus the comments.

2005-06-05 13:43  seanius

	* plugins/check_tcp.c: check_tcp code cleanup from andreas plus fix
	  to andreas' patch from sean

2005-06-03 09:53  seanius

	* plugins/check_procs.c: gcc 2.x fixes from edward

2005-06-01 15:41  sghosh

	* plugins/check_snmp.c: only load mibs if needed or specified -
	  patch 1212395

2005-05-27 21:21  seanius

	* plugins/check_load.c: bugfixes to check_load thanks to andreas

2005-05-25 22:13  seanius

	* plugins/check_mysql.c: fix for check_msyql so that it doesn't use
	  column numbers but the names instead for determining slave
	  status.  thanks to james kingston.

2005-05-25 13:42  sghosh

	* plugins/check_time.c:  64bit sys support - 1185713

2005-05-25 11:40  sghosh

	* plugins/check_snmp.c: support for getnext - 1106430

2005-05-25 10:25  sghosh

	* plugins/check_ping.c: RH9 pattern

2005-05-25 10:05  sghosh

	* plugins-scripts/check_ntp.pl: perfdata patch - 1172539

2005-05-24 23:37  sghosh

	* plugins-scripts/check_ntp.pl: new option for zero offset -
	  1159317

2005-05-24 23:23  sghosh

	* plugins/check_snmp.c: v2c support - 1155754

2005-05-24 20:43  seanius

	* configure.in, plugins/check_nagios.c, plugins/check_procs.c:
	  fixes for check_procs: - added support for printing the pid in
	  all the ps outputs - don't use the proc name to ignore self, use
	  the pid vs getpid().	- initialize procetime to null string
	  otherwise -vvv can have funny results

2005-05-24 20:30  seanius

	* plugins/: check_tcp.c, netutils.c, netutils.h: bah, my_connect is
	  taken by mysql.  now calling it np_net_connect.

2005-05-24 18:33  sghosh

	* plugins-scripts/check_ntp.pl: patched bug id 1200030 - regex
	  update

2005-05-24 18:10  sghosh

	* plugins-scripts/check_ntp.pl: patched bug id 1204636

2005-05-24 16:25  seanius

	* plugins/: check_tcp.c, netutils.c, netutils.h: optimizations and
	  cleanup from andreas

2005-05-23 01:09  seanius

	* nagios-plugins.spec.in: build fix

2005-05-02 22:00  seanius

	* plugins/check_ping.c: setlocale(LC_ALL, "") should be
	  setlocale(LC_NUMERIC, "C") to properly parse the output of ping.

2005-05-02 21:52  seanius

	* plugins/check_tcp.c: if check_tcp was called with -e but not -s,
	  it would hang in a call to my_recv.  the fix committed here adds
	  on more piece of logic to the check to see if more data needs to
	  be read, avoiding the deadlock call.	a better fix would be to
	  not use these "voodoo" heuristics and instead use poll() or
	  select(), but that's quite a bit more complicated.

2005-05-01 16:12  seanius

	* plugins/: popen.c, popen.h: better error checking in spopen
	  signal handler (see 1107524)

2005-05-01 15:50  seanius

	* configure.in: provide a --with-perl option

2005-04-28 20:27  stanleyhopcroft

	* contrib/check_sybase: check_sybase 0.7 from Simon Bellman. Thx

2005-04-18 20:16  seanius

	* plugins-scripts/check_ntp.pl: regexp fix for check_ntp

2005-04-18 20:09  seanius

	* configure.in: check for the -w flag for ping6 as well as ping

2005-04-17 18:22  seanius

	* plugins-scripts/check_disk_smb.pl: also change the --help output
	  to reflect that check_disk_smb defaults to empty passwords

2005-04-16 02:09  seanius

	* plugins-scripts/check_disk_smb.pl: patch to check_disk_smb to
	  allow empty passwords

2005-04-14 00:13  seanius

	* plugins-scripts/check_mailq.pl: check_mailq fix, don't be case
	  sensitive matching /^\s+Total\sRequests:\s(\d+)$/

2005-04-14 00:07  seanius

	* plugins-scripts/check_ntp.pl: typographical fix in check_ntp

2005-04-11 14:02  seanius

	* plugins/check_ssh.c: properly call close() on the ssh connection
	  before exiting.

2005-04-10 23:07  seanius

	* configure.in, plugins/check_tcp.c: this should add support for
	  check_ssmtp, based on the 1.3.x patch in 1155562, but fixed to
	  follow how things are done in 1.4 (using strdup instead of
	  asprintf) and patching configure.in instead of configure.

2005-04-07 00:33  seanius

	* plugins/check_smtp.c: in honor of joining up, my first bugfix.
	  this should resolve 1174070.

	  note i don't have an exchange server to test this against, but it
	  does what the requester mentioned (slightly cleaner than the
	  patch attached in the tracker).

	  it does, however, still work against my own postfix server :)

		  sean

2005-04-05 17:26  harpermann

	* plugins/check_snmp.c: This is a first cut at adding performance
	  data to check_snmp.  I wasn't sure how to handle UOM so only
	  values that return SNMP type Counter32: are labled with "c".	All
	  other values have a blank UOM.  I also left off warn, crit, max
	  and min values in the performance data until we come up with a
	  way to handle them.

2005-04-04 14:25  tonvoon

	* THANKS.in: More contributors

2005-04-04 14:23  tonvoon

	* plugins/: check_smtp.c: Fix static buffer (Nikolay Sturm)

2005-03-17 22:14  mattkent

	* plugins/check_mysql.c: Replication check support for 4.1.x from
	  Gerrit Beine

2005-03-08 01:19  tonvoon

	* plugins-scripts/check_ntp.pl: Added OS info for offset issue

2005-03-04 17:20  tonvoon

	* plugins-scripts/check_ntp.pl: Ignore extra check on offset
	  0.00000 (John Warburton - 1150777)

2005-03-04 17:10  tonvoon

	* plugins/: check_disk.c, check_smtp.c, check_ups.c: Fixed //
	  comments

2005-03-04 16:58  tonvoon

	* plugins/: check_disk.c, check_smtp.c, check_ups.c: Fixed //
	  comments (Steve Greenland - 1143836)

2005-03-04 16:50  tonvoon

	* plugins-scripts/check_ntp.pl: Support for IPv6 (Merijn Evertse -
	  1119917)

2005-03-04 16:04  tonvoon

	* configure.in, package.def: Changed to next version number

2005-03-04 16:03  tonvoon

	* doc/RELEASING: Notes on branching

2005-03-04 15:43  tonvoon

	* CHANGES: Missed check_disk addition to 1.4

2005-02-11 06:49  stanleyhopcroft

	* plugins/Makefile.am: Fix for check_icmp build on Solaris from
	  Andreas Ericsson <ae@op5.se>

2005-02-03 19:44  tonvoon

	* configure.in: For 1.4 release

2005-02-03 19:43  tonvoon

	* ChangeLog: Updated for 1.4 release

2005-02-03 19:29  tonvoon

	* BUGS: New file to note known bugs for major releases

2005-02-03 19:28  tonvoon

	* CHANGES: Reordering of items with most important announcements
	  first

2005-02-03 19:27  stanleyhopcroft

	* contrib/check_oracle_tbs: New version (1.1) from John Koyle

2005-02-03 19:26  tonvoon

	* Makefile.am: BUGS file addition to release

2005-02-03 19:26  tonvoon

	* README: Cleanup and addition of reference to BUGS file

2005-02-03 19:25  tonvoon

	* doc/RELEASING: Updated with corrections. Added note to update
	  BUGS file

2005-02-03 18:52  tonvoon

	* THANKS.in: Patch against check_log

2005-02-03 18:51  tonvoon

	* plugins-scripts/check_log.sh: Check for log file readability

2005-02-02 04:47  stanleyhopcroft

	* contrib/check_email_loop.pl: Add debug option from John Rouillard

2005-02-02 01:42  stanleyhopcroft

	* plugins/check_ide_smart.c: try again to stop looping

2005-02-02 00:44  stanleyhopcroft

	* plugins/check_ide_smart.c: restructure main() to stop looping on
	  -n

2005-02-01 07:43  stanleyhopcroft

	* contrib/check_traceroute-pure_perl.pl: Thank you to Myke Place
	  for check_traceroute-pure_perl.pl

2005-02-01 07:42  stanleyhopcroft

	* THANKS.in: Thank you for contributed plugins

2005-02-01 07:30  stanleyhopcroft

	* plugins/Makefile.am: check_icmp added to libexec_PROGRAMS

2005-02-01 07:25  stanleyhopcroft

	* CHANGES: check_icmp no longer regarded as volatile; built by
	  default

2005-02-01 07:23  stanleyhopcroft

	* plugins/linux.h: plugins/linux.h, vestigeal header required for
	  prior versions of check_icmp, no longer required.

2005-02-01 02:35  stanleyhopcroft

	* CHANGES: Amendments for check_icmp

2005-02-01 02:34  stanleyhopcroft

	* plugins/Makefile.am: hacks to partly support check_icmp.c (1.0).

2005-02-01 02:33  stanleyhopcroft

	* plugins/check_icmp.c: Revised check_icmp (1.0) from A Ericsson.

2005-01-31 23:19  stanleyhopcroft

	* contrib/: check_asterisk.pl,
	  check_http-with-client-certificate.c, check_email_loop.pl,
	  tarballs/check_traffic-0.91b.tar.gz: New or revised plugin in
	  /contrib

2005-01-28 17:42  stanleyhopcroft

	* contrib/check_sybase: New version of Simon Bellwoods check_sybase
	  (0.4). Thank you.

2005-01-27 05:34  stanleyhopcroft

	* contrib/check_traceroute.pl: Jon Meek's check_traceroute for Mon
	  hacked by YT for Nagios. Prob pretty weak

2005-01-27 05:32  stanleyhopcroft

	* contrib/check_smart.pl: Candidate successor to
	  /plugins/check_ide_smart.c. Now in /contrib. NB there is another
	  new plugin with sim function

2005-01-26 23:52  stanleyhopcroft

	* contrib/: check_fan_cpq_present, check_fan_fsc_present,
	  check_temp_cpq, check_temp_fsc, check_mysqlslave.pl: New /contrib
	  plugin

2005-01-26 23:43  stanleyhopcroft

	* contrib/: check_pfstate, check_logins.c, check_arping.pl,
	  check_frontpage, check_oracle_tbs, check_pcpmetric.py,
	  check_cpqarray.c: New /contrib plugin

2005-01-26 21:27  stanleyhopcroft

	* CHANGES, THANKS.in, contrib/README.TXT, po/de.po, po/fr.po:

	  1 New /contrib plugins 2 Revised check_dhcp.c status in CHANGES

2005-01-26 20:38  harpermann

	* plugins/Makefile.am: Added check_dhcp bask into libexec_PROGRAMS
	  after talking with Stanley.

2005-01-26 16:39  tonvoon

	* THANKS.in: More contributors

2005-01-26 16:21  tonvoon

	* plugins/check_dig.c: Convert tabs to spaces from dig's answer
	  section (Randy O'Meara - 1107651)

2005-01-26 15:53  tonvoon

	* REQUIREMENTS: Add recommendation for check_procs on Mandrake
	  systems (Paulo Fessel - 1106849)

2005-01-25 17:15  stanleyhopcroft

	* plugins/check_ide_smart.c: Display usage if no argv (Reuben
	  Farrelly)

2005-01-25 13:11  harpermann

	* plugins/check_dhcp.c: Tracker:1109261  This was an alignment
	  problem on Solaris.  Linux kernel fixes alignment so this was not
	  seen there.  Memcpy takes care of proper alignment.  Tested on
	  RHEL V3 U3, RHEL V4, FreeBSD 4.10 (Thanks Stanley!) and Solaris 9
	  with the GNU env.

2005-01-25 07:43  stanleyhopcroft

	* plugins/check_ide_smart.c: Trivial text changes (print_help,
	  commentary & -n option)

2005-01-25 04:20  stanleyhopcroft

	* contrib/tarballs/check_icmp-0.8.tar.gz: moved to /plugins (core
	  plugin)

2005-01-25 04:19  stanleyhopcroft

	* contrib/tarballs/check_cit.tgz: replaced by contrib/check_ica*
	  (esp check_ica_metaframe_pub_apps)

2005-01-25 04:16  stanleyhopcroft

	* contrib/check_dhcp.c: moved to /plugins (core plugin)

2005-01-25 04:15  stanleyhopcroft

	* contrib/check_citrix: Replaced by the check_ica* pair of plugins
	  (mainly check_ica_metaframe_pub_apps)

2005-01-25 04:12  stanleyhopcroft

	* contrib/packet_utils.pm: packet creation and dumping hacks used
	  by check_ica* and check_lotus

2005-01-25 04:09  stanleyhopcroft

	* contrib/check_ica_master_browser.pl: New plugin - checks that ICA
	  master browser is what it should be (important for firewalled
	  dialup)

2005-01-25 04:07  stanleyhopcroft

	* contrib/check_ica_metaframe_pub_apps.pl: Replacement (structured
	  name mainly) for check_citrix: check of ICA browse service

2005-01-25 04:05  stanleyhopcroft

	* contrib/check_ica_program_neigbourhood.pl: New plugin to check
	  Citrix Metaframe XP "Program Neighbourhood"

2005-01-25 04:04  stanleyhopcroft

	* contrib/check_lotus.pl: New plugin to check responsiveness of
	  Louts Notes (v5 at least) servers

2005-01-24 18:17  stanleyhopcroft

	* plugins/Makefile.am: Removed check_dhcp and check_icmp from
	  libexec_PROGRAMS (ie dont build by defaut)

2005-01-24 18:15  stanleyhopcroft

	* CHANGES: Notes about check_dhcp and check_icmp (no longer built
	  by default, use at own peril, volatile)

2005-01-21 04:24  stanleyhopcroft

	* configure.in: Set arch specifc preprocessor symbols in config.h.
	  TEMPORARY hack for check_dhcp.c [on FreeBSD 4: /check_dhcp -i
	  fxp0 -> DHCP ok: Received 1 DHCPOFFER(s), max lease time = 259200
	  sec.

2005-01-20 20:03  harpermann

	* plugins/check_snmp.c: Tracker 1106378 fixed - The -t (timeout)
	  arg was not handled correctly when passed to the snmpget command.
	  Added -e --retries for the correct retries value to snmpcmd.

2005-01-20 19:01  tonvoon

	* doc/developer-guidelines.sgml: Changing copyright to the Nagios
	  Plugins Development Team, rather than individual names. Also,
	  clarified use of ACKNOWLEDGEMENTS, THANKS.in and AUTHORS

2005-01-20 18:40  harpermann

	* plugins/check_http.c: Changed long argument --minmax to
	  --pagesize and updated help and usage

2005-01-20 18:39  tonvoon

	* AUTHORS, Makefile.am, THANKS.in: The AUTHORS file now used for
	  the plugin team, with THANKS.in as the contributors list.

2005-01-20 18:37  harpermann

	* CHANGES: Added comment about check_http --pagesize and added max
	  value to page size check

2005-01-20 18:25  tonvoon

	* AUTHORS: Added Sean for bug reports

2005-01-20 17:50  harpermann

	* plugins/check_http.c: Tracker 1099682 fix.  Now getting the page
	  size from Content-Length in the header.  Added max value to the
	  -m switch so can do "-m min:max".  Retained "-m min" convention.
	  Renamed long arg name to --minmax

2005-01-19 18:39  harpermann

	* plugins/check_nt.c: In the CHECK_COUNTER block, there were
	  several strcats writing to unallocated memory.  Changed to
	  asprintf. We're not freeing since plugin run is short.

2005-01-19 16:14  tonvoon

	* plugins/check_swap.c: Fixed parsing of AIX lsps command (1093522)

2005-01-14 09:39  tonvoon

	* AUTHORS: More contributors

2005-01-14 09:13  tonvoon

	* plugins/check_disk.c: Fix logic error with -e switch where result
	  not set (Daniel Austin - 1102012)

2005-01-14 05:59  tonvoon

	* configure.in: Fixed ssl configure problems on Solaris (Bug
	  1096091)

2005-01-13 13:24  tonvoon

	* configure.in, plugins/check_swap.c: Use floats for holding memory
	  values to avoid different types on different OSes. Seems to have
	  a problem with the perf data for check_swap on Sol 2.6, but not
	  critical

2005-01-05 16:32  tonvoon

	* configure.in, package.def: Update version number to next release

2005-01-03 19:16  opensides

	* plugins/check_ide_smart.c:
	  still trying to fix #1094326

2005-01-02 20:37  opensides

	* plugins/check_ide_smart.c:
	  more fixes for #1094326

2005-01-02 19:59  opensides

	* plugins-scripts/check_mailq.pl:
	  fixes for #1094324

2005-01-02 09:00  opensides

	* plugins/check_ide_smart.c:
	  fixing bug #1094326

	  still need to check the makefile for check_ide_smart.c

2005-01-01 11:15  tonvoon

	* plugins/check_smtp.c: Removed old terminate function (Bug
	  1093491)

2004-12-30 12:17  tonvoon

	* ChangeLog: Updated with r1_4-beta1 details

2004-12-30 09:23  tonvoon

	* CHANGES: Note some syntax changes to check_disk

2004-12-30 09:22  tonvoon

	* doc/RELEASING: Update package files for version

2004-12-30 09:21  tonvoon

	* AUTHORS: For help with ps on FreeBSD 4

2004-12-30 09:19  tonvoon

	* configure.in: Get ps command for FreeBSD 4 (Tomasz Pilat)

2004-12-29 19:41  opensides

	* plugins/check_dhcp.c, plugins/check_dns.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_smtp.c,
	  plugins/check_snmp.c, plugins/check_swap.c, plugins/check_tcp.c,
	  po/de.po, po/fr.po, po/nagios-plugins.pot:
	  more internationalization fixes internationalization freeze for
	  beta1

2004-12-28 18:40  opensides

	* AUTHORS, po/fr.po:
	  more internationalization

2004-12-28 18:18  opensides

	* plugins/Makefile.am, plugins/check_smtp.c, po/fr.po:
	  starttls support for check_smtp #1041576

2004-12-28 17:34  opensides

	* AUTHORS, plugins/check_ping.c:
	  String match in check_ping for Solaris 10 #1091043

2004-12-28 15:40  tonvoon

	* configure.in: sys/param.h needed for sys/swap.h on openbsd 3.6
	  (Julien Touche)

2004-12-27 17:44  opensides

	* po/fr.po:
	  more internationalization

2004-12-25 18:17  opensides

	* plugins/check_dig.c, plugins/check_disk.c, plugins/check_dns.c,
	  plugins/check_dummy.c, plugins/check_fping.c,
	  plugins/check_game.c, plugins/check_hpjd.c, plugins/check_icmp.c,
	  plugins/check_ide_smart.c, plugins/check_ldap.c,
	  plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nagios.c, plugins/check_nt.c,
	  plugins/check_nwstat.c, plugins/check_overcr.c,
	  plugins/check_pgsql.c, plugins/check_ping.c,
	  plugins/check_procs.c, plugins/check_radius.c,
	  plugins/check_real.c, plugins/check_smtp.c, plugins/check_snmp.c,
	  plugins/check_ssh.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, plugins/check_ups.c,
	  plugins/check_users.c, plugins/negate.c, plugins/netutils.c,
	  plugins/popen.c, plugins/popen.h, plugins/urlize.c,
	  plugins/utils.c, po/de.po, po/fr.po, po/nagios-plugins.pot:
	  various fixes for localization

2004-12-25 11:18  opensides

	* po/: de.po, fr.po, nagios-plugins.pot:
	  new version of po files and pot file

2004-12-25 07:25  opensides

	* package.def, po/POTFILES.in:
	  change realase name on package.def adding check_dhcp.c to
	  potfiles.in

2004-12-25 07:09  opensides

	* plugins/: check_by_ssh.c, check_dhcp.c:
	  internationalization of check_dhcp internationalization fixes of
	  check_ssh

2004-12-24 13:06  opensides

	* plugins/check_icmp.c, po/POTFILES.in, po/fr.po:
	  first pass at adapting to plugin guidelines and start of
	  localization

2004-12-23 13:54  opensides

	* plugins/check_http.c, po/fr.po:
	  internationalization fixes

2004-12-23 11:47  mwirtgen

	* po/de.po: german translations 391 to go

2004-12-23 04:30  tonvoon

	* ACKNOWLEDGEMENTS, configure.in, m4/np_curl.m4,
	  plugins/Makefile.am: Another attempt at fixing check_http compile
	  on Redhat EL3. Fixed check_icmp compile (Lynne Lawrence -
	  1087171) - still some code changes to check_icmp outstanding.
	  Fixed compile of check_dhcp (complaining about socklen_t).  Added
	  acknowledgements for Coreutils and curl

2004-12-22 18:02  harpermann

	* plugins/check_nt.c: Added check for "%" in COUNTER <description>.
	  If it exists, <description> is used as an arg to asprintf.  If
	  it doesn't exist, <description> is used as a label.  If the
	  formatting is wrong, the program will segv.

2004-12-22 02:24  tonvoon

	* lib/: Makefile.am, stdbool_.h: File required from coreutils

2004-12-21 17:52  tonvoon

	* configure.in, plugins/Makefile.am: Revert back to previous
	  openssl checks (the ones from curl kept having problems with
	  later Redhat versions)

2004-12-21 17:36  tonvoon

	* m4/stdbool.m4: Another m4 from coreutils

2004-12-21 10:45  tonvoon

	* AUTHORS: For their bug reports

2004-12-21 07:47  tonvoon

	* configure.in: Fix for FreeBSD ps command (reported by Michael
	  Bakker)

2004-12-21 04:32  tonvoon

	* lib/Makefile.am, m4/Makefile.am, m4/np_coreutils.m4: Fixed
	  compile problem on Sol2.6 with stdbool.h

2004-12-21 03:56  stanleyhopcroft

	* plugins/check_dhcp.c: Commentary changes only: cite origin of
	  copied code with reference to ACK file

2004-12-21 03:55  stanleyhopcroft

	* ACKNOWLEDGEMENTS: ACK file contains the details of the authors of
	  code copied by the plugins

2004-12-21 00:00  mattkent

	* plugins/check_dns.c: Add another error string match from Pasi
	  Tiittanen

2004-12-20 17:20  tonvoon

	* plugins/check_nagios.c: Corrected help for expiry units. Restored
	  functionality of searching for process arguments

2004-12-20 17:01  tonvoon

	* plugins/check_nagios.c: Updating help text to reflect using
	  shortname instead of full path for command

2004-12-20 16:38  tonvoon

	* configure.in: - stupid typo

2004-12-20 16:26  tonvoon

	* configure.in: Fix compile errors when looking for openssl

2004-12-20 04:04  stanleyhopcroft

	* COPYING, plugins/check_dhcp.c, po/de.po, po/fr.po: Compilation
	  fixes for check_dhcp.c HP-UX 11. Still fails on HP-UX 10. Unknown
	  if check_dhcp works on UX.

2004-12-18 13:28  mwirtgen

	* po/de.po: Initial commit on german translation - 428 to go

2004-12-17 13:14  tonvoon

	* configure.in: Support for FreeBSD 5.2.1 and 5.3 in check_procs

2004-12-15 18:12  tonvoon

	* configure.in: Bump version to next release

2004-12-15 18:11  tonvoon

	* doc/developer-guidelines.sgml: Mistake in automake version - back
	  to 1.8

2004-12-15 18:10  tonvoon

	* doc/RELEASING: Clarified notes

2004-12-15 16:56  tonvoon

	* ChangeLog: Updated for r1_4_0-alpha3

2004-12-15 16:27  tonvoon

	* doc/developer-guidelines.sgml: Updated requirements for GNU tools

2004-12-15 16:01  tonvoon

	* m4/Makefile.am: Makefile for m4 files

2004-12-15 15:54  tonvoon

	* Makefile.am, configure.in, plugins/Makefile.am, tools/setup:
	  Support for coreutils lib. Configure tests via m4 scripts from
	  coreutils

2004-12-15 15:51  tonvoon

	* m4/: Makefile.am.in, afs.m4, codeset.m4, error.m4, exitfail.m4,
	  extensions.m4, fstypename.m4, fsusage.m4, getopt.m4, gettext.m4,
	  glibc21.m4, iconv.m4, intdiv0.m4, inttypes-pri.m4, inttypes.m4,
	  inttypes_h.m4, isc-posix.m4, lcmessage.m4, lib-ld.m4,
	  lib-link.m4, lib-prefix.m4, ls-mntd-fs.m4, malloc.m4,
	  mountlist.m4, np_coreutils.m4, onceonly.m4, progtest.m4,
	  realloc.m4, stdint_h.m4, uintmax_t.m4, ulonglong.m4,
	  unlocked-io.m4, xalloc.m4: Moving m4 files from lib/

2004-12-15 15:47  tonvoon

	* lib/: Makefile.am, afs.m4, error.m4, exitfail.m4, fstypename.m4,
	  fsusage.m4, full-read.c, full-write.c, full-write.h, getopt.m4,
	  ls-mntd-fs.m4, onceonly.m4, safe-read.c, safe-read.h,
	  safe-write.c, safe-write.h, unlocked-io.m4, xalloc.m4: Moving m4
	  files into m4/. Added extra coreutils files required from
	  autoconf tests. Updated Makefile.am to have nagiosplug lib and a
	  separate coreutils lib

2004-12-14 19:10  opensides

	* po/: de.po, fr.po:
	  fr.po work in progress still 88 to translate ;-)

2004-12-11 01:25  mattkent

	* plugins/check_tcp.c: Patch from Ollie Cook to define return code
	  when expected value not received (#1082275).	Also included
	  another change from Ollie Cook to do stricter matching of
	  expected values from the beginning of the line. When a user
	  defines an expected string this is changed to the old style
	  strstr matching.

2004-12-10 16:18  tonvoon

	* plugins/check_ldap.c: Fixed compile warning

2004-12-10 01:10  mattkent

	* plugins/Makefile.am: Compile broken - fixing link flags.

2004-12-10 00:57  mattkent

	* plugins/check_dns.c: Error catching improvements from Ollie Cook

2004-12-10 00:54  mattkent

	* plugins/check_pgsql.c: Fixing broken compile

2004-12-10 00:39  mattkent

	* AUTHORS: More contributers

2004-12-09 19:54  stanleyhopcroft

	* plugins/Makefile.am: Changes to link flags for check_dhcp.c

2004-12-09 19:52  stanleyhopcroft

	* plugins/check_dhcp.c: Extensive changes to get MAC address from
	  Solaris via DLPI

2004-12-09 19:20  tonvoon

	* plugins/: check_dns.c, check_procs.c: Reverting back ngettext
	  calls

2004-12-09 19:13  tonvoon

	* plugins/common.h: Fix includes for gettext

2004-12-09 17:33  tonvoon

	* configure.in: Include $libsuff for systems that define this
	  (based on advice from Daniel Stenberg)

2004-12-08 18:14  tonvoon

	* configure.in: Removed redundant check and make export
	  LD_LIBRARY_PATH more sh friendly

2004-12-07 19:36  opensides

	* configure.in, plugins/Makefile.am, plugins/check_by_ssh.c,
	  plugins/check_game.c, plugins/check_http.c,
	  plugins/check_ide_smart.c, plugins/check_ldap.c,
	  plugins/check_snmp.c, plugins/check_tcp.c:
	  patch 1028033

	  minor internationalization fixes

2004-12-07 19:22  tonvoon

	* configure.in: Fixed output info for openssl and LD_LIBRARY_PATH
	  for subsequent compiles (otherwise get ld.so.1: ./conftest:
	  fatal: libssl.so.0.9.7: open failed)

2004-12-07 01:51  tonvoon

	* configure.in, plugins/Makefile.am: Better SSL checking (inspired
	  by curl 7.12.2's configure.ac)

2004-12-06 22:13  mattkent

	* plugins-scripts/check_ifoperstatus.pl: Option to check for admin
	  down (#1012191) from Raúl Pedroche.

2004-12-06 21:45  stanleyhopcroft

	* plugins/Makefile.am: Correct dependencies for check_dhcp.c.

2004-12-06 21:31  stanleyhopcroft

	* plugins/: Makefile.am, check_dhcp.c: New plugin: check_dhcp.c.
	  Attempt to port to non Linux platform.

2004-12-06 13:49  opensides

	* po/fr.po:
	  new version of fr.po

2004-12-05 17:07  mattkent

	* plugins/check_snmp.c: Fix for -s string matching (#756567, Tony
	  Missana)

2004-12-05 07:59  opensides

	* plugins/check_nt.c, po/fr.po, po/nagios-plugins.pot:
	  cleaned fr.po nagios-plugins.pot

2004-12-04 19:54  opensides

	* plugins/: check_http.c, check_icmp.c, check_nwstat.c,
	  check_ping.c, check_smtp.c, check_swap.c, utils.h:
	  fix patch 998291 fix patch 1078934 expect check_ssh fix and
	  check_nt perfdata should stay on one word like in nagios

2004-12-04 07:34  opensides

	* po/nagios-plugins.pot:
	  new version of pot file

2004-12-04 07:31  opensides

	* plugins/check_by_ssh.c, plugins/check_dns.c, po/POTFILES.in:
	  various internationalization fixes

2004-12-04 07:12  opensides

	* plugins/Makefile.am, plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_http.c, plugins/check_ide-smart.c,
	  plugins/check_ide_smart.c, plugins/check_mrtg.c,
	  plugins/check_nt.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_swap.c, plugins/check_tcp.c,
	  plugins/check_time.c, plugins/check_udp.c, po/POTFILES.in:
	  internationalization fixes bugfixes

2004-12-04 05:57  opensides

	* plugins/: check_dns.c, check_hpjd.c:
	  check_dns needs a space between 'time' and the hostname
	  check_hpjd needs a parenthesis removed in print_usage()

2004-12-03 19:23  opensides

	* plugins/check_swap.c:
	  Bug Fix [ 1024735 ] check_swap providing inaccurate swap
	  information on Sol6

2004-12-03 18:55  opensides

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_fping.c, check_game.c, check_hpjd.c, check_http.c,
	  check_ldap.c, check_load.c, check_mrtg.c, check_mrtgtraf.c,
	  check_mysql.c, check_nagios.c, check_nt.c, check_nwstat.c,
	  check_overcr.c, check_pgsql.c, check_ping.c, check_procs.c,
	  check_radius.c, check_real.c, check_smtp.c, check_snmp.c,
	  check_ssh.c, check_swap.c, check_tcp.c, check_time.c,
	  check_udp.c, check_ups.c, check_users.c, negate.c:
	  reverting my changes from !=TRUE to == ERROR, that's not good ;-(
	  sorry

2004-12-03 18:23  opensides

	* plugins/check_tcp.c, po/de.po, po/fr.po, po/nagios-plugins.pot:
	  check_tcp parenthesis bug, header fix for po files

2004-12-03 18:01  opensides

	* plugins/: check_dig.c, check_disk.c, check_dns.c, check_dummy.c,
	  check_fping.c, check_game.c, check_hpjd.c, check_http.c,
	  check_ide-smart.c, check_ldap.c, check_mrtg.c, check_mrtgtraf.c,
	  check_nagios.c, check_nt.c, check_nwstat.c, check_overcr.c,
	  check_pgsql.c, check_procs.c, check_radius.c, check_real.c,
	  check_smtp.c, check_snmp.c, check_swap.c, check_tcp.c,
	  check_time.c, check_udp.c, check_ups.c:
	  print_help and print_usage() cleanup

	  other misc cleanups

2004-12-03 16:56  stanleyhopcroft

	* plugins/check_tcp.c: 1041571: -D option processing corrected
	  (Eric Chen). Changed process_arguments() to return TRUE. Dont
	  know why this was necessary.

2004-12-03 15:28  opensides

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_dummy.c, check_fping.c, check_game.c, check_hpjd.c,
	  check_http.c, check_ide-smart.c, check_ldap.c, check_load.c,
	  check_mrtg.c, check_mrtgtraf.c, check_mysql.c, check_nagios.c,
	  check_nt.c, check_nwstat.c, check_overcr.c, check_pgsql.c,
	  check_ping.c, check_procs.c, check_radius.c, check_real.c,
	  check_smtp.c, check_snmp.c, check_ssh.c, check_swap.c,
	  check_tcp.c, check_time.c, check_udp.c, check_ups.c,
	  check_users.c, negate.c, urlize.c: remove UT_HLP_VRS from
	  print_usage this was not a good idea ;-)

2004-12-03 14:20  opensides

	* plugins/utils.c:
	  removing support fonction removing warranty from print_revision

2004-12-03 12:48  opensides

	* ROADMAP, package.def, plugins/negate.c, plugins/utils.h:
	  some minor fixes

2004-12-03 12:15  opensides

	* plugins/: check_load.c, check_ssh.c:
	  correcting parenthesis error

2004-12-03 11:56  opensides

	* AUTHORS, plugins/check_load.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/check_time.c,
	  plugins/check_udp.c, plugins/check_ups.c, plugins/check_users.c,
	  plugins/urlize.c:
	  fixes for internationalization

2004-12-03 06:45  opensides

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_dummy.c, check_fping.c, check_game.c, check_hpjd.c,
	  check_http.c, check_ide-smart.c, check_ldap.c, check_load.c,
	  check_mrtg.c, check_mrtgtraf.c, check_mysql.c, check_nagios.c,
	  check_nt.c, check_nwstat.c:
	  internationalization fixes and help fixes

2004-12-03 04:19  opensides

	* plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_http.c, plugins/check_nwstat.c,
	  plugins/check_pgsql.c, plugins/check_ping.c, plugins/check_udp.c,
	  po/.cvsignore:
	  Localization fixes

2004-12-03 03:45  opensides

	* plugins/: check_ide-smart.c, check_pgsql.c:
	  correcting copyright and remaning int result = STATE_UNKNOWN;

2004-12-02 23:37  mattkent

	* plugins/check_nagios.c: Affected by elapsed time patch.

2004-12-02 23:16  mattkent

	* AUTHORS: Another contributer.

2004-12-02 23:10  mattkent

	* configure.in, plugins/check_procs.c: Patch from Russell Miller
	  which adds elapsed time as a metric. Only for linux so far.
	  (991359)

2004-12-02 21:21  mattkent

	* plugins/check_ldap.c: Fix typo breaking compile.

2004-12-02 19:55  opensides

	* plugins/: check_by_ssh.c, check_dig.c, check_dns.c,
	  check_dummy.c, check_fping.c, check_game.c, check_hpjd.c,
	  check_ide-smart.c, check_ldap.c, check_load.c, check_mrtg.c,
	  check_mrtgtraf.c, check_mysql.c, check_nagios.c, check_nt.c,
	  check_nwstat.c, check_overcr.c, check_pgsql.c, check_ping.c,
	  check_procs.c, check_radius.c, check_real.c, check_smtp.c,
	  check_snmp.c, check_ssh.c, check_swap.c, check_tcp.c,
	  check_time.c, check_udp.c, check_ups.c, check_users.c, negate.c,
	  urlize.c:
	  bump copyright year initialize result to STATE_UNKNOW in place of
	  STATE_OK

2004-12-02 16:23  opensides

	* plugins/: check_dns.c, check_ldap.c, check_procs.c:
	  --disable-nls throws an error on check_dns, check_procs and
	  check_ldap without this patch.

2004-12-02 16:03  stanleyhopcroft

	* plugins/check_tcp.c: Tracker 1041571: appended :D to
	  getopt_long() args (for cert expiry check). Eric Chen.

2004-12-02 11:51  opensides

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_fping.c, check_game.c, check_hpjd.c, check_http.c,
	  check_ldap.c, check_load.c, check_mrtg.c, check_mrtgtraf.c,
	  check_mysql.c, check_nagios.c, check_nt.c, check_nwstat.c,
	  check_overcr.c, check_pgsql.c, check_ping.c, check_procs.c,
	  check_radius.c, check_real.c, check_smtp.c, check_snmp.c,
	  check_ssh.c, check_swap.c, check_tcp.c, check_time.c,
	  check_udp.c, check_ups.c, check_users.c, negate.c, popen.c,
	  utils.c:
	  More internationalization work new usage4 function to permit
	  localisation of think like check_ssh: xxxxx

2004-12-02 09:54  opensides

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_fping.c, check_game.c, check_hpjd.c, check_ldap.c,
	  check_load.c, check_mrtg.c, check_mrtgtraf.c, check_mysql.c,
	  check_nagios.c, check_nt.c, check_nwstat.c, check_overcr.c,
	  check_pgsql.c, check_ping.c, check_procs.c, check_radius.c,
	  check_real.c, check_smtp.c, check_snmp.c, check_ssh.c,
	  check_swap.c, check_tcp.c, check_time.c, check_udp.c,
	  check_ups.c, check_users.c, negate.c:
	  return of process_arguments() is TRUE not OK !

2004-12-02 09:35  opensides

	* plugins/check_http.c: return of process_arguments() is TRUE not
	  OK !

2004-12-02 03:45  stanleyhopcroft

	* plugins/Makefile.am: Add check_icmp plugin

2004-12-02 03:44  stanleyhopcroft

	* plugins/check_icmp.c: check_icmp plugin from A Ericsson

2004-12-02 03:44  stanleyhopcroft

	* plugins/linux.h: For check_icmp plugin from A Ericsson

2004-12-01 23:48  mattkent

	* command.cfg.in: Fix typo.

2004-12-01 23:36  mattkent

	* AUTHORS, REQUIREMENTS, command.cfg.in, plugins/check_ups.c: Patch
	  from Arnaud Quette to bring support to NUT 2.0 plus couple
	  improvements and fixes (1038413 which includes 1032009, 815785).

2004-12-01 20:11  opensides

	* plugins/: check_dns.c, check_game.c, check_http.c,
	  check_ide-smart.c, check_load.c, check_mrtgtraf.c, check_mysql.c,
	  check_nagios.c, check_nt.c, check_nwstat.c, check_overcr.c,
	  check_pgsql.c, check_ping.c, check_procs.c, check_radius.c,
	  check_real.c, check_snmp.c, check_ssh.c, check_tcp.c,
	  check_time.c, check_udp.c, check_ups.c, negate.c, popen.c:
	  changed Error: by CRITICAL - more localization fixes

2004-12-01 19:30  opensides

	* contrib/check_rbl.c:
	  adapted for localization

2004-12-01 18:54  opensides

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_dummy.c, check_fping.c, check_game.c, check_hpjd.c,
	  check_http.c, check_ide-smart.c, check_ldap.c, check_load.c,
	  check_mrtg.c, check_mrtgtraf.c, check_mysql.c, check_nagios.c,
	  check_nt.c, check_nwstat.c, check_overcr.c, check_pgsql.c,
	  check_ping.c, check_procs.c, check_radius.c, check_real.c,
	  check_smtp.c, check_snmp.c, check_ssh.c, check_swap.c,
	  check_tcp.c, check_time.c, check_udp.c, check_ups.c,
	  check_users.c, common.h, getaddrinfo.c, getaddrinfo.h,
	  gethostbyname.c, gethostbyname.h, negate.c, netutils.c,
	  netutils.h, popen.c, urlize.c, utils.c, utils.h:
	  standardize localization string standardize unknow arguments

2004-12-01 17:02  tonvoon

	* doc/RELEASING: Notes on releasing

2004-12-01 16:55  tonvoon

	* configure.in: Next version number

2004-12-01 16:01  tonvoon

	* ChangeLog: Updated for r1_4_0-alpha2

2004-12-01 15:43  tonvoon

	* tools/devmode: eval not working - instructions now in comments

2004-12-01 15:09  tonvoon

	* plugins-scripts/check_oracle.sh: Fixed pmon process checking from
	  a change I made earlier

2004-12-01 14:33  opensides

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_fping.c, check_ssh.c:
	  first pass at standardization of messages for the localization

2004-12-01 03:41  stanleyhopcroft

	* configure.in: Bryan Loniewski contributed check_jabber plugin
	  (SSL/check_tcp); Eric Chen check_nntps plugin + SSL certficate
	  expiry check [added -D option to check_tcp]

2004-12-01 03:28  stanleyhopcroft

	* plugins/netutils.c: 1075725: patch to my_connect() to deal with
	  SEGV if connect fails

2004-12-01 03:26  stanleyhopcroft

	* plugins/check_tcp.c: 1041571 & 664615: check_tcp with cert check
	  + nntps, simap, jabber

2004-11-30 22:50  mattkent

	* contrib/check_nmap.py: Small fix from David Rippel (996800) for
	  newer versions of nmap

2004-11-30 22:26  mattkent

	* plugins-scripts/check_oracle.sh: Perf data and other improvements
	  by Florian Gleixner (1027787)

2004-11-30 02:40  opensides

	* po/fr.po:
	  more french translations

2004-11-29 19:25  tonvoon

	* plugins/check_ide-smart.c: Capitalized some error messages

2004-11-29 19:24  tonvoon

	* plugins/urlize.c: Updated output to UNKNOWN

2004-11-29 19:21  opensides

	* po/fr.po:
	  translating fr.po new part

2004-11-29 18:52  tonvoon

	* lib/: Makefile.am, exitfail.m4, getopt.m4: Extra files required
	  from coreutils

2004-11-29 18:46  tonvoon

	* SUPPORT: Cleanup and statement re: contrib plugins

2004-11-29 17:42  tonvoon

	* configure.in: Patches for configure on *BSD (Julien Touche)

2004-11-29 00:07  stanleyhopcroft

	* contrib/: README.TXT, rblcheck-dns, rblcheck-web,
	  tarballs/check_icmp-0.8.tar.gz: [no log message]

2004-11-28 23:49  mattkent

	* contrib/check_linux_raid.pl: Better error checking (820806)

2004-11-28 19:56  opensides

	* po/fr.po:
	  second version of french .po still 300 ;-) to translate

2004-11-28 17:57  opensides

	* po/fr.po:
	  first new translation of fr.po

2004-11-27 16:00  mattkent

	* plugins/check_ssh.c: Add remote version check (1030269, Daniel
	  Gullin)

2004-11-26 03:54  stanleyhopcroft

	* AUTHORS: New plugin/bugfix: tracker 1070929. check_hpjdres

2004-11-25 00:09  mattkent

	* plugins/check_disk.c: From old test harness code, make
	  ./check_disk -w 0 -c 0 / valid parameters again

2004-11-25 00:06  mattkent

	* test.pl.in, plugins/t/check_dns.t, plugins/t/check_http.t,
	  plugins/t/check_load.t, plugins/t/check_mysql.t: Updating test
	  harness

2004-11-24 23:49  stanleyhopcroft

	* contrib/README.TXT: Removed reference to non existent tar balls
	  (Hopcroft plugins)

2004-11-24 23:46  stanleyhopcroft

	* contrib/check_wins.pl: Non functional tidy ups to check_wins

2004-11-24 23:30  stanleyhopcroft

	* contrib/check_hw.sh: Added /contrib/check_hw.sh by Rok Debevc

2004-11-24 23:28  stanleyhopcroft

	* contrib/check_sybase: Added /contrib/check_sybase by Simon
	  Bellwood

2004-11-24 22:01  stanleyhopcroft

	* contrib/check_hprsc.pl: update check_hprsc.pl for Net-SNMP
	  versions >=4

2004-11-24 16:34  tonvoon

	* tools/sfsnapshot: Removing build directory after creating
	  distribution

2004-11-24 16:19  tonvoon

	* doc/makefile: Added clean

2004-11-24 16:01  tonvoon

	* configure.in: Fix snapshot build on SF

2004-11-24 01:36  stanleyhopcroft

	* plugins/check_hpjd.c: add -OQa to command_line in check_hpjd.c.
	  Correct nagiosplug-Bugs-889948, 846329

2004-11-23 23:35  mattkent

	* plugins/check_nwstat.c: Attempting to fix a reported segfault
	  (1055054)

2004-11-23 23:25  mattkent

	* plugins/check_http.c: Added support for sending port in host
	  header (913633)

2004-11-23 19:46  tonvoon

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_dummy.c, check_fping.c, check_game.c, check_hpjd.c,
	  check_http.c, check_ldap.c, check_load.c, check_mrtg.c,
	  check_mrtgtraf.c, check_mysql.c, check_nwstat.c, check_overcr.c,
	  check_pgsql.c, check_ping.c, check_procs.c, check_radius.c,
	  check_real.c, check_smtp.c, check_snmp.c, check_ssh.c,
	  check_tcp.c, check_time.c, check_udp.c, check_ups.c,
	  check_users.c, negate.c, urlize.c: Making messages more
	  consistent

2004-11-23 18:53  tonvoon

	* plugins/: check_hpjd.c, check_mrtg.c, check_mrtgtraf.c,
	  check_mysql.c, check_real.c, check_smtp.c, check_swap.c,
	  check_by_ssh.c, check_dns.c, check_time.c: Standardising
	  translation texts

2004-11-23 18:35  tonvoon

	* doc/developer-guidelines.sgml: Guidelines on translated text
	  (Yves Mettier, Simon Bellwood, Andreas Ericsson)

2004-11-23 17:49  tonvoon

	* doc/developer-guidelines.sgml: Adding notes on developer and
	  translator access in SF

2004-11-23 01:06  mattkent

	* AUTHORS: More contributers.

2004-11-23 00:49  mattkent

	* plugins/check_disk.c: Fix integer warning and critical options.
	  Take values from current unit instead of always KB.

2004-11-22 19:06  stanleyhopcroft

	* doc/developer-guidelines.sgml: trivial changes to Perl plugin
	  section.

2004-11-22 17:44  tonvoon

	* AUTHORS: More contributors

2004-11-22 17:30  tonvoon

	* plugins/check_nt.c: Fixed some messages that should not be
	  translated (Benoit Mortier)

2004-11-22 15:35  tonvoon

	* lib/getloadavg.m4: Not required - autoconf has own macros

2004-11-21 00:24  mattkent

	* plugins/check_mysql.c: Patch from Nathan Shafer to add
	  replication slave check (1006777)

2004-11-20 17:56  mattkent

	* AUTHORS: Oops, forgot one.

2004-11-20 17:46  mattkent

	* AUTHORS: More contributers.

2004-11-20 17:43  mattkent

	* contrib/check_linux_raid.pl: Fix always reading status from the
	  last line (1045506)

2004-11-20 17:28  mattkent

	* plugins/check_ping.c: New output format reported by pumuckel1980
	  (946857)

2004-11-20 16:36  mattkent

	* plugins/check_http.c: Bit of cleanup, fix verbose output.

2004-11-20 02:04  tonvoon

	* configure.in: Fixed va_copy problem on AIX by copying samba's
	  configure.in

2004-11-19 10:58  tonvoon

	* CODING: Added perl coding guidelines, from Programming Perl book
	  (Andreas Ericsson)

2004-11-19 09:28  tonvoon

	* lib/getloadavg.m4: I think getloadavg.m4 is no longer required
	  (as autoconf has built-in function)

2004-11-19 09:24  tonvoon

	* lib/Makefile.am: Removed getloadavg.m4 (built-in function in
	  autoconf) and added cloexec.[hc] for getloadavg.c

2004-11-19 09:22  tonvoon

	* lib/: cloexec.h, cloexec.c: Files required for getloadavg.c

2004-11-18 22:59  mattkent

	* plugins-scripts/check_ntp.pl: Fix incorrectly labelled units in
	  output (1025905, Jason Martin)

2004-11-18 22:44  mattkent

	* plugins/check_procs.c: Enabling timeout flag (1010097, Jason
	  Martin)

2004-11-18 21:53  mattkent

	* plugins/check_http.c: Make -L notice ssl use to output a proper
	  href (1035234, Abid Rasheed)

2004-11-18 21:39  mattkent

	* plugins/check_smtp.c: Change unit from 'us' to 's' to match other
	  core plugins for simplicity.

2004-11-18 19:21  tonvoon

	* AUTHORS: - More great contributors...

2004-11-18 19:12  tonvoon

	* plugins/check_http.c: Options for User Agent string and extra
	  headers (Ibere Tizio)

2004-11-18 17:48  tonvoon

	* configure.in: Remove unnecessary CPPFLAGS for openssl (Lutz
	  Behnke - 686476)

2004-11-18 17:42  tonvoon

	* plugins/check_tcp.c: Enhance SSL initialization problems (Phil
	  Dibowitz - 1055120)

2004-11-18 00:36  mattkent

	* plugins/check_smtp.c: Go critical on no route to host instead of
	  warning (934025)

2004-11-17 19:27  tonvoon

	* tools/setup: Use copy of tools for consistency if building on
	  different platforms from shared source

2004-11-17 18:35  tonvoon

	* plugins/check_tcp.c: Ignore output from tcp port (949070 -
	  Jan-Piet Mens)

2004-11-17 18:22  tonvoon

	* plugins/check_http.c: --no-body and --max-age options (949521 -
	  Jamie Zawinski)

2004-11-17 17:19  tonvoon

	* doc/developer-guidelines.sgml: Added section on using
	  Sourceforge, mainly for administrators

2004-11-11 19:51  tonvoon

	* tools/update_coreutils: Tool to pull newer coreutil libs into
	  nagiosplug's lib directory

2004-11-11 19:49  tonvoon

	* lib/Makefile.am, lib/error.c, lib/error.h, lib/error.m4,
	  lib/exit.h, lib/exitfail.c, lib/exitfail.h, lib/fsusage.c,
	  lib/fsusage.h, lib/fsusage.m4, lib/full-read.h, lib/getloadavg.c,
	  lib/getopt.c, lib/getopt.h, lib/getopt1.c, lib/gettext.h,
	  lib/ls-mntd-fs.m4, lib/malloc.c, lib/mountlist.c,
	  lib/mountlist.h, lib/onceonly.m4, lib/realloc.c, lib/snprintf.c,
	  lib/strtod.c, lib/unlocked-io.h, lib/unlocked-io.m4,
	  lib/xalloc.h, lib/xalloc.m4, lib/xmalloc.c, lib/xstrdup.c,
	  plugins/check_disk.c, po/de.po, po/fr.po: Update to using
	  coreutils 5.2.1 libraries and snprintf.c from samba 3.0.8

2004-09-07 16:27  tonvoon

	* doc/developer-guidelines.sgml: Clarity based on comments by Ben
	  Clewett

2004-08-23 17:59  tonvoon

	* AUTHORS: For patch to check_nt

2004-08-23 17:58  tonvoon

	* plugins/check_nt.c: Restore divisor for memory size reported by
	  Windows. Also, implements warning and critical levels for
	  performance counters. (Paulo Afonso Graner Fessel)

2004-08-23 17:18  tonvoon

	* configure.in, plugins/check_swap.c, plugins/common.h: Using
	  swapctl for Solaris, Tru64 and *BSD (Sean Finney)

2004-08-19 15:05  tonvoon

	* configure.in, plugins/check_swap.c, plugins/common.h: Patch for
	  tru64 using swapctl calls (Sean Finney)

2004-08-18 17:32  tonvoon

	* AUTHORS: Another day's work...

2004-08-18 17:25  tonvoon

	* plugins/check_dig.c: Checks different record types and checks
	  against an expected address (Bill Kunkel)

2004-08-18 16:36  tonvoon

	* configure.in: Support for check_swap on NetBSD/OpenBSD (Sean
	  Finney)

2004-08-18 16:25  tonvoon

	* plugins-scripts/check_oracle.sh: More specific test for sid (Paul
	  Allen)

2004-08-18 16:21  tonvoon

	* plugins/check_disk.c: Fixed perfdata so that shows amount used
	  (Garry Cook)

2004-08-18 15:51  tonvoon

	* plugins-scripts/check_ifstatus.pl: Perfdata corrected (Garry
	  Cook)

2004-08-18 15:46  tonvoon

	* plugins-scripts/check_oracle.sh: Fix for similar dataabase sids
	  (Carole Verdon)

2004-08-18 15:41  tonvoon

	* AUTHORS: Gary Cook for perfdata for check_nt

2004-08-18 15:40  tonvoon

	* plugins/check_nt.c: Perfdata added (Gary Cook)

2004-06-26 12:39  tonvoon

	* tools/sfsnapshot: Change of compile server and cleanups

2004-06-26 01:13  tonvoon

	* tools/sfsnapshot: Remove need to alter configure.in. Using
	  different compile farms for SF to do the compiling

2004-05-24 10:22  tonvoon

	* AUTHORS: Ben Clewett

2004-05-24 10:21  tonvoon

	* lib/Makefile.am: Missed getloadavg.c (Ben Clewett)

2004-05-20 02:09  egalstad

	* contrib/check_dhcp.c: DHCP bug fix

2004-05-10 06:25  tonvoon

	* configure.in: Set EXTRAS with check_swap if ac_cv_have_swap is
	  set

2004-04-30 07:12  tonvoon

	* configure.in: ps -el for HP-UX

2004-04-29 11:08  tonvoon

	* configure.in: Bug in ps -el for AIX 4.1

2004-04-29 07:13  tonvoon

	* AUTHORS: Sven for HP-UX requirements

2004-04-29 07:12  tonvoon

	* REQUIREMENTS: HP-UX requirements (Sven Schaffranneck)

2004-04-19 09:13  sghosh

	* contrib/check_nagios_db_pg.pl, AUTHORS: Postgres backend monitor

2004-04-19 09:10  sghosh

	* AUTHORS, plugins-scripts/check_mssql.pl: check_mssql.pl

2004-04-19 09:08  sghosh

	* README: Win32 plugin repository

2004-04-08 07:05  tonvoon

	* AUTHORS: Torsten Werner for check_racle patches

2004-04-08 07:05  tonvoon

	* plugins-scripts/check_oracle.sh: Cleaner calls to awk and support
	  if Oracle has different national language settings (Torsten
	  Werner)

2004-04-08 06:50  tonvoon

	* plugins-scripts/check_oracle.sh: Cleaner calls to awk and support
	  if Oracle has different national language settings (Torsten
	  Werner)

2004-04-06 12:02  tonvoon

	* configure.in, plugins/check_procs.c: Fixed weird scanf bug on
	  Solaris

2004-04-02 14:37  kdebisschop

	* plugins/check_by_ssh.c: add example invocation to help

2004-03-31 18:01  tonvoon

	* AUTHORS: Howard Wilkinson

2004-03-31 17:53  tonvoon

	* plugins/check_nt.c: Command line argument bug (Howard Wilkinson)

2004-03-31 17:48  tonvoon

	* plugins/netutils.c: Set default state (Howard Wilkinson)

2004-03-31 14:20  tonvoon

	* doc/developer-guidelines.sgml: Update author list

2004-03-23 01:35  kdebisschop

	* plugins/check_fping.c: check was supposed to be agains ms - got
	  munged wfixeg the perfdata output to be in seconds

2004-03-22 02:25  tonvoon

	* plugins/check_http.c: Getopt bug (Joe Rhett)

2004-03-22 02:22  tonvoon

	* AUTHORS: Joe Rhett for getopt bug

2004-03-22 02:19  tonvoon

	* plugins/check_http.c: Option --url not mapped (Joe Rhett)

2004-03-18 15:58  tonvoon

	* AUTHORS: More help for patches

2004-03-18 15:50  tonvoon

	* plugins/check_disk.c: Typo in check_disk units (Matthew Kent -
	  909281)

2004-03-18 15:40  tonvoon

	* configure.in: Mysql include path not added correctly (Arnold
	  Cavazos - 912974)

2004-03-18 15:37  tonvoon

	* configure.in: Mysql include path not added correctly (Arnold
	  Cavazos - 912974)

2004-03-18 15:31  tonvoon

	* plugins/check_radius.c: Option to fill in NAS-identifier to
	  Emulate pam_radius behaviour (Alexander Kulak)

2004-03-17 15:38  tonvoon

	* doc/developer-guidelines.sgml: Copyright information for patches

2004-03-13 23:09  kdebisschop

	* plugins/: check_ldap.c, check_load.c, check_mrtgtraf.c,
	  check_pgsql.c, check_smtp.c, check_tcp.c, check_ups.c: use
	  fperfdata

2004-03-13 22:37  kdebisschop

	* plugins/check_fping.c: use fperfdata

2004-03-11 22:40  egalstad

	* contrib/check_cluster2.c: New cluster plugin for Nagios 2.x

2004-03-11 10:33  tonvoon

	* CHANGES: check_procs difference

2004-03-11 10:17  tonvoon

	* plugins/check_nagios.c: Incorporate check_proc changes into
	  check_nagios. ps handling probably should be moved into utils.c
	  in future

2004-03-08 16:03  tonvoon

	* configure.in: Require ngettext

2004-03-08 16:01  tonvoon

	* doc/developer-guidelines.sgml: Information on plugin output
	  format

2004-03-04 00:08  kdebisschop

	* plugins/: check_dig.c, check_dns.c, check_game.c: use float for
	  time in perf data

2004-03-03 07:33  kdebisschop

	* plugins/: check_http.c, utils.c: begin writing some perfdata as
	  float

2004-03-02 23:24  kdebisschop

	* contrib/check_pop3.pl: fix loop and \r\n (Jason Burnett -
	  http://sourceforge.net/tracker/index.php?func=detail&aid=895677&group_id=29880&atid=397599)

2004-03-02 22:48  kdebisschop

	* plugins/check_disk.c: check_disk was getting blocks instead of
	  bytes (Michael Musikhin -
	  http://sourceforge.net/tracker/index.php?func=detail&aid=900215&group_id=29880&atid=397599)

2004-03-02 12:44  kdebisschop

	* pkg/: redhat/requires, fedora/requires: attempt to prune requires

2004-03-02 01:17  kdebisschop

	* Makefile.am, nagios-plugins.spec.in, pkg/fedora/requires: make
	  specfile into a template which can generate a generic spec plus
	  specs suitable for various repositories

2004-03-02 01:13  kdebisschop

	* configure.in: prpare for alpha2

2004-03-02 00:25  kdebisschop

	* plugins/check_http.c: relax check for -w/-c to accept floats (bug
	  report from Warrick FitzGerald)

2004-03-02 00:01  kdebisschop

	* AUTHORS, plugins/check_swap.c: fix div by zero error when
	  swaptotal is zero (Flo Gleixner)

2004-03-01 07:27  kdebisschop

	* plugins/: check_tcp.c, netutils.c: check_tcp was returning
	  uninitialized string with user-defined refused outcome

2004-03-01 01:15  kdebisschop

	* plugins/check_smtp.c: allow regex for ecpect checks

2004-02-28 23:09  kdebisschop

	* plugins/: check_nwstat.c, netutils.c, netutils.h: was making up
	  to 34 separate tcp connections - now we open one and reuse

2004-02-28 02:27  kdebisschop

	* plugins/check_snmp.c: checks for warn in check_num() mistakenly
	  referred to crit limits

2004-02-28 01:51  kdebisschop

	* plugins/check_smtp.c: minor doco update to reflect handling of
	  repeated caoomand strings

2004-02-28 01:48  kdebisschop

	* plugins/check_smtp.c: work in progress to accept multiple
	  command/expect pairs

2004-02-27 23:54  kdebisschop

	* plugins/check_swap.c: update to work with Linux 2.6 /proc/meminfo
	  format

2004-02-25 03:50  kdebisschop

	* AUTHORS, plugins/check_dns.c: check server for authoritative
	  status (from Jon Hallet)

2004-02-25 03:12  kdebisschop

	* plugins/check_swap.c: change some datatypes to llu for very large
	  swaps

2004-02-25 02:49  kdebisschop

	* configure.in, plugins/check_ping.c: pass timeout to ping if
	  supported with -w parameter (linux)

2004-02-21 00:37  kdebisschop

	* plugins/check_by_ssh.c: add option to ignore a specified number
	  of lines on stderr (to suppress a login banner)

2004-02-20 22:50  kdebisschop

	* plugins-scripts/check_breeze.pl: add $opt_C to 'use vars' (report
	  882381 and patch form Jason Martin)

2004-02-20 22:44  kdebisschop

	* AUTHORS: Add Jason Martin for report of missing $opt_C for 'use
	  vars' in check_breeze

2004-02-20 22:42  kdebisschop

	* plugins-scripts/check_breeze.pl: add opt_C to 'usr vars'

2004-02-20 14:35  tonvoon

	* plugins/check_http.c: - Missed out getopt for -T

2004-02-20 00:25  kdebisschop

	* contrib/check_dhcp.c, contrib/check_procl.sh,
	  plugins/check_snmp.c, plugins/negate.c, plugins/netutils.c,
	  plugins/urlize.c: spell fix "received"

2004-02-20 00:22  kdebisschop

	* plugins/check_snmp.c, plugins/negate.c, plugins/netutils.c,
	  plugins/urlize.c, contrib/check_dhcp.c: spell fix "received"

2004-02-20 00:21  kdebisschop

	* plugins/: utils.c, utils.h: add perfdata function for floats to
	  complement ints, also spell fix "received"

2004-02-20 00:19  kdebisschop

	* AUTHORS: add Ralph Rye for report of check_procs segfault on
	  AIX/WebSphere and proof-of-concept patch

2004-02-20 00:04  kdebisschop

	* plugins/check_procs.c: handle case where line from ps output
	  exceed MAX_INPUT_BUFFER

2004-02-19 22:37  tonvoon

	* AUTHORS: Shaun Wills for patch to check_http

2004-02-19 22:21  tonvoon

	* plugins/check_http.c: Added Content-type when POSTing (Shawn
	  Wills)

2004-02-19 22:00  tonvoon

	* plugins/check_procs.c: - compiler warning removed (but usage2
	  messages badly broken)

2004-02-19 21:58  tonvoon

	* AUTHORS: Matt Pounsett for bug report

2004-02-19 21:09  tonvoon

	* plugins/check_dns.c: Different text to scan for if multiple
	  addresses

2004-02-19 20:05  tonvoon

	* plugins/check_swap.c: Corrected usage message (Matt Pounsett)

2004-02-19 08:24  tonvoon

	* AUTHORS: Michael Musikhin for check_disk patch

2004-02-19 08:23  tonvoon

	* plugins/check_disk.c: Uninitialised variables for -X (Bug 900091
	  - Michael Musikhin)

2004-02-18 09:57  kdebisschop

	* configure.in: version bump (old)

2004-02-18 09:56  kdebisschop

	* acinclude.m4, lib/afs.m4, lib/fstypename.m4, lib/fsusage.m4:
	  underquoted defines cause warning on FC2

2004-02-17 21:11  tonvoon

	* AUTHORS: Johannes Herlitz for patch to check_dns

2004-02-17 21:09  tonvoon

	* plugins/check_dns.c: Output message includes the query_address,
	  as inspired by Johannes Herlitz.  Also cleanup of comments and
	  handles multi-line nslookup output (MacOSX 10.3)

2004-02-17 08:24  tonvoon

	* AUTHORS: David Alden for check_snmp_procs.pl

2004-02-17 08:23  tonvoon

	* contrib/check_snmp_procs.pl: Checks remote processes via SNMP
	  (David Alden)

2004-02-09 03:32  tonvoon

	* AUTHORS: Patrick McCormick

2004-02-09 03:27  tonvoon

	* plugins/check_ping.c: Fix for check_ping old-style argument
	  handling (Patrick McCormick - 892211)

2004-01-28 06:42  tonvoon

	* plugins/check_dummy.c: Print optional text

2004-01-21 07:50  kdebisschop

	* AUTHORS: credit David Croft (patch check_tcp formultibyte malloc
	  bug in server_expect)

2004-01-21 07:49  kdebisschop

	* plugins/check_tcp.c: =fix segfault on malloc of server_expect for
	  multibyte chars (David Croft)

2004-01-21 07:46  kdebisschop

	* AUTHORS: credit David Croft (patch check_tcp formultibyte malloc
	  bug in server_expect)

2004-01-21 07:45  kdebisschop

	* plugins/check_tcp.c: =fix segfault on malloc of server_expect for
	  multibyte chars (David Croft)

2004-01-18 15:07  sghosh

	* contrib/check_snmp_printer.pl: plugin to check printer status via
	  snmp, includes page count as perfdata; perl plugin

2003-12-24 03:51  tonvoon

	* AUTHORS: Bug reporter

2003-12-24 03:51  tonvoon

	* plugins/check_swap.c: Fixed help doc on use of % (854817 - Gunnar
	  Hellekson)

2003-12-18 04:24  tonvoon

	* README: Reference to CHANGES file

2003-12-18 04:19  tonvoon

	* Makefile.am: Add CHANGES file to distribution

2003-12-18 04:15  tonvoon

	* CHANGES: List major changes between releases

2003-12-11 05:00  tonvoon

	* AUTHORS: For patch to check_http

2003-12-11 05:00  tonvoon

	* plugins/check_http.c: Relative redirects not followed correctly
	  (854131 - John Sivak)

2003-12-05 13:12  tonvoon

	* AUTHORS: Ben Whaley for reported Solaris 8 /usr/ucb/ps problem in
	  configure.in

2003-12-05 13:08  tonvoon

	* configure.in: Not correctly working out ps command if /usr/ucb
	  before /usr/bin in PATH for Solaris (reported by Ben Whaley)

2003-12-05 11:45  tonvoon

	* AUTHORS: Patch to my_connect

2003-12-05 11:42  tonvoon

	* plugins/: netutils.c, netutils.h: Fix clash of namespace for
	  my_connect with mysql (854339 - Ian Holsman)

2003-12-02 10:27  tonvoon

	* plugins/check_disk.c: Default thresholds not defined for lists in
	  -x parameter (raised by Matt Garrett)

2003-11-30 21:47  kdebisschop

	* po/: de.po, fr.po: commit changes caused by upstream code mods

2003-11-30 21:46  kdebisschop

	* plugins/check_procs.c: use usage2 function

2003-11-30 21:38  kdebisschop

	* nagios-plugins.spec.in: add THANKS to %doc

2003-11-28 09:18  tonvoon

	* plugins/check_procs.c: Fixed listing of failed processes

2003-11-24 09:56  tonvoon

	* AUTHORS: For patches

2003-11-24 09:53  tonvoon

	* plugins/check_hpjd.c: Bug from code-clean (Antony Simmonds -
	  846311)

2003-11-21 02:53  kdebisschop

	* README: update auotmake/autoconf versions

2003-11-21 02:52  kdebisschop

	* doc/developer-guidelines.sgml: update developer names

2003-11-21 02:34  kdebisschop

	* INSTALLING: our policy now is to use most recent versions of GNU
	  tool chain

2003-11-19 01:24  kdebisschop

	* plugins/check_time.c: add perfdata

2003-11-19 01:00  kdebisschop

	* plugins/check_smtp.c: use perfdata() to return perfoamnace data
	  in stanadrd format

2003-11-17 06:45  kdebisschop

	* plugins/check_ups.c: bugfix - each supported option was
	  overwriting the previous perfdata

2003-11-17 02:19  kdebisschop

	* plugins/check_ups.c: add perfdata

2003-11-17 01:37  kdebisschop

	* plugins/check_pgsql.c: add perfdata

2003-11-12 01:05  kdebisschop

	* plugins/check_snmp.c: clean up compiler warnings

2003-11-12 00:53  kdebisschop

	* plugins/check_nt.c: clean up compiler warnings

2003-11-12 00:48  kdebisschop

	* plugins/check_mrtg.c: clean up compiler warnings

2003-11-12 00:41  kdebisschop

	* plugins/check_mrtgtraf.c: clean up compiler warnings

2003-11-12 00:37  kdebisschop

	* plugins/check_swap.c: clean up compiler warnings

2003-11-12 00:29  kdebisschop

	* plugins/check_mrtgtraf.c: add perfdata

2003-11-12 00:28  kdebisschop

	* plugins/check_dig.c: remove overflow checks of strtod - HUGE_VALF
	  requires C99; also remove equality checks on warn/crit interval
	  which are no doubles

2003-11-11 05:43  tonvoon

	* plugins/check_tcp.c: Added perfdata

2003-11-11 05:34  tonvoon

	* plugins/check_users.c: Added perfdata

2003-11-11 05:27  tonvoon

	* plugins/check_swap.c: Added perfdata

2003-11-11 05:19  tonvoon

	* plugins/check_swap.c: Fixed if only absolute warn/crit set

2003-11-10 06:15  tonvoon

	* plugins/utils.h: - typo fixes

2003-11-05 17:59  sghosh

	* plugins-scripts/: check_ifoperstatus.pl, check_ifstatus.pl:
	  added plugin timeout options

2003-10-30 23:22  kdebisschop

	* plugins/check_nt.c: provide an error message

2003-10-30 23:21  kdebisschop

	* plugins/check_hpjd.c: line indentation

2003-10-30 23:20  kdebisschop

	* plugins/check_load.c: add perfdata

2003-10-30 23:19  kdebisschop

	* plugins/check_mrtg.c: add perf data fix bug where stale data
	  message would get overwritten

2003-10-24 09:28  tonvoon

	* plugins/common.h: Ignore __attribute__ for non-GNU compilers

2003-10-24 05:37  tonvoon

	* plugins/Makefile.am: Moved config.h to toplevel

2003-10-23 06:24  tonvoon

	* lib/Makefile.am: Need to include intl/ for systems without
	  libintl.h

2003-10-21 12:16  tonvoon

	* AUTHORS: Matt Garrett for bug reports

2003-10-21 11:56  tonvoon

	* plugins-scripts/check_file_age.pl: - Fixed file name (Matt
	  Garrett)

2003-10-20 10:03  tonvoon

	* configure.in, lib/fsusage.c, lib/mountlist.c: Fix for config.h at
	  top level. Required for intl/

2003-10-15 15:27  tonvoon

	* tools/mail_error: Need to export PATH for sfsnapshot to get
	  correct GNU toolchain

2003-10-13 23:15  sghosh

	* plugins-scripts/check_ifoperstatus.pl: snmpv3 patches

2003-10-13 23:14  sghosh

	* plugins-scripts/check_ifstatus.pl:  more snmpv3 patches

2003-10-13 22:40  sghosh

	* plugins-scripts/check_ntp.pl: Bug 773588: added check to warn on
	  matching # candidates only

2003-10-13 22:15  sghosh

	* plugins-scripts/check_ifstatus.pl: Added -M for maxmsgsize
	  (v1/v2c) Added v3 support

2003-09-30 09:54  tonvoon

	* plugins/check_swap.c: Fixed logic problem if HAVE_SWAP, but not
	  on AIX or Solaris. Removed unnecessary ifdefs for help page.
	  Better indentation for ifdefs

2003-09-29 06:02  tonvoon

	* lib/Makefile.am: Missed GNU files for AIX 5.1

2003-09-17 15:16  tonvoon

	* AUTHORS: Added authors of obsolete contrib plugins

2003-09-17 15:07  tonvoon

	* contrib/maser-oracle.pl: Obsolete from main check_oracle

2003-09-17 15:05  tonvoon

	* contrib/aix/: check_crit_dsk, check_dsk, check_ping: Plugins
	  obsolete from main check_disk and check_ping

2003-09-17 12:33  tonvoon

	* lib/strtod.c: Required if strtod not GNU compilant

2003-09-17 12:31  tonvoon

	* configure.in, lib/Makefile.am, lib/error.c, lib/error.h,
	  lib/error.m4, lib/malloc.c, lib/realloc.c, lib/unlocked-io.h,
	  lib/xalloc.h, lib/xmalloc.c: Support to compile on AIX

2003-09-17 12:15  tonvoon

	* plugins/check_load.c: - typo

2003-09-17 05:31  tonvoon

	* configure.in, plugins/check_swap.c: Support for check_swap in AIX
	  (tested on 5.1)

2003-09-17 05:25  tonvoon

	* tools/setup: Hide error message if docbook not available

2003-09-16 17:58  tonvoon

	* doc/developer-guidelines.sgml: Added in threshold range format
	  and updated autoconf to 2.54 for a problem on Darwin)

2003-09-16 10:14  tonvoon

	* configure.in, plugins/Makefile.am, plugins/check_procs.c: Support
	  for AIX ps command and cleanup of configure's ps checks

2003-09-16 08:32  tonvoon

	* AUTHORS, plugins/common.h: AIX problem with enum TRUE and FALSE
	  (Ludse Verhoeven)

2003-09-16 07:36  kdebisschop

	* tools/sfsnapshot: here-doc format was not correct

2003-09-16 01:45  kdebisschop

	* plugins/check_ldap.c: milisecond timing and perfdata, fix NULL
	  pointer error in validate_arguments

2003-09-15 11:49  tonvoon

	* AUTHORS: Contributors to the perfdata discussion

2003-09-15 11:28  tonvoon

	* AUTHORS, plugins-scripts/check_mailq.pl: Added Exim support
	  (768445 - Eric Bollengier)

2003-09-15 10:57  tonvoon

	* AUTHORS, plugins/check_nt.c: Option to verify check_nt version
	  (799098 - Steve Hanselman)

2003-09-15 10:30  tonvoon

	* AUTHORS: Jason Burnett for check_disk_smb patch

2003-09-15 10:26  tonvoon

	* plugins-scripts/check_disk_smb.pl: Optionally specify port for
	  smbclient to use (781227 - Jason Burnett)

2003-09-15 01:03  kdebisschop

	* plugins/check_http.c: make status code extensible (thanks to
	  Chris Wilson <chris@netservers.co.uk>)

2003-09-12 07:53  kdebisschop

	* AUTHORS: two new additions

2003-09-12 07:51  kdebisschop

	* plugins/check_ping.c: *new output format reported by Patrick
	  Allen <p.allen@brandblue.co.uk>, also move atrribution for
	  Richard Brodie to thanks file

2003-09-12 07:38  kdebisschop

	* plugins/check_ping.c: new output format reported by Patrick Allen
	  <p.allen@brandblue.co.uk>

2003-09-11 07:50  kdebisschop

	* plugins/check_http.c: use prefdata function for size too

2003-09-11 04:02  kdebisschop

	* plugins/check_http.c: use prefdata function

2003-09-11 04:02  kdebisschop

	* configure.in, plugins/check_swap.c: last changes to configure
	  broke check_swap on RHLinux. Restore /proc/meminfo check and make
	  check_swap ifdefs safer

2003-09-04 02:43  kdebisschop

	* Makefile.am: change so make-dist works in subdirs

2003-09-03 15:37  tonvoon

	* configure.in: Remove df checks and ignore swap checks if no swap
	  commands found

2003-09-03 15:32  tonvoon

	* doc/developer-guidelines.sgml: No named credits in source code

2003-09-03 06:32  tonvoon

	* configure.in: Fixed substitution for Tru64's ps format

2003-09-03 02:01  kdebisschop

	* plugins/check_dig.c: allow warn/crit times to be floating point

2003-09-03 02:00  kdebisschop

	* configure.in, plugins/common.h: include math.h if needed for
	  HUGE_VAL

2003-09-02 11:04  tonvoon

	* plugins/check_procs.c: Solaris requires asprintf checks for null
	  variables

2003-09-01 16:07  tonvoon

	* Makefile.am: Report duplicates in AUTHORS file

2003-09-01 15:43  tonvoon

	* doc/developer-guidelines.sgml: Add contributor's name into CVS
	  comments

2003-08-31 01:24  tonvoon

	* .cvsignore, AUTHORS, Makefile.am, THANKS.in: Updated AUTHORS to
	  include all contributors listed in comments in code and CVS for
	  plugins and plugins-scripts. Still need to do SF

2003-08-31 01:13  tonvoon

	* doc/developer-guidelines.sgml: Updated perf data standard for
	  warn before crit

2003-08-28 07:56  kdebisschop

	* plugins/check_game.c: add perf data

2003-08-27 23:53  kdebisschop

	* plugins/check_dns.c: add perf data

2003-08-27 23:53  kdebisschop

	* plugins/utils.c: use single quotes per guideline, also quote when
	  SPC or = are found

2003-08-27 23:22  kdebisschop

	* plugins/check_disk.c: add perf data

2003-08-27 23:21  kdebisschop

	* plugins/utils.c: suppress quotes in perf data when not needed
	  (some plugins need the space to keep below line length limit

2003-08-27 23:20  kdebisschop

	* plugins/utils.h: add min() macro to complement max()

2003-08-26 07:08  kdebisschop

	* plugins/check_dig.c: print perfdata

2003-08-26 06:51  kdebisschop

	* plugins/check_fping.c: print perfdata

2003-08-26 06:44  kdebisschop

	* plugins/: utils.c, utils.h: function to make perfdata output

2003-08-23 11:07  kdebisschop

	* plugins/check_http.c: - found and fixed memory allocation error
	  in rewritten redir() function

2003-08-23 09:59  kdebisschop

	* plugins/check_http.c: - hacked interim fix to segfault on
	  redirect - for tesing only

2003-08-23 09:58  kdebisschop

	* plugins/check_dig.c: - fix various format errors with newly added
	  perf data

2003-08-22 19:49  kdebisschop

	* plugins/check_dig.c: - forgot to declare struct timeval tv for
	  hires timing

2003-08-22 02:55  kdebisschop

	* plugins/check_dig.c: - add perf data for time

2003-08-22 02:22  kdebisschop

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_dummy.c, check_fping.c, check_game.c, check_hpjd.c,
	  check_http.c, check_ide-smart.c, check_ldap.c, check_load.c,
	  check_mrtg.c, check_mysql.c, check_nagios.c, check_nt.c,
	  check_nwstat.c, check_overcr.c, check_pgsql.c, check_ping.c,
	  check_procs.c, check_radius.c, check_real.c, check_smtp.c,
	  check_snmp.c, check_ssh.c, check_swap.c, check_tcp.c,
	  check_time.c, check_udp.c, check_ups.c, check_users.c, negate.c,
	  urlize.c: - bindtextdomain for gettext, a few other smale
	  cleanups here and there

2003-08-22 00:42  kdebisschop

	* plugins/: check_http.c: * bugfix: snprintf of timestamp truncated
	  '\0'

2003-08-21 14:00  kdebisschop

	* plugins/check_http.c: * Check redirections for infinte loops and
	  limit depth of recursion

2003-08-20 05:54  tonvoon

	* plugins/check_time.c: Optionally use udp instead of tcp (Bradley
	  Baetz - 751646)

2003-08-20 04:31  tonvoon

	* contrib/check_wins.pl: Changed netsaint to nagios in use lib

2003-08-19 07:41  kdebisschop

	* plugins/check_http.c: *BUGFIX: LWS is not required betwwen
	  "Location:" header field name and field value

2003-08-19 07:19  kdebisschop

	* plugins/check_http.c: *add missing status numbers from RFC 2616
	  (HTTP1.1)

2003-08-18 07:05  kdebisschop

	* plugins/check_ping.c: move error scans to a new separate routine
	  and scan both stderr and stdio

2003-08-11 15:50  tonvoon

	* doc/developer-guidelines.sgml: Performance data guidelines added

2003-08-11 15:43  tonvoon

	* tools/sfsnapshot: Fixed building snapshots - cvs update ignores
	  new directories.  Also do not need to run make

2003-08-10 08:56  kdebisschop

	* plugins/utils.c: config.h is redundant (common.h includes it)

2003-08-10 08:48  kdebisschop

	* plugins/: check_dns.c, check_smtp.c: perf data in integer
	  microseconds

2003-08-10 08:12  kdebisschop

	* po/: POTFILES.in, de.po, fr.po: first pass at NLS markup done

2003-08-10 08:11  kdebisschop

	* plugins-scripts/check_rpc.pl: proposed fix for LANG issue

2003-08-10 02:53  kdebisschop

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_fping.c, check_game.c, check_hpjd.c, check_http.c,
	  check_ldap.c, check_load.c, check_mrtg.c, check_mrtgtraf.c,
	  check_mysql.c, check_nagios.c, check_nt.c, check_nwstat.c,
	  check_overcr.c, check_pgsql.c, check_ping.c, check_procs.c,
	  check_radius.c, check_real.c, check_smtp.c, check_snmp.c,
	  check_ssh.c, check_swap.c, check_tcp.c, check_time.c,
	  check_udp.c, check_ups.c, check_users.c, negate.c, popen.c,
	  urlize.c: the last round of pedantic compiler warnings

2003-08-09 09:37  kdebisschop

	* tools/devmode: a little shell script to make it a little easier
	  to produce  pedantic compiler warnings

2003-08-09 09:36  kdebisschop

	* plugins/: check_smtp.c, check_ssh.c, check_tcp.c, check_time.c,
	  check_udp.c, check_ups.c, check_users.c: more pedantic compiler
	  warnings

2003-08-09 02:51  undrgrid

	* plugins/common.h, po/de.po, po/fr.po: Code clean-up

2003-08-09 02:01  kdebisschop

	* plugins/: check_dig.c, check_http.c, check_load.c, check_mrtg.c,
	  check_mrtgtraf.c, check_nwstat.c, check_overcr.c, check_ping.c,
	  check_procs.c, check_real.c, utils.c, utils.h: more pedantic
	  compiler warns

2003-08-09 00:19  kdebisschop

	* plugins/check_http.c: more pedantic compiler warns, change to
	  microsecond output for perf data, add size to perf data

2003-08-09 00:12  kdebisschop

	* plugins/: utils.c, utils.h: add function for elapsed tim ein
	  microseconds

2003-08-08 20:56  kdebisschop

	* plugins/check_http.c: more pedantic compiler warnings

2003-08-08 20:41  kdebisschop

	* plugins/: check_disk.c, check_dummy.c, popen.c, utils.c, utils.h:
	  more pedantic compiler warnings

2003-08-08 16:31  kdebisschop

	* lib/Makefile.am: include getloadvag.m4 in distrib

2003-08-08 12:49  kdebisschop

	* plugins/: check_disk.c, netutils.c, netutils.h: cleanups from
	  pedantic complier warnings

2003-08-08 12:48  kdebisschop

	* plugins/check_nt.c: change if/elseif block to case, general
	  streamline

2003-08-08 08:14  kdebisschop

	* plugins/check_disk.c: fix a variety of compiler warnings about
	  qualifier discards and other pedantic stuff

2003-08-08 01:09  kdebisschop

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c,
	  check_snmp.c, utils.c, utils.h: fix a variety of compiler
	  warnings about qualifier discards and other pedantic stuff

2003-08-08 00:33  kdebisschop

	* plugins/: check_by_ssh.c, check_disk.c, check_nt.c, netutils.c,
	  netutils.h, popen.h, utils.h: fix a variety of compiler warnings
	  about qualifier discards and other pedantic stuff

2003-08-07 23:51  kdebisschop

	* plugins/: check_nt.c, check_smtp.c: markup for translation

2003-08-07 19:17  kdebisschop

	* plugins/check_real.c: markup for translation

2003-08-07 08:36  kdebisschop

	* plugins/check_procs.c: markup for translation

2003-08-07 08:09  kdebisschop

	* plugins/check_load.c: reorder for consistency, restore prototypes
	  for print_foo, nest #ifdef to avoid pedantic traditional c warn

2003-08-07 08:00  kdebisschop

	* plugins/check_snmp.c: reorder for consistency (no code changes)

2003-08-07 07:51  kdebisschop

	* plugins/: check_by_ssh.c, check_disk.c, check_dns.c,
	  check_fping.c, check_game.c, check_http.c, check_mrtg.c,
	  check_mrtgtraf.c, check_nagios.c, check_nt.c, check_nwstat.c,
	  check_overcr.c, check_radius.c, check_real.c, check_snmp.c,
	  check_swap.c, check_tcp.c, check_time.c, negate.c, netutils.c,
	  popen.c, utils.c, utils.h: replace "terminate" with "die" for
	  shorter name and better readability

2003-08-07 07:49  kdebisschop

	* plugins/check_ping.c: cleanup for better readability

2003-08-07 05:51  kdebisschop

	* plugins/check_ping.c: markup for translation

2003-08-06 21:23  kdebisschop

	* tools/sfsnapshot: make must be run before make dist to creat
	  language files

2003-08-06 16:53  tonvoon

	* doc/developer-guidelines.sgml: Added in that Nagios plugins are
	  written to GNU standards

2003-08-06 10:26  kdebisschop

	* lib/.cvsignore: ignore ulonglong.m4

2003-08-06 08:13  kdebisschop

	* plugins/check_overcr.c: markup for translation, move send_buffer
	  assignment to process_args so process_tcp_request can be moved
	  outside the conditional, replace if/esleif with switch, replace
	  #defines with enum

2003-08-06 08:11  kdebisschop

	* plugins/check_nwstat.c: markup for translation

2003-08-05 15:20  tonvoon

	* doc/developer-guidelines.sgml: Added dev platform requirements

2003-08-05 07:53  kdebisschop

	* plugins/check_ssh.c: markup for translation

2003-08-05 05:56  stanleyhopcroft

	* contrib/check_mssql.sh: Version 2.0 of MS SQL server plugin
	  (contrib/check_mssql.sh) from T De Blende.

2003-08-04 07:38  kdebisschop

	* plugins/: check_users.c, urlize.c: markup for translation

2003-08-04 04:13  kdebisschop

	* plugins/: check_time.c, check_udp.c: markup for translation

2003-08-04 03:42  kdebisschop

	* plugins/: check_ldap.c, check_nagios.c, check_radius.c,
	  check_udp.c, check_ups.c, negate.c: markup for translation

2003-08-03 10:24  kdebisschop

	* plugins/: check_ldap.c, check_mrtg.c, check_mrtgtraf.c: markup
	  for translation

2003-08-03 02:19  kdebisschop

	* plugins/check_load.c: markup for translation

2003-08-03 02:05  kdebisschop

	* plugins/: check_http.c, check_ldap.c, check_tcp.c: markup for
	  translation

2003-08-03 02:03  kdebisschop

	* plugins/: Makefile.am, check_ide-smart.c: markup for translation,
	  use common.h, fix problems compiling

2003-08-03 02:02  kdebisschop

	* plugins/check_ldap.c: markup for translation

2003-08-02 20:01  kdebisschop

	* plugins/check_http.c: markup for translation

2003-08-02 18:19  kdebisschop

	* plugins/check_hpjd.c: markup for translation

2003-08-02 18:08  kdebisschop

	* plugins/check_mysql.c: markup for translation

2003-08-02 18:06  kdebisschop

	* plugins/: check_fping.c, check_game.c, check_mysql.c,
	  check_snmp.c, utils.h: markupf for translation

2003-08-02 14:22  kdebisschop

	* plugins/: utils.c, utils.h: ifdef so utils.h can be header for
	  utils.c

2003-08-02 14:22  kdebisschop

	* plugins/: check_fping.c, check_snmp.c: markup for translation

2003-08-02 12:42  kdebisschop

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_dummy.c, check_pgsql.c, check_swap.c, check_tcp.c, utils.h:
	  establish "UT_" namespace for usage text in #defines

2003-08-02 12:42  kdebisschop

	* plugins/check_snmp.c: markup for translation

2003-08-02 01:30  kdebisschop

	* plugins/check_dns.c: restore informative output that was lost in
	  previous bug fix

2003-08-01 19:56  kdebisschop

	* plugins/check_dns.c: terminate in error_scan() so meaningfull
	  errors can be sent

2003-08-01 02:04  kdebisschop

	* plugins/check_dummy.c: mark for transaltion

2003-08-01 02:03  kdebisschop

	* plugins/check_dns.c: do not translate the strings that will be
	  compared to utility output - LC_ALL is set to C so those strings
	  should be untranslated regardless of the system settings

2003-08-01 02:01  kdebisschop

	* plugins/popen.c: set LC_ALL to C in execve environemnt

2003-07-31 22:11  kdebisschop

	* plugins/: Makefile.am: 'ln -f -s ...' is not reliable/portable.
	  Use 'rm -f ...; ln -s ...'

2003-07-31 08:06  kdebisschop

	* plugins/check_dns.c: mark for translation (note problem here - it
	  relies on tranalation in underlying utility, which has a high
	  chance of failing)

2003-07-31 07:02  kdebisschop

	* plugins/: utils.h, check_disk.c: mark for translation

2003-07-30 07:39  kdebisschop

	* plugins/check_by_ssh.c: mark up for translation

2003-07-30 00:07  kdebisschop

	* plugins/: check_dig.c, check_pgsql.c, check_swap.c, check_tcp.c,
	  utils.h: markup for translation

2003-07-29 07:58  kdebisschop

	* plugins/: check_pgsql.c, check_swap.c, check_tcp.c: mark for
	  translation

2003-07-29 07:57  kdebisschop

	* plugins/utils.h: some shared text for internationalized help text

2003-07-29 01:49  kdebisschop

	* plugins/utils.c: clean up warnings about ill-formed comment and
	  string concatenation

2003-07-29 01:43  kdebisschop

	* .cvsignore, ChangeLog, README, configure.in, lib/Makefile.am:
	  bump to gettext 0.11.5 and cleanup GNU toolchain

2003-07-29 01:38  kdebisschop

	* ABOUT-NLS, INSTALL: get from GNU files instead of storing in CVS

2003-07-29 01:03  kdebisschop

	* tools/setup: move autopoint to start of gnu toolchain setup use
	  --force-missing instead on manually copying files  (manual
	  process was broken on RedHat, and we should expect automake to do
	  its job right anyway)

2003-07-28 23:06  kdebisschop

	* configure.in: look for getloadavg.c in $topdir/lib, not
	  $srcdir/lib

2003-07-28 23:04  kdebisschop

	* plugins/: check_http.c: patch attempt to reference undefined
	  optarg (credit Paul Farrall)

2003-07-28 23:03  kdebisschop

	* configure.in: look for getloadavg.c in $topdir/lib, not
	  $srcdir/lib

2003-07-28 07:36  tonvoon

	* configure.in: - Specify srcdir so no confusion

2003-07-28 07:34  tonvoon

	* configure.in, lib/getloadavg.m4: Fixes Redhat 6.2 compiles for
	  getloadavg.o

2003-07-28 07:30  tonvoon

	* configure.in, lib/getloadavg.m4: Readded getloadavg.m4 as using
	  autoconf 2.50+. This fixes redhat 6.2 compiles

2003-07-26 08:15  kdebisschop

	* plugins/check_pgsql.c: mark for translation

2003-07-26 08:13  kdebisschop

	* plugins/common.h: add S_ macor to mark message for both
	  translation and inclusion into docbook SGML

2003-07-26 01:29  kdebisschop

	* po/: de.po, fr.po: updated check_tcp

2003-07-26 01:25  kdebisschop

	* plugins/check_tcp.c, po/ChangeLog: internationalization

2003-07-26 01:17  kdebisschop

	* po/.cvsignore, intl/.cvsignore, lib/.cvsignore: skip gettext
	  files

2003-07-26 00:33  kdebisschop

	* lib/: Makefile.am: checkins for internationalization

2003-07-26 00:25  kdebisschop

	* po/Makevars: checkins for internationalization

2003-07-26 00:17  kdebisschop

	* lib/gettext.h: checkins for internationalization

2003-07-26 00:14  kdebisschop

	* tools/setup: checkins for internationalization

2003-07-26 00:09  kdebisschop

	* configure.in, ABOUT-NLS, po/de.po, po/fr.po: checkins for
	  internationalization

2003-07-26 00:06  kdebisschop

	* .cvsignore, ChangeLog, Makefile.am, configure.in,
	  nagios-plugins.spec.in, lib/Makefile.am, plugins/Makefile.am,
	  plugins/check_tcp.c, plugins/common.h, plugins/utils.c,
	  po/LINGUAS, po/POTFILES.in, tools/setup: checkins for
	  internationalization

2003-07-21 08:06  kdebisschop

	* plugins/common.h: add stubs to allow markup for translation

2003-07-21 07:53  kdebisschop

	* configure.in, plugins/common.h: test GNU_SOURCE and include
	  features.h if present to clear warning about asprintf definition

2003-07-20 10:40  kdebisschop

	* doc/developer-guidelines.sgml: must use '&amp;' in attribute
	  values instead of '&' id tokens (attibute values) must not have
	  embedded spaces

2003-07-20 10:01  kdebisschop

	* nagios-plugins.spec.in: was needed for build on RH9

2003-07-17 08:14  tonvoon

	* plugins-scripts/check_oracle.sh: - Cleanup comments

2003-07-17 05:35  tonvoon

	* doc/developer-guidelines.sgml: Guidelines updated to use
	  Sourceforge tracker system

2003-07-11 18:20  tonvoon

	* doc/developer-guidelines.sgml: - Fixed CVS commit comments

2003-07-11 09:06  tonvoon

	* doc/developer-guidelines.sgml: Added in practice of prefixing
	  comments in CVS commits

2003-07-11 02:30  kdebisschop

	* ChangeLog: Auto Update from CVS (includes both stabel and devel -
	  ugh)

2003-07-11 02:12  kdebisschop

	* configure.in, plugins/Makefile.am: link check_spop and
	  check_simap if ssl libs are compiled into check_tcp

2003-07-04 06:42  kdebisschop

	* configure.in, plugins/Makefile.am: only make links for check_spop
	  and check_simap when SSL is built into check_tcp

2003-07-03 12:49  tonvoon

	* plugins/check_procs.c: Fixed seg fault on some Sol 7/8 servers
	  (Patch 764745 - Alexander Matey)

2003-07-03 11:00  tonvoon

	* tools/setup: Changing $() to `` to be compatible with Solaris' sh

2003-07-02 23:23  kdebisschop

	* autogen.sh, tools/setup: mv GNU toolchain check into tools/setup

2003-07-02 23:19  kdebisschop

	* plugins/utils.c: remove LABELLEN

2003-07-02 12:20  tonvoon

	* plugins-scripts/: check_oracle.sh: Check for ORA- errors for
	  tablespace and cache (patch 755456 - Sven Meyer)

2003-07-02 11:57  tonvoon

	* plugins-scripts/check_disk_smb.pl: Update error message from
	  smbclient v2.2.7 (Patch 740132 - Cove Schneider)

2003-07-02 11:52  tonvoon

	* plugins-scripts/check_disk_smb.pl: Update error message from
	  smbclient v2.2.7 (Patch 740132 - Cove Schneider)

2003-07-02 11:01  tonvoon

	* contrib/check_file_age.pl, plugins-scripts/.cvsignore,
	  plugins-scripts/Makefile.am, plugins-scripts/check_file_age.pl,
	  plugins-scripts/subst.in: Moving check_file_age into core

2003-07-02 10:39  tonvoon

	* configure.in: Fixed SUPPORT message

2003-07-01 05:27  tonvoon

	* plugins/check_disk.c: Fix for large filesystems > 3TB (Stuart
	  Webster)

2003-06-30 15:47  undrgrid

	* plugins/: check_http.c, check_ldap.c, check_smtp.c: Added -4 and
	  -6 command line options into check_http, check_ldap and
	  check_smtp

2003-06-30 14:52  undrgrid

	* plugins/: check_ping.c, check_ssh.c, check_tcp.c, netutils.c:
	  Corrections to get code to compile on systems without IPv6
	  support

2003-06-30 14:52  undrgrid

	* plugins/Makefile.am: Added check_simap & check_spop to
	  check_tcp_programs If someone knows how to make this conditional
	  in the Makefile only if being compiled with SSL I think this is
	  the only way to make it better

2003-06-30 13:02  tonvoon

	* plugins/check_disk.c: Fixed support for "check_disk warn crit
	  [path]" with thresholds at used levels

2003-06-29 15:54  undrgrid

	* configure.in, plugins/check_ldap.c: Included patch for check_ldap
	  from Patch #753621 by Ziya Suzen

2003-06-29 15:22  undrgrid

	* plugins/: check_ping.c, check_tcp.c: Changed usage output to show
	  -4 and -6 are mutually exclusive. You can only      use one or
	  the other but not both. The last one used will win out.

2003-06-29 15:17  undrgrid

	* plugins/: check_ping.c, netutils.c: check_ping is now coded with
	  -4 & -6 options to call PING or PING6 command netutils modified
	  to verify hosts based on address_family setting when used    with
	  -4 or -6 options. is_inet_addr() will not be tested if -6 is
	  used and is_inet6_addr() will not be tested if -4 is used. Also
	  the	  is_hostname() will use the address_family value to
	  resolve hostnames    only if IPv6 support is available otherwise
	  defaults to AF_INET.

2003-06-29 02:36  undrgrid

	* plugins/: check_ssh.c, check_tcp.c, netutils.c, netutils.h: Added
	  address_family extern int variable to netutils to allow for -4 &
	  -6	     options for explicit connection protocol Added support
	  for -4 & -6 options to check_ssh and check_tcp for testing

2003-06-28 22:18  tonvoon

	* plugins/check_nwstat.c: Added NLM test (Phil Randal)

2003-06-28 21:52  tonvoon

	* plugins/check_swap.c: Corrected reported size for PROC_MEMINFO
	  systems

2003-06-28 21:36  tonvoon

	* tools/sfwebcron: Fixed so goes to correct web area

2003-06-28 21:07  tonvoon

	* tools/sfwebcron: New tool to run on shell.sf.net to update the
	  dev guidelines

2003-06-28 20:58  tonvoon

	* doc/makefile: Fixed makefile

2003-06-27 14:47  undrgrid

	* plugins/netutils.c: Modified my_connect to include ai_socktype in
	  the hints to be compliant with RFC3493 as pointed out by Janos
	  Mohacsi.

2003-06-27 10:43  tonvoon

	* configure.in, plugins/check_swap.c: Support for swap -s for
	  solaris. Also changes size of swap to MBs through a conversion
	  amount in configure. Possible breakage on other OSes

2003-06-27 08:04  tonvoon

	* doc/makefile: Remove if which check - done in tools/setup instead

2003-06-27 06:30  tonvoon

	* tools/setup: Fiddling as Solaris' which command is broken

2003-06-26 19:33  tonvoon

	* plugins/check_disk.c: Fixed different thresholds if using exclude
	  lists

2003-06-25 11:43  tonvoon

	* plugins/check_disk.c: Support for different thresholds for
	  different filesystems

2003-06-25 09:38  tonvoon

	* plugins/check_disk.c: Removed -d option and just check against -p
	  parameter

2003-06-25 09:28  tonvoon

	* plugins/check_disk.c: Report errors if path specified not found

2003-06-25 09:16  tonvoon

	* plugins/check_disk.c: Problems compiling on SunOS 5.6 with gcc
	  2.8.1. Fixed by specifying floating variables, rather than
	  letting asprintf work it out

2003-06-25 08:38  tonvoon

	* plugins/check_disk.c: Returns critical if fs missing. Only works
	  for single fs specified in -p, otherwise will return warning as
	  before (reported by Jim Carroll)

2003-06-21 01:49  kdebisschop

	* plugins/Makefile.am: soalris 8 needs 'ln -s -f' instead of 'ln
	  -sf'

2003-06-21 01:48  kdebisschop

	* plugins/Makefile.am: solaris 8 needs 'ln -s -f' instead of 'ln
	  -sf'

2003-06-21 01:31  kdebisschop

	* plugins/check_http.c: fix character class for URI_PATH and
	  URI_PORT

2003-06-21 01:23  kdebisschop

	* plugins/check_http.c: add remaining URI_PATH chars per RFC 2396
	  remove '-' from URI_PORT

2003-06-12 00:44  undrgrid

	* command.cfg.in: Renamed duplicate check_snmp command definitions
	  to be unique

2003-06-12 00:14  undrgrid

	* command.cfg.in, configure.in: Made the two check_ifoperstatus
	  commands unique to remove conflicts

2003-06-11 06:41  kdebisschop

	* plugins/check_http.c: fix URI_PATH to allow ?&#: (more still
	  should be allowed) fix class to be POSIX compliant

2003-06-11 06:39  kdebisschop

	* plugins/check_http.c: character classes were wrong for URI_PATH
	  etc: 1) must include ?&#; for PATH 2) POSIX states "If a '-' is
	  in the scanlist and is not the first character, nor the second
	  where the first character is a '^' , nor the last character, the
	  behavior is implementation-defined"

2003-06-10 01:04  kdebisschop

	* contrib/urlize.pl: add comment about shell quote removal to
	  address
	  https://sourceforge.net/tracker/index.php?func=detail&aid=661916&group_id=29880&atid=397597

2003-06-10 01:02  kdebisschop

	* plugins/urlize.c: add note about shell quote removal to address
	  https://sourceforge.net/tracker/index.php?func=detail&aid=661916&group_id=29880&atid=397597

2003-06-10 00:55  kdebisschop

	* contrib/urlize.pl: add comment relating to
	  https://sourceforge.net/tracker/index.php?func=detail&aid=661916&group_id=29880&atid=397597

2003-06-10 00:53  kdebisschop

	* plugins/urlize.c: add note about effect of shell quote handling
	  to address
	  https://sourceforge.net/tracker/index.php?func=detail&aid=661916&group_id=29880&atid=397597

2003-06-08 18:39  tonvoon

	* configure.in: Fixed quoting on SWAP_FORMAT

2003-06-08 18:22  tonvoon

	* configure.in: Support for OpenBSD 3.2 & 3.3 ps (Julien Touche)

2003-06-06 20:46  sghosh

	* plugins/check_real.c: \r\n patch from Mathias

2003-06-06 20:36  sghosh

	* plugins/check_real.c: \r\n patch from Mathias

2003-06-04 19:09  tonvoon

	* configure.in: Display ps command used

2003-06-04 18:56  tonvoon

	* configure.in: Stupid bug - what happens when you don't bother
	  testing

2003-06-04 18:37  tonvoon

	* configure.in: Support for OpenBSD 3.2 & 3.3 ps (Julien Touche)

2003-06-04 18:17  tonvoon

	* plugins/check_disk.c: Argument to asprintf in wrong order

2003-06-04 17:17  tonvoon

	* pkg/solaris/solpkg: Remove /usr as well. Maybe this is best done
	  by changing BASEDIR to configure's prefix?

2003-06-02 10:46  kdebisschop

	* plugins/check_tcp.c: finish recv() loop when stream GT or EQ
	  maxbytes (was GT)

2003-06-02 10:43  kdebisschop

	* plugins/check_tcp.c: finish recv() loop when stream GT or EQ
	  maxbytes (was GT)

2003-06-01 01:38  kdebisschop

	* plugins/check_tcp.c: typos in doco

2003-06-01 01:38  kdebisschop

	* plugins/check_tcp.c: allow user to limit number of bytes fetched
	  fix some doco (wait is now delay, server_quit was not shown)

2003-06-01 01:19  kdebisschop

	* plugins/check_tcp.c: allow user to limit the number of bytes to
	  be fetched

2003-05-31 10:39  kdebisschop

	* plugins/check_dns.c: first revised patch failed to trap the
	  "break" in while()

2003-05-31 10:39  kdebisschop

	* plugins/check_dns.c: first revised patch failed to trap the
	  "break" in while()

2003-05-31 10:22  kdebisschop

	* plugins/check_dns.c: typo in args to terminate

2003-05-31 10:04  kdebisschop

	* plugins/check_dns.c: trap null or empty returns from nslookup

2003-05-27 09:10  stanleyhopcroft

	* contrib/check_sap.sh: check_sap.sh plugin to check SAP /R3
	  servers from Karel Salavec and Tom De Blende.

2003-05-26 06:09  stanleyhopcroft

	* contrib/: check_axis.sh, check_mssql.sh: Revisions to Tom De
	  Blende contributed plugins: check_axis.sh and check_mssql.sh

2003-05-17 19:07  tonvoon

	* plugins/t/: check_ftp.t: Fixed test (Mathew Ericson - 738609)

2003-05-17 13:58  tonvoon

	* plugins/t/: check_load.t: Fixed tests (Mathew Ericson - 738607)

2003-05-17 13:50  tonvoon

	* plugins/t/check_procs.t: Fixed test commands (Mathew Ericson -
	  738605)

2003-05-17 13:46  tonvoon

	* plugins/t/check_procs.t: Fixed test commands (Mathew Ericson -
	  738605)

2003-05-17 13:38  tonvoon

	* plugins/t/: check_http.t: Fixed tests (Mathew Ericson - 738608)

2003-05-17 13:36  tonvoon

	* plugins/t/check_tcp.t: Fixed tests (Mathew Ericson - 738604) CV:
	  ----------------------------------------------------------------------

2003-05-17 13:33  tonvoon

	* plugins/t/check_tcp.t: Fixed tests (Mathew Ericson - 738604)

2003-05-16 13:32  sghosh

	* plugins-scripts/: check_ntp.pl: bug fix

2003-05-14 19:17  tonvoon

	* plugins/negate.c: Added examples

2003-05-14 17:59  tonvoon

	* plugins-scripts/check_mailq.pl: Added postfix support (Thomas
	  Nilsen - 735218)

2003-05-14 17:51  tonvoon

	* plugins/check_nwstat.c: Added DSVER and UPTIME checks (Phil
	  Randal - 737617)

2003-05-14 17:49  tonvoon

	* pkg/solaris/solpkg: Typo

2003-05-14 17:44  tonvoon

	* doc/.cvsignore: Ignore developer-guidelines.html as generated
	  from docbook

2003-05-14 17:39  tonvoon

	* Makefile.am, pkg/solaris/pkginfo.in, pkg/solaris/solpkg: Remove
	  dependency on gnu make

2003-05-13 19:20  tonvoon

	* doc/developer-guidelines.sgml: Updated docs to include comments,
	  contrib->main, getopts_long and verbose output levels

2003-05-13 18:23  tonvoon

	* tools/sfsnapshot: Calls tools/setup and creates a README for the
	  snapshot directory

2003-05-13 18:03  tonvoon

	* doc/developer-guidelines.html, doc/makefile, tools/setup: The
	  developer-guidelines.html file is now generated from the sgml
	  file by docbook2html at tools/setup time

2003-05-13 08:14  stanleyhopcroft

	* contrib/tarballs/hopcroft-plugins.tar.gz: Removed
	  contrib/tarballs/hopcroft-plugins.tar.gz. This is archaic,
	  anachronistic, unmaintained and humblingly embarrassing.

2003-05-13 08:13  stanleyhopcroft

	* contrib/check_mssql.sh: check_mssql.sh. A new plugin from Mr T DE
	  BLENDE to check MS SQLServer databases.

2003-05-08 23:22  kdebisschop

	* plugins/check_http.c: fix error when server closes connection
	  immediately

2003-05-08 23:22  kdebisschop

	* plugins/check_http.c: fix error when server closes connection
	  immediately

2003-05-08 22:59  kdebisschop

	* plugins/: check_snmp.c: cause snmpget try try for 1 second less
	  than the timeout (allowing plugin to force close if needed)

2003-05-07 14:01  undrgrid

	* plugins/check_ping.c: Modified check_ping to handle IPv6 as well
	  as IPv4 ICMP checks using the PING6_COMMAND determined during the
	  configure script execution. As USE_IPV6 may be defined and
	  PING6_COMMAND is not defined if there is not IPv6 TCP stack
	  available when configure is run I condition it off PING6_COMMAND
	  existing to remove build errors for being undefined.

2003-04-25 05:05  sghosh

	* plugins-scripts/: check_ntp.pl: corrected output units

2003-04-23 00:57  kdebisschop

	* plugins/: check_http.c, utils.c: update to RFC1123 hostname specs

2003-04-17 01:56  kdebisschop

	* nagios-plugins.spec.in: add check_nt, drop check_vsz

2003-04-17 01:55  kdebisschop

	* plugins/: check_dig.c, check_tcp.c, check_users.c: code cleanup
	  to clear strict compiler warnings

2003-04-17 01:36  kdebisschop

	* plugins/: check_dig.c, check_tcp.c, netutils.c: code cleanup to
	  clear strict compiler warnings

2003-04-16 11:31  sghosh

	* plugins/check_real.c: old behavior - no stream check unless -u

2003-04-16 11:06  sghosh

	* plugins/check_real.c: reset to old behavior of not checking
	  stream by default

2003-04-13 00:49  sghosh

	* plugins/check_hpjd.c: reduce compiler warning between gcc3 and
	  gcc2.96

2003-04-13 00:28  sghosh

	* configure.in: update for check_mailq - qmail support

2003-04-13 00:25  sghosh

	* plugins-scripts/utils.pm.in: update for check_mailq - qmail
	  support

2003-04-13 00:23  sghosh

	* plugins-scripts/check_mailq.pl: Added sendmail multi-queue
	  support (Canau), merged qmail support (Schmid)

2003-04-11 20:02  tonvoon

	* plugins/check_procs.c: Match -a STRING anywhere in ps args
	  (Laurent Vaslin - 719783)

2003-04-11 19:47  tonvoon

	* plugins/check_procs.c: Match -a STRING anywhere in ps args
	  (Laurent Vaslin - 719783)

2003-04-11 18:36  sghosh

	* plugins-scripts/check_ifstatus.pl: added feature -u (list of
	  unused ifIndex)

2003-04-11 18:09  sghosh

	* plugins-scripts/check_ifstatus.pl: bug 691412, added feature -x
	  (list of excluded ifTypes)

2003-04-11 14:44  sghosh

	* plugins/check_hpjd.c: patch 698384 - order of args to snmpget +
	  print a bit of stderr

2003-04-11 12:27  sghosh

	* plugins/check_hpjd.c: patch 698384 - order of args to snmpget

2003-04-08 23:46  kdebisschop

	* plugins/: check_http.c, check_hpjd.c, check_nt.c: cleanup to
	  suppress various strict compiler warnings

2003-04-08 23:44  kdebisschop

	* plugins/common.h: rewrite #elif to be compatible with traditional
	  C

2003-04-08 22:09  kdebisschop

	* plugins/Makefile.am: check_game needs popen.c now

2003-04-08 16:49  tonvoon

	* plugins/: check_nt.c, check_hpjd.c: Changed // to /* */ comments
	  as some compilers do not like them

2003-04-08 16:38  tonvoon

	* command.cfg.in: Updated command for new check_procs

2003-04-08 16:37  tonvoon

	* plugins/: check_hpjd.c, check_nt.c: Changed // to /* */ comments
	  as some compilers do not like them

2003-04-07 20:00  stanleyhopcroft

	* contrib/check_axis.sh: check_axis.sh (Axis 5xx print servers)
	  from Tom De Blende

2003-04-07 19:40  tonvoon

	* plugins/check_procs.c: Fixed zombie processes

2003-04-07 19:16  tonvoon

	* configure.in: Missed some PS_FORMAT strings

2003-04-07 18:53  tonvoon

	* configure.in, plugins/Makefile.am, plugins/check_nagios.c,
	  plugins/check_procs.c, plugins/check_vsz.c: Souped up check_procs
	  with different metrics

2003-04-07 17:23  tonvoon

	* plugins/check_snmp.c: Removed unnecessary array for AIX compile
	  (reported by Alwyn Cherrington)

2003-04-07 17:21  tonvoon

	* plugins/check_snmp.c: Removed unnecessary regex array

2003-04-07 07:39  kdebisschop

	* plugins/check_http.c: ste timeout one second greater than
	  critical time

2003-04-07 07:38  kdebisschop

	* plugins/check_game.c: had been grandfathered ibto core, finally
	  use normal getopts, add options for player, max-player array
	  positions

2003-04-03 16:21  tonvoon

	* plugins-scripts/check_oracle.sh: Cleaned up cache output

2003-04-01 17:24  tonvoon

	* plugins-scripts/check_oracle.sh: Fixed sqlplus calls and
	  rearranged parameters for --tablespace & --cache

2003-03-31 23:00  kdebisschop

	* configure.in: remove PATH_PROG call for autoconf/automake
	  components

2003-03-31 07:49  kdebisschop

	* plugins/check_disk.c: checkpoint  supresses iso9660  adds option
	  for checking only local  adds choice of scale factor

2003-03-27 17:53  tonvoon

	* plugins/check_nwstat.c: Extra Netware checks (Patch 710247 -
	  Dietmar Ruzicka)

2003-03-26 00:37  tonvoon

	* configure.in: ipv6 check requires unistd.h for Darwin

2003-03-25 22:57  tonvoon

	* configure.in, plugins/check_procs.c: Removal of ps_raw and
	  ps_vars

2003-03-25 22:39  tonvoon

	* plugins/check_nagios.c: Uses same ps command as check_procs

2003-03-25 01:33  kdebisschop

	* .cvsignore: subst is no longer used

2003-03-24 14:05  undrgrid

	* .cvsignore, Makefile.am: Better stripping of prefix for Solaris
	  package install needs to remove	/usr/local as package
	  installs there by default

2003-03-24 12:44  undrgrid

	* Makefile.am, pkg/solaris/.cvsignore, pkg/solaris/pkginfo.in,
	  plugins/check_disk.c: Minor changes to build for Solaris packages

2003-03-24 11:23  tonvoon

	* plugins/check_procs.c: Use max_state

2003-03-23 21:57  tonvoon

	* tools/: mail_error, sfsnapshot: PATH set in correct place and
	  extra comments

2003-03-23 21:44  tonvoon

	* tools/: mail_error, sfsnapshot: Bug fixes

2003-03-23 21:21  tonvoon

	* tools/mail_error: Sends email if non-zero return code from
	  command

2003-03-23 21:19  tonvoon

	* tools/sfsnapshot: Error code depending on number of files
	  generated

2003-03-23 20:18  tonvoon

	* lib/ls-mntd-fs.m4: Using coreutils 4.5.11 version to fix Darwin
	  problem

2003-03-23 19:40  tonvoon

	* REQUIREMENTS: Add NSClient requirement for check_nt

2003-03-23 19:39  tonvoon

	* plugins/check_nt.c: Reference to web site to get NSClient

2003-03-23 19:26  tonvoon

	* plugins/check_nt.c: Reference to web site to get NSClient

2003-03-23 02:01  undrgrid

	* Makefile.am, autogen.sh, configure.in, lib/Makefile.am,
	  pkg/solaris/pkginfo.in, pkg/solaris/solpkg: Solaris package build
	  system

2003-03-23 01:20  kdebisschop

	* plugins/check_disk.c: can once again exclude indiviual
	  path/partitions

2003-03-23 01:11  kdebisschop

	* plugins/check_disk.c: add -X to exclude FS type, now works with
	  more than one path/dev specified

2003-03-22 08:23  kdebisschop

	* plugins/utils.c: declaration must precede printf

2003-03-21 15:21  tonvoon

	* configure.in: Stupid bug!

2003-03-21 09:08  kdebisschop

	* plugins/check_disk.c: checkpoint, allows selecting devices and
	  paths now

2003-03-21 09:04  kdebisschop

	* configure.in: instructions for posting plugin version number

2003-03-19 18:44  kdebisschop

	* plugins/check_by_ssh.c: allow to specify -1 and -2 for protocol
	  version

2003-03-19 17:42  tonvoon

	* configure.in: Tru64 df support (Paul Clayton)

2003-03-19 08:01  kdebisschop

	* plugins/: utils.c, utils.h: make state_text a function

2003-03-19 07:59  kdebisschop

	* lib/mountlist.c, plugins/check_disk.c: check_disk working with
	  mountlist.c

2003-03-18 21:28  kdebisschop

	* Makefile.am, configure.in: subst.* was replaced by dist-hook

2003-03-18 21:27  kdebisschop

	* subst.in, subst.sh: these were replaced by dist-hook

2003-03-18 10:18  kdebisschop

	* configure.in: running the AFS macro causes newer AC/AM to barf

2003-03-18 04:02  kdebisschop

	* configure.in: afs checking

2003-03-18 03:50  kdebisschop

	* lib/: ls-mntd-fs.m4, afs.m4: use AC_DEFINE_UNQOUTED

2003-03-18 03:47  kdebisschop

	* lib/ls-mntd-fs.m4: stop warning on autoheader 2.13

2003-03-18 02:57  kdebisschop

	* plugins/: netutils.c, netutils.h: common.h was doubly included

2003-03-18 02:57  kdebisschop

	* plugins/common.h: use enum instead of define, remove some cruft
	  from old snprintf implementation

2003-03-18 02:48  kdebisschop

	* configure.in, lib/Makefile.am, plugins/check_disk.c: use GNU
	  fileutils for check_disk

2003-03-18 02:47  kdebisschop

	* lib/: afs.m4, fstypename.m4, fsusage.c, fsusage.h, fsusage.m4,
	  ls-mntd-fs.m4, mountlist.c, mountlist.h: from GNU fileutils for
	  check_disk

2003-03-17 17:22  tonvoon

	* plugins-scripts/: check_oracle.sh: Allow default Oracle home from
	  oratab (reported by Walbert Oberngruber)

2003-03-16 18:54  undrgrid

	* configure.in: Modified to automatically enable getaddrinfo
	  emulation if lwres is not used and getaddrinfo is not found in
	  the system.

2003-03-16 18:28  undrgrid

	* plugins/: check_tcp.c, netutils.c, netutils.h: Applied patch
	  #660973 for tcp refusals

2003-03-14 20:28  undrgrid

	* configure.in: Left over debug define

2003-03-14 20:25  undrgrid

	* configure.in, lib/Makefile.am, lib/getaddrinfo.c,
	  lib/getaddrinfo.h, lib/gethostbyname.c, lib/gethostbyname.h,
	  plugins/Makefile.am, plugins/getaddrinfo.c,
	  plugins/getaddrinfo.h, plugins/gethostbyname.c,
	  plugins/gethostbyname.h, plugins/netutils.c, plugins/netutils.h,
	  plugins/utils.c, plugins/utils.h: Spent the day working on
	  backwards compatability using getaddrinfo() Moved getaddrinfo.?
	  and gethostbyname.? from lib/ to plugins/ due to problems with
	  compiling into the libnagiosplug.a as it required linking against
	  socket libraries which are unneeded except for network based
	  plugins.  This code should hopefully happily work for all systems
	  and has been tested prior to commit on Debian GNU/Linux, SPARC
	  Solaris 7 and SPARC Solaris 9.

2003-03-14 08:28  kdebisschop

	* plugins-scripts/check_ntp.pl: add timeout, fix taint chacking
	  diom

2003-03-13 17:20  undrgrid

	* .cvsignore, configure.in, lib/Makefile.am: Working out issues
	  with getaddrinfo emulation build environment

2003-03-13 16:14  tonvoon

	* plugins/: check_dns.c, check_http.c, check_tcp.c: Strip leading
	  spaces in perf data

2003-03-13 16:10  tonvoon

	* plugins/check_smtp.c: Perf data without leading spaces and fix
	  ANSI C complaint about \n

2003-03-13 15:33  tonvoon

	* plugins/check_tcp.c: Fix compiler warnings re progname

2003-03-13 01:52  undrgrid

	* depcomp: Removed auto-tools script that automake adds

2003-03-13 01:51  undrgrid

	* .cvsignore, configure.in, install-sh, missing, mkinstalldirs,
	  plugins/.cvsignore, plugins/Makefile.am, plugins/common.h,
	  plugins/common.h.in, plugins/netutils.h, plugins/netutils.h.in,
	  plugins/popen.h, plugins/popen.h.in, plugins/utils.c,
	  plugins/utils.h, plugins/utils.h.in, plugins/version.h.in:
	  Updated cvs ignore files to reflect changes Moved header files
	  from being ran through configure to standard Removed auto-tools
	  scripts that get added by automake

2003-03-13 01:00  kdebisschop

	* plugins/negate.c: negate must be POSIXly correct in handling
	  options, else wrapped options get passed to it

2003-03-13 00:59  undrgrid

	* configure.in: Removed --with-ipv6 configure option so it
	  determines IPv6 availablity completely on it's own per suggestion
	  by Karl

2003-03-13 00:29  kdebisschop

	* plugins/negate.c: negate must be POSIXly correct in handling
	  options, else wrapped options get passed to it

2003-03-12 17:13  undrgrid

	* plugins/check_tcp.c: doco standarization

2003-03-12 14:50  undrgrid

	* configure.in, plugins-scripts/subst.in: Just a lil namespace
	  clean-up

2003-03-12 12:42  undrgrid

	* configure.in: Minor fix to --with-ipv6 behavior

2003-03-12 12:11  undrgrid

	* autogen.sh, configure.in, plugins/utils.c, plugins/utils.h.in:
	  Added autogen.sh script that rebuilds using autotools and runs
	  configure Modified configure.in to include some debug build
	  option info at the end of the scripts execution. Can be removed
	  by release time.  Modified configure.in to include a --with-ipv6
	  option Default build is without IPv6 support now to enable you
	  need to use the --with-ipv6 command line option to configure.
	  Modified plugins/utils.* to use USE_IPV6

2003-03-12 02:05  kdebisschop

	* plugins/check_disk.c: doco standarization

2003-03-12 01:44  kdebisschop

	* plugins/check_disk.c: errors for statfs

2003-03-12 01:41  kdebisschop

	* plugins/check_smtp.c: comment/doco cleanup for embeeded doc work,
	  control STMP command via options instead of defines

2003-03-12 01:38  kdebisschop

	* configure.in: version increase, statfs work

2003-03-11 21:47  undrgrid

	* plugins/.cvsignore: Add some more extra plugins

2003-03-11 21:29  undrgrid

	* plugins/check_dig.c: Code clean-up

2003-03-11 21:29  undrgrid

	* plugins/check_http.c: Clean up of output from plugin

2003-03-11 21:24  undrgrid

	* plugins/: check_udp.c, check_ldap.c, check_http.c: Code clean-up

2003-03-11 21:23  undrgrid

	* plugins/check_tcp.c: Code cleanup

2003-03-11 19:45  tonvoon

	* plugins/check_dns.c: Removed is_host checks to speed up code.
	  Fixed timings so no spaces

2003-03-11 19:08  tonvoon

	* plugins/check_dns.c: Timings in milliseconds and nicer output

2003-03-11 17:51  tonvoon

	* plugins-scripts/.cvsignore: Add script ignores

2003-03-11 17:36  tonvoon

	* plugins/negate.c: Remove getopt_long checks

2003-03-11 17:34  tonvoon

	* plugins/negate.c: Fixed reading too many argv parameters and
	  changed to asprintf

2003-03-11 17:29  tonvoon

	* plugins/negate.c: Fixed reading too many argv parameters and
	  changed to asprintf

2003-03-11 17:22  tonvoon

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_fping.c, check_hpjd.c, check_http.c, check_ide-smart.c,
	  check_ldap.c, check_load.c, check_mrtg.c, check_mrtgtraf.c,
	  check_mysql.c, check_nagios.c, check_nt.c, check_nwstat.c,
	  check_overcr.c, check_pgsql.c, check_ping.c, check_procs.c,
	  check_radius.c, check_real.c, check_smtp.c, check_snmp.c,
	  check_ssh.c, check_swap.c, check_tcp.c, check_time.c,
	  check_udp.c, check_ups.c, check_users.c, check_vsz.c: Remove
	  getopt_long checks

2003-03-11 17:09  undrgrid

	* configure.in: Fixed some ping6 variables

2003-03-11 13:32  undrgrid

	* configure.in: Minor change to Karl's statfs check Inclusion of
	  ICMPv6 ping tests to define PING6_COMMAND Minor fix to ps syntax
	  checking to fix bug I introduced last nite

2003-03-11 02:04  undrgrid

	* Makefile.am, configure.in: Removed acconfig.h from EXTRA_DIST
	  Fixed problem with test in SWAP_FORMAT and SWAP_COMMAND

2003-03-11 01:44  kdebisschop

	* configure.in, plugins/check_disk.c: use statfs for check_disk
	  (still needs fs scan)

2003-03-11 01:03  undrgrid

	* acconfig.h, configure.in: Finishing clean-up of configure.in
	  Removing acconfig.h as it's no longer needed

2003-03-10 18:58  undrgrid

	* acconfig.h, configure.in: Cleaned up configure for PS and PING to
	  produce cleaner config.h

2003-03-09 13:13  undrgrid

	* plugins/common.h.in: Make sure sys/socket.h is explicitly
	  included if HAVE_SYS_SOCKET_H is defined

2003-03-09 05:39  tonvoon

	* plugins/check_disk.c: Implement error-only option for check_disk
	  (Ian Duggan)

2003-03-09 05:36  tonvoon

	* plugins/check_disk.c: Implement error-only option for check_disk
	  (Ian Duggan)

2003-03-08 07:08  tonvoon

	* plugins/check_disk.c: Fix AIX /proc filesystem (Ian Duggan)

2003-03-08 07:05  tonvoon

	* plugins/check_disk.c: Fix AIX /proc filesystem (Ian Duggan)

2003-03-08 06:44  tonvoon

	* configure.in: snprintf checks in configure.in like samba

2003-03-07 21:27  undrgrid

	* plugins/check_dns.c: Modified code to call is_addr() rather than
	  is_dotted_quad() with the    new AF indepdent function routines

2003-03-07 21:26  undrgrid

	* plugins/: netutils.c, netutils.h.in, utils.c, utils.h.in: AF
	  indepedent routines introduced.  Modifed process_request() &
	  my_connect() parameters to make 'proto' type	      'int' rather
	  than 'char *' and use IPPROTO_* POSIX values.  Removed
	  is_dotted_quad() & my_inet_aton() functions Added is_addr(),
	  is_inet_addr(), is_inet6_addr() and resolve_host_or_addr()
	  functions to check whether it is a valid IP address Modified
	  is_host() to call is_addr() and is_hostname()

2003-03-07 21:02  tonvoon

	* tools/sfsnapshot: Need to remove configure.in

2003-03-07 20:59  tonvoon

	* lib/Makefile.am, lib/snprintf.c, plugins/Makefile.am,
	  plugins/snprintf.c: Move snprintf into lib

2003-03-07 20:48  tonvoon

	* tools/sfsnapshot: Have to run through whole automake procedure as
	  datestamp in RELEASE variable

2003-03-07 20:13  tonvoon

	* tools/sfsnapshot: Added automake parameters for config.sub and
	  config.guess

2003-03-07 19:57  tonvoon

	* tools/sfsnapshot: Fixed production OUT variable

2003-03-07 19:55  tonvoon

	* tools/sfsnapshot: Adds MD5SUM file, creates multiple branch
	  snapshots and doesn't rerun configure/automake/autoconf
	  unnecessarily

2003-03-07 19:21  tonvoon

	* Makefile.am: Use Makefile's variables (to support a shortcut in
	  sfsnapshot)

2003-03-07 17:11  undrgrid

	* configure.in, lib/Makefile.am, lib/getaddrinfo.c,
	  lib/getaddrinfo.h, lib/gethostbyname.c, lib/gethostbyname.h,
	  plugins/check_pgsql.c, plugins/common.h.in, plugins/netutils.c,
	  plugins/netutils.h.in, tools/setup: Added getaddrinfo.[ch] &
	  gethostbyname.[ch] to provide RFC2553 functions   if missing in
	  system libs and lwres not present Moved all references to netdb.h
	  and sys/socket.h into common.h.in Modified automake call in
	  tools/setup to include adding missing files	      so config.sub
	  and config.guess will be available

2003-03-07 15:16  tonvoon

	* plugins/check_nt.c: Make output for CPU load nicer

2003-03-07 02:45  kdebisschop

	* plugins/check_smtp.c: millisecond timing and perf data

2003-03-07 02:15  kdebisschop

	* plugins/: check_smtp.c: whole timer loop was on the wrong side of
	  connection close code

2003-03-07 01:43  kdebisschop

	* plugins/check_udp.c: fix for -H invocation of hostname

2003-03-07 01:40  kdebisschop

	* plugins/check_udp.c: fix for -H invocation of hostname

2003-03-06 01:40  undrgrid

	* acinclude.m4, configure.in: Adds --with-lwres and
	  --enable-emulate-getaddrinfo but are not used in any of the code
	  at this time. Has a check for IPv6 support but only runs if using
	  the emulate-getaddrinfo routines, this needs to be modified.	!!!
	  I need input from results of this run on various platforms to see
	  what results are seen in plugins/config.h so please help test !!!

2003-03-05 02:27  kdebisschop

	* plugins-scripts/check_ntp.pl: add "m" to regex for minutes

2003-03-05 00:59  sghosh

	* plugins/check_smtp.c: remove race condition for a long HELO

2003-03-04 23:38  sghosh

	* command.cfg.in: corrected snmp commands

2003-03-04 23:37  sghosh

	* plugins-scripts/check_ntp.pl: regex fix per Marc Poulin

2003-03-04 19:17  tonvoon

	* plugins/check_http.c: check_http min size option (680467 - Dave
	  Viner)

2003-03-04 18:56  tonvoon

	* plugins/check_nt.c: Make output message for CPU Load a bit nicer

2003-03-04 18:35  tonvoon

	* tools/sfsnapshot: To create nagiosplug daily snapshots on SF

2003-03-02 22:49  kdebisschop

	* plugins/check_ping.c: accept comma-delimted list of hosts for
	  checking if a multihomed host is alive

2003-03-02 01:01  kdebisschop

	* plugins/check_ping.c: add logic to check multiple servers

2003-03-01 23:59  kdebisschop

	* ChangeLog: update from CVS

2003-03-01 23:58  kdebisschop

	* configure.in, nagios-plugins.spec.in: adjustments to remove beta
	  tagging

2003-03-01 23:32  kdebisschop

	* ChangeLog: update from CVS

2003-03-01 00:09  kdebisschop

	* nagios-plugins.spec.in: we were missing some docs in the RPM

2003-02-23 12:11  sghosh

	* REQUIREMENTS: Novell requirements

2003-02-23 12:10  sghosh

	* contrib/check_bgpstate.pl: removed community string in CRIT
	  message

2003-02-22 14:06  tonvoon

	* configure.in: Solaris and Unixware labels round the wrong way for
	  swap command

2003-02-22 08:01  kdebisschop

	* Makefile.am: provide target for nagios-plugins.spec

2003-02-22 02:27  kdebisschop

	* Makefile.am: add CODING FAQ LEGAL to distribution tarball

2003-02-21 16:59  tonvoon

	* plugins/check_http.c: Fixed coredump with unallocated string

2003-02-21 16:46  tonvoon

	* plugins/check_dns.c: Strip leading spaces on dns return value
	  (689563 - Simon L Nielsen)

2003-02-19 22:16  kdebisschop

	* plugins-scripts/check_disk_smb.pl: option regexs need to include
	  ^ and $

2003-02-19 17:56  tonvoon

	* lib/Makefile.am: Removing getloadavg.m4 from dist

2003-02-19 03:36  kdebisschop

	* INSTALL, configure.in, lib/getloadavg.m4, tools/setup: remove
	  getloadavg.m4

2003-02-18 19:45  tonvoon

	* Makefile.am, configure.in, getloadavg.m4, lib/Makefile.am,
	  lib/getloadavg.c, lib/getloadavg.m4, plugins/Makefile.am,
	  plugins/getloadavg.c: Move getloadavg to lib directory. Must run
	  "aclocal -I lib"

2003-02-18 18:00  kdebisschop

	* plugins/check_pgsql.c: spurious backslash escape

2003-02-18 17:56  kdebisschop

	* configure.in: set tag for beta3, fix pgsql detection

2003-02-18 17:24  kdebisschop

	* plugins/check_udp.c: never exited getopt loop

2003-02-18 17:20  kdebisschop

	* plugins/check_tcp.c: failed if header was more than 1023 bytes

2003-02-18 17:10  tonvoon

	* plugins/check_load.c: Fixed the output messages (Bug 688729 -
	  Jayjay)

2003-02-18 16:58  tonvoon

	* Makefile.am: Add SUPPORT file to distribution

2003-02-18 16:56  tonvoon

	* plugins/check_http.c: Fixed compiler warning and increased the
	  SSL random key for a Solaris PRNG problem

2003-02-18 00:38  kdebisschop

	* configure.in: remainder of ps fix for UnixWare, and move [] in
	  if/elif to indicate m4 quoting instead of test invocation

2003-02-17 23:05  sghosh

	* contrib/check_appletalk.pl: Appletalk ping plugin

2003-02-17 23:04  sghosh

	* plugins/check_snmp.c: OID type prefix patch [Patches-679403]

2003-02-17 22:46  sghosh

	* plugins/check_swap.c: support for Large swap sizes

2003-02-17 22:17  sghosh

	* configure.in: regex fix to catch *BSD swapinfo and not HP-UX
	  error and memory/file swap in addition to device for HP-UX

2003-02-17 17:01  kdebisschop

	* configure.in: typo in testing uname output

2003-02-17 16:57  kdebisschop

	* configure.in: ping and swap for unixware

2003-02-17 16:04  kdebisschop

	* configure.in: library search dirs are part of LDFLAGS

2003-02-17 14:11  sghosh

	* REQUIREMENTS: location updates

2003-02-16 03:41  tonvoon

	* plugins/Makefile.am: Fixed dependencies for check_nt

2003-02-16 03:25  tonvoon

	* plugins/check_nt.c: Coredump if no variable set (reported by Marc
	  C. Poulin)

2003-02-15 21:46  egalstad

	* contrib/check_dhcp.c: Interface patch byor Clemens Resen

2003-02-15 21:18  sghosh

	* plugins-scripts/check_ntp.pl: all alphanumeric accepted for refid
	  on ntpq

2003-02-12 17:32  tonvoon

	* plugins/.cvsignore: Added extra plugins

2003-02-12 17:30  tonvoon

	* lib/.cvsignore: Add ignore files

2003-02-12 17:29  tonvoon

	* plugins/negate.c: Remove unnecessary \ and fix coredump with no
	  parameters specified

2003-02-12 17:27  tonvoon

	* plugins/check_http.c: Remove unnecessary \ - complaints from
	  Tru64's cc compiler

2003-02-12 17:21  tonvoon

	* configure.in: Inadequate quoting for PS_FORMAT & removal of grep
	  "*** for Tru64

2003-02-11 23:36  sghosh

	* command.cfg.in: forced ntpq jitter check

2003-02-11 23:32  sghosh

	* plugins-scripts/check_ifoperstatus.pl: added timeout alarm

2003-02-11 23:30  sghosh

	* plugins-scripts/check_ntp.pl: fixed regex for stratum1 peer,
	  added logic for failed ntpq call(e.g. sntp host)

2003-02-10 19:47  tonvoon

	* plugins/check_mysql.c: Patch by Dave Viner for seg fault on RH
	  7.3 (655903)

2003-02-10 18:59  tonvoon

	* configure.in: Update with references to REQUIREMENTS

2003-02-10 18:58  tonvoon

	* Requirements: Remove file, superceded by REQUIREMENTS

2003-02-10 18:34  tonvoon

	* plugins/: getopt.c, getopt.h, getopt1.c: Removing getopt files -
	  now in new lib directory

2003-02-10 18:32  tonvoon

	* lib/: Makefile.am, getopt.c, getopt.h, getopt1.c: New directory
	  for common library files

2003-02-10 18:28  tonvoon

	* plugins/common.h.in: Added in a define for HAVE_GETOPT_H for
	  backwards compatibility

2003-02-10 18:27  tonvoon

	* plugins/Makefile.am: Remove unnecessary getopt references and
	  link in lib directory

2003-02-10 18:26  tonvoon

	* configure.in: Removing checks for getopt.h - now always
	  available. Also support lib dir

2003-02-10 18:24  tonvoon

	* Makefile.am: Adding lib directory for getopts change

2003-02-10 18:08  tonvoon

	* configure.in: Fixed Tru64 ps command (Bug 669585 - Paula Arnold)

2003-02-10 13:36  undrgrid

	* plugins/check_ssh.c: Added argc checks before attempting to
	  access argv[]

	  Corrected return codes and output

2003-02-10 09:18  undrgrid

	* plugins/check_ssh.c: Revised code to use resolving and connection
	  code in utils.c and netutils.c rather than its own functions.
	  Corrected code to properly handle input of server hostname and
	  port on commandline without option flags.

2003-02-09 23:49  kdebisschop

	* contrib/check_fping_in.c: this plugin is in core as check_fping

2003-02-09 13:59  undrgrid

	* tools/setup: Reordered program calls so autoheader was called
	  before automake thus getting rid of errors for header files not
	  being present when automake was called. Also puts it inline with
	  documentation in INSTALL & INSTALLING

2003-02-09 09:20  sghosh

	* contrib/: check_adptraid.sh, check_compaq_insight.pl,
	  check_file_age.pl:  new plugins

2003-02-09 09:18  sghosh

	* contrib/: README.TXT, readme.txt: file rename

2003-02-09 09:16  sghosh

	* contrib/: check_remote_nagios_status.pl, check_wins.pl,
	  sched_downtime.pl: more contribs

2003-02-09 09:03  sghosh

	* contrib/tarballs/: fetchlog-0.92.tar.gz, fetchlog-0.94.tar.gz:
	  new version

2003-02-09 07:54  kdebisschop

	* CODING, README: spell check

2003-02-09 07:36  kdebisschop

	* FAQ: spell check

2003-02-09 07:17  sghosh

	* SUPPORT: ispell

2003-02-08 01:00  kdebisschop

	* plugins/check_pgsql.c: use enum instead of define

2003-02-08 00:58  kdebisschop

	* FAQ: add item on submitting new plugins

2003-02-08 00:57  kdebisschop

	* SUPPORT: suggest minimum standards for support requests

2003-02-08 00:32  kdebisschop

	* plugins/check_http.c: submit request with one send

2003-02-05 00:59  kdebisschop

	* configure.in: fix for SSL build on RedHat rawhide

2003-02-05 00:58  kdebisschop

	* plugins/check_dns.c: allow check to proceed using servers from
	  resolv.conf

2003-02-05 00:57  kdebisschop

	* plugins/check_http.c: fix segfault due to bad asprintf invocation

2003-02-04 01:24  sghosh

	* plugins-scripts/Makefile.am:	install user:grp perms [patch
	  679703 -Detlef Boehm]

2003-02-04 01:16  sghosh

	* plugins-scripts/check_flexlm.pl: lmstat output update

2003-02-04 00:54  sghosh

	* plugins-scripts/check_ntp.pl: corrected ntpdate offset to seconds

2003-02-03 16:43  tonvoon

	* plugins/check_snmp.c: Avoid core dump with null or invalid data
	  (679400 - Mathieu Masseboeuf)

2003-02-03 16:33  tonvoon

	* plugins/Makefile.am: Patch for Mac OS X compile (652080 - Ton
	  Voon)

2003-02-03 15:43  sghosh

	* contrib/tarballs/check_cit.tgz: Citrix plugin

2003-02-03 15:35  sghosh

	* command.cfg.in: more sample command configurations

2003-02-03 15:29  sghosh

	* configure.in, plugins-scripts/check_ntp.pl,
	  plugins-scripts/utils.pm.in: change ntpdc to ntpq (Jonathan
	  Rozes,Thomas Schimpke, bug-656237 )

2003-02-03 10:47  sghosh

	* plugins-scripts/check_ntp.pl: patch for desync peer and ntpdate
	  (James Fidell)

2003-02-03 00:29  sghosh

	* plugins-scripts/check_ifstatus.pl:  bugfix [bug 651021 mperry2]

2003-02-03 00:07  sghosh

	* plugins/check_hpjd.c: added default community [bug-patch #600349
	  jbaumgartner]

2003-01-31 13:40  tonvoon

	* plugins/check_procs.c: Fix for zombie processes on Solaris (Bug
	  677803 - Matthew Brown)

2003-01-31 13:36  tonvoon

	* plugins/check_nt.c: Reapply all asprintf calls. Fix for %%
	  problem with -l flag.

2003-01-30 20:26  tonvoon

	* plugins/check_nt.c: Removed all unnecessary asprintf calls.
	  Replaced with original check_nt.c to minimise amount of changes
	  (reported by Reuben Farrelly)

2003-01-30 18:18  tonvoon

	* plugins/check_nt.c: Added reference to the official NSClient web
	  site

2003-01-30 17:57  tonvoon

	* plugins/check_swap.c: Fixed long --allswap option

2003-01-30 17:55  tonvoon

	* plugins/check_procs.c: Fixed progname

2003-01-29 15:57  tonvoon

	* plugins/check_mrtgtraf.c: Fixed error and success codes (638656 -
	  Paul Dlug)

2003-01-29 15:47  tonvoon

	* plugins-scripts/check_oracle.sh: Added cache and tablespace check
	  (621567 - John Marquart)

2003-01-29 15:33  tonvoon

	* plugins/: Makefile.am, check_nt.c: Added in check_nt for bug
	  646516

2003-01-29 01:38  kdebisschop

	* plugins/check_mysql.c: remove incorrect check_disk() declaration

2003-01-29 01:16  kdebisschop

	* plugins/check_ldap.c: fix segfault when argc>=2 and the -H or -b
	  options are not supplied

2003-01-29 01:15  kdebisschop

	* plugins/check_by_ssh.c: 1.8

2003-01-29 00:55  tonvoon

	* plugins/check_http.c: Better error if server requests client
	  based certificate (609382 - Olaf Greis)

2003-01-29 00:27  tonvoon

	* contrib/check_dns_random.pl: Exit code added (604837 - Lachlan
	  Cameron-Smith)

2003-01-29 00:10  tonvoon

	* plugins-scripts/check_oracle.sh: Added dummy login test (650970 -
	  Ton Voon)

2003-01-28 23:28  tonvoon

	* plugins/check_vsz.c: Error when no params passed, better invalid
	  params message (652086 - Ton Voon)

2003-01-28 23:11  tonvoon

	* plugins/check_procs.c: Fixed NULL status in Solaris (644783 -
	  Fabian Pehla) Fixed -p options (652082 - Ton Voon)

2003-01-28 02:44  kdebisschop

	* contrib/checkciscotemp.pl: typo: had commented use Net::SNMP for
	  testing

2003-01-28 02:42  kdebisschop

	* plugins/check_real.c: make sure host_name is set and remove NULL
	  string inits that can lead to segfaults

2003-01-28 02:26  kdebisschop

	* plugins/check_mysql.c: missed argc check on port parameter

2003-01-28 02:17  kdebisschop

	* contrib/checkciscotemp.pl: split and validate input more robustly

2003-01-28 02:15  kdebisschop

	* plugins/check_http.c: remove NULL string inits that can lead to
	  segfaults

2003-01-27 19:32  tonvoon

	* configure.in: ps support for Darwin / MacOSX

2003-01-27 06:53  kdebisschop

	* plugins/check_http.c: do not pass host if none is provided

2003-01-27 01:04  kdebisschop

	* plugins/check_http.c: we were sending extra CRLF

2003-01-19 01:34  kdebisschop

	* plugins-scripts/check_rpc.pl: indicate new default state in
	  get_rpcinfo, also fix a bunch of indents for consistent format

2003-01-17 00:56  sghosh

	* plugins-scripts/check_rpc.pl: bug fix for state and opt_c
	  initialization

2003-01-17 00:37  sghosh

	* plugins/check_snmp.c: Counter32 tag parsing added

2003-01-16 01:42  kdebisschop

	* plugins/: check_mysql.c, check_pgsql.c: semicolon needed where
	  progname define was replaced

2003-01-16 01:29  kdebisschop

	* plugins/check_http.c: add option to let regex span newlines

2003-01-16 01:28  kdebisschop

	* plugins/check_game.c: progname and print_usage need to be defined

2003-01-16 01:22  kdebisschop

	* plugins/check_radius.c: semicolon needed where praogname define
	  was replced

2003-01-16 01:10  kdebisschop

	* plugins/check_hpjd.c: semicolon needed where praogname define was
	  replced

2003-01-16 00:22  kdebisschop

	* configure.in: find kerberos libs in latest Red Hat beta

2003-01-16 00:21  kdebisschop

	* plugins/utils.c: restore max() macro

2003-01-16 00:20  kdebisschop

	* plugins/check_tcp.c: cleanup progname assignment

2003-01-16 00:19  kdebisschop

	* plugins-scripts/check_disk_smb.pl: accept $ for share and \\ for
	  users

2003-01-16 00:17  kdebisschop

	* plugins/check_by_ssh.c: avoid segfault when host is not given

2003-01-13 07:21  kdebisschop

	* contrib/: check_dhcp.c, check_fping_in.c, check_rbl.c: convert
	  PROGANE from a define to a const char

2003-01-13 07:15  kdebisschop

	* plugins/: check_by_ssh.c, check_dig.c, check_disk.c, check_dns.c,
	  check_dummy.c, check_fping.c, check_hpjd.c, check_http.c,
	  check_ldap.c, check_load.c, check_mrtg.c, check_mrtgtraf.c,
	  check_mysql.c, check_nagios.c, check_nwstat.c, check_overcr.c,
	  check_pgsql.c, check_ping.c, check_procs.c, check_radius.c,
	  check_real.c, check_smtp.c, check_snmp.c, check_ssh.c,
	  check_swap.c, check_tcp.c, check_time.c, check_udp.c,
	  check_ups.c, check_users.c, check_vsz.c, negate.c, urlize.c,
	  utils.c, utils.h.in: convert PROGANE from a define to a const
	  char

2003-01-13 07:13  kdebisschop

	* plugins/popen.c: change exit status to be POSIX compliant

2003-01-13 07:09  kdebisschop

	* plugins/check_nagios.c: check for a few null strings, change
	  PROGNAME from #define to const *char

2003-01-12 23:50  kdebisschop

	* plugins/check_disk.c: add options for excluding devices and for
	  skipping OK devices in summary

2003-01-02 22:24  kdebisschop

	* plugins/utils.c: protect against some null strings, make formats
	  more uniform

2002-12-19 14:30  kdebisschop

	* plugins/check_tcp.c: expect is +OK for SPOP too

2002-12-19 14:29  kdebisschop

	* plugins/check_tcp.c: server expect not getting set, expect is +OK
	  for POP

2002-12-19 14:20  kdebisschop

	* plugins/check_http.c: remove spurious CRLF

2002-11-29 07:02  stanleyhopcroft

	* contrib/check_citrix:
	  New plugin to check the ICA browse service (used by Citrix
	  Metaframe servers) from Ed Rolison and Tom De Blende.

2002-11-25 07:00  kdebisschop

	* plugins/check_tcp.c: was segfaulting if no dtat was returned

2002-11-24 08:43  kdebisschop

	* tools/snapshot: some fixes needed to move off old devel box

2002-11-24 08:09  kdebisschop

	* tools/snapshot: make routine snapshots of nagios and plugin CVS
	  to expand testing

2002-11-22 05:52  kdebisschop

	* plugins/check_ups.c: add replace battery condition, replace
	  unchecked strcat calls with asprintf (I do not think buffer
	  overflow was possible here, but lets be consistent)

2002-11-21 21:46  kdebisschop

	* configure.in: get long args output to work on check_procs by
	  putting incantations with -w ahead of others

2002-11-21 21:33  kdebisschop

	* configure.in: get long args output to work on linux check_procs,
	  actually works this time (needs OpenBSD testing)

2002-11-21 20:33  kdebisschop

	* plugins/check_procs.c: add a few comments, trap a few place where
	  a NULL string might have been handled

2002-11-21 20:31  kdebisschop

	* configure.in: get long args output to work on linux check_procs
	  (needs OpenBSD testing)

2002-11-21 07:40  kdebisschop

	* plugins/check_dig.c: fix empty output on errors

2002-11-20 06:56  kdebisschop

	* plugins/check_swap.c: add switch to evaluate each swap
	  individually

2002-11-20 06:28  kdebisschop

	* plugins/check_dig.c: fix solaris SEGV, still need to print
	  meaningful error text

2002-11-19 20:19  kdebisschop

	* plugins/check_by_ssh.c: in short options, t no no argument

2002-11-19 20:09  kdebisschop

	* plugins/check_dig.c: replace some strcpy with strscpy

2002-11-19 14:13  kdebisschop

	* plugins/Makefile.am: another try at portable symlinking

2002-11-19 14:07  kdebisschop

	* plugins/Makefile.am: another try at portable symlinking

2002-11-19 14:06  kdebisschop

	* plugins/check_time.c: explicitly cast recv() arg2 for SunOS5.6

2002-11-19 02:13  kdebisschop

	* plugins/Makefile.am: rewrite of install-exec-hook for solaris

2002-11-18 16:58  sghosh

	* contrib/: check_javaproc.pl, nagios_sendim.pl: javaproc, sendim

2002-11-18 09:46  sghosh

	* contrib-reporting/process_perfdata.pl: New directory to for
	  perfdata and reporting scripts

2002-11-18 06:24  kdebisschop

	* plugins/check_swap.c: test total swap instead of individual disks

2002-11-18 02:23  kdebisschop

	* plugins/check_disk.c: failed to handle multple disks

2002-11-18 02:22  kdebisschop

	* plugins/utils.c: more readable max_state() code

2002-11-16 07:57  kdebisschop

	* plugins/Makefile.am: fix too many sources problem for programs
	  tha are symlinks to check_tcp

2002-11-15 23:59  kdebisschop

	* plugins/check_snmp.c: my take on Subhendu's patches, plus a few
	  comments for clarity

2002-11-15 12:47  sghosh

	* plugins/check_snmp.c: memory bounds in options, no output
	  comparison case

2002-11-14 23:51  kdebisschop

	* nagios-plugins.spec.in: make spec work again, now that release is
	  in source name again

2002-11-14 19:51  kdebisschop

	* configure.in: release numbering fix

2002-11-14 19:50  kdebisschop

	* plugins/check_snmp.c: fix label handling, replace accidentally
	  deleted elseif l.310

2002-11-14 13:25  kdebisschop

	* Makefile.am, acconfig.h, configure.in, nagios-plugins.spec.in,
	  plugins/utils.c: fix bug with gettimeofday test, improve
	  version/release handling, update rpm spec

2002-11-14 13:23  kdebisschop

	* plugins/Makefile.am: fix typo in snprintf build

2002-11-14 00:36  kdebisschop

	* plugins/Makefile.am: can't drop these sources -- neded for dist

2002-11-14 00:27  kdebisschop

	* plugins/Makefile.am: fix build rule for snprintf

2002-11-14 00:25  kdebisschop

	* plugins/check_http.c: pagesize count off by one

2002-11-13 23:45  kdebisschop

	* plugins/check_http.c: clean up NULL from status on Solaris

2002-11-13 23:00  kdebisschop

	* configure.in: typo in AC_DEFINE of PS_FORMAT for solaris

2002-11-13 22:37  kdebisschop

	* plugins/Makefile.am: remove check_nt again

2002-11-13 22:09  kdebisschop

	* plugins/Makefile.am: back out last change -- it was only work in
	  progress

2002-11-13 21:26  kdebisschop

	* plugins/: Makefile.am, check_dns.c, check_ldap.c, check_mrtg.c,
	  check_mrtgtraf.c, check_nwstat.c, check_radius.c, utils.c,
	  version.h.in: remove call_getopt and ssprintf

2002-11-13 06:50  kdebisschop

	* plugins/: check_disk.c, check_dns.c, check_fping.c, check_hpjd.c,
	  check_mrtg.c, check_nwstat.c, check_ping.c, check_vsz.c,
	  urlize.c, utils.c: remove call_getopt and asprintf

2002-11-12 06:28  kdebisschop

	* plugins/check_dig.c: cleanup asprintf, old function decls

2002-11-12 06:26  kdebisschop

	* plugins/: check_mysql.c, check_real.c, check_ups.c: remove
	  call_getopt

2002-11-11 17:15  sghosh

	* plugins/check_snmp.c: should use asprintf

2002-11-11 15:19  sghosh

	* plugins/check_snmp.c: more snmpv3 patches

2002-11-11 14:29  sghosh

	* plugins/check_snmp.c: long opt for miblist, snmpv3 support
	  (rosenauer)

2002-11-11 11:04  sghosh

	* plugins/check_snmp.c: option to specify a miblist - llow

2002-11-11 10:43  sghosh

	* plugins/check_snmp.c: misc doc fix, missing verbose option

2002-11-09 06:37  kdebisschop

	* plugins/: check_ups.c, check_users.c: remove call_getopt

2002-11-08 23:22  kdebisschop

	* plugins/: check_by_ssh.c, check_dig.c, check_ping.c,
	  check_time.c: remove call_getopt

2002-11-08 23:21  kdebisschop

	* plugins/check_snmp.c: cleaner handling of DEFAULT_PORT

2002-11-08 22:43  kdebisschop

	* configure.in: add HPUX swap, try to cleanup getopt processing

2002-11-08 22:39  kdebisschop

	* plugins/: check_pgsql.c, check_ping.c, check_snmp.c, negate.c,
	  utils.h.in: define and use usage3 where second part of message is
	  a an int/char

2002-11-08 22:16  kdebisschop

	* plugins/snprintf.c: HAVE_C99_SNPRINTF is not tested, so remove
	  from ifdef

2002-11-08 03:07  kdebisschop

	* plugins/check_snmp.c: user reports NULL still getting into
	  asprintf

2002-11-08 03:06  kdebisschop

	* plugins/check_vsz.c: remove call_getopt

2002-11-08 02:20  kdebisschop

	* acconfig.h, configure.in, plugins/common.h.in, plugins/utils.c,
	  plugins/utils.h.in: patches required to build on solaris with
	  asprintf and gettimeofday

2002-11-08 02:18  kdebisschop

	* plugins/: check_http.c, check_load.c, check_ping.c,
	  check_procs.c, check_smtp.c, check_tcp.c: remove unused variables

2002-11-08 02:17  kdebisschop

	* tools/oneliners: some useful onliners

2002-11-07 09:30  kdebisschop

	* plugins/check_snmp.c: bugfixes to command format and (null) text
	  created by asprintf switch

2002-11-07 02:07  kdebisschop

	* plugins/check_by_ssh.c: remove call_getopt, add [] arougn time

2002-11-07 02:06  kdebisschop

	* configure.in: test snprintf function family for ifdefs in
	  snprintf.c

2002-10-30 13:47  kdebisschop

	* plugins/check_tcp.c: replace fixed-lentgh buffer with asprintf

2002-10-30 13:46  kdebisschop

	* plugins/check_udp.c: forgot to remove call_getopt

2002-10-30 13:44  kdebisschop

	* plugins/: check_ssh.c, check_swap.c: forgot to remove call_getopt
	  declaration

2002-10-30 13:29  kdebisschop

	* plugins/check_smtp.c: remove call_getopt, fix several buffer
	  overruns possible due to use of fixed size buffers

2002-10-30 13:22  kdebisschop

	* tools/setup: debian builds not actively maintained, so suppress
	  error in setup script

2002-10-30 00:07  sghosh

	* acconfig.h, configure.in, plugins-scripts/Makefile.am,
	  plugins-scripts/check_mailq.pl, plugins-scripts/utils.pm.in:
	  monitor mailq

2002-10-28 08:05  kdebisschop

	* plugins-scripts/: check_breeze.pl, check_disk_smb.pl,
	  check_flexlm.pl, check_log.sh, check_ntp.pl, check_rpc.pl,
	  check_sensors.sh, check_wave.pl: remove pspace in shebang since
	  no sequent users replied

2002-10-26 09:30  kdebisschop

	* nagios-plugins.spec.in: release should not be in tarball name

2002-10-25 09:58  kdebisschop

	* nagios-plugins.spec.in: tweak source macro

2002-10-25 08:35  kdebisschop

	* plugins/Makefile.am: remove check_nt

2002-10-24 22:31  kdebisschop

	* Makefile.am, plugins/Makefile.am: include getloadavg sources, add
	  some Solaris pkg build support

2002-10-22 05:13  kdebisschop

	* plugins/check_ssh.c: remove call_getopt, replace ssprintf with
	  asprintf,better server version reporting

2002-10-22 04:54  kdebisschop

	* plugins/check_tcp.c: add check_spop

2002-10-22 04:19  kdebisschop

	* plugins/check_procs.c: remove call_getopt, replace ssprintf with
	  asprintf

2002-10-21 22:57  sghosh

	* contrib/check_procr.sh: From: Jerome Tytgat - checks to see if
	  named process is running

2002-10-21 21:31  sghosh

	* README, plugins/check_nt.c: check_nt is downloadable from
	  nsclient.ready2run.nl

2002-10-21 01:04  kdebisschop

	* plugins/check_swap.c: use asprintf instead of ssprintf

2002-10-21 00:36  kdebisschop

	* plugins/Makefile.am: need to define SOURCES for check_tcp to also
	  build as check_ftp,check_imap,check_nntp,check_pop

2002-10-21 00:05  kdebisschop

	* plugins/utils.c: use asprintf to do strscpy

2002-10-21 00:04  kdebisschop

	* plugins/Makefile.am: roll check_ftp, check_imap, check_pop, and
	  check_nntp into check_tcp

2002-10-21 00:03  kdebisschop

	* plugins/: check_ftp.c, check_imap.c, check_nntp.c, check_pop.c:
	  these are all combined into check_tcp now

2002-10-20 23:55  kdebisschop

	* plugins/check_load.c: remove broken call_getopt

2002-10-20 23:43  kdebisschop

	* plugins/check_snmp.c: cleanup process_arguments, print_help, and
	  print_usage

2002-10-20 23:40  kdebisschop

	* plugins/check_pgsql.c: now we provide long opts if they do not
	  exist

2002-10-20 16:22  kdebisschop

	* plugins/check_snmp.c: fixed scanning for multiple OIDs, which was
	  not working

2002-10-20 14:49  kdebisschop

	* plugins/check_snmp.c: change ssprintf to asprintf back out change
	  at line 225 in r1.4	(values were mismatched to format string,
	  so output was nonsense)   (I left a comment showing a construct
	  that should work, but it fails for PHBs:     if my disk gets
	  nearly full, they want 'CRITICAL - 99%' not 'CRITICAL - Gauge32:
	  99')	 (If someine has a rationale for the change, maybe it could
	  be done as an option? - it seems     fairly clear that the Web
	  display should be sensible to PHBs so long as there's no real
	  loss)

2002-10-18 02:41  kdebisschop

	* plugins/check_swap.c: remove old call_getopt

2002-10-18 01:55  kdebisschop

	* plugins/check_load.c: remove old call_getopt code, fix bug taking
	  single float, allow colon as separators in additin to commas

2002-10-18 00:41  kdebisschop

	* plugins/utils.c: handle null src in strscat

2002-10-17 23:48  kdebisschop

	* plugins/check_tcp.c: millisecond timing

2002-10-17 23:46  kdebisschop

	* plugins/utils.h.in: refine STD_LONG_OPTS

2002-10-17 23:46  kdebisschop

	* plugins/check_http.c: provide on more decimal point printing time

2002-10-17 23:45  kdebisschop

	* plugins/check_ping.c: remove broken call_getopt stuff

2002-10-17 02:09  kdebisschop

	* plugins/check_tcp.c: using asprintf

2002-10-17 02:06  kdebisschop

	* INSTALL, INSTALLING, tools/setup: revise now that aclocal is
	  remved from CVS

2002-10-16 18:26  kdebisschop

	* configure.in: need some quoting on ifdef

2002-10-16 18:17  kdebisschop

	* acinclude.m4, configure.in: finally a working fix for
	  AM/AC_FUNC_STRTOD nightmare

2002-10-16 18:01  kdebisschop

	* configure.in: mismatched quote

2002-10-16 17:54  kdebisschop

	* configure.in: missing commas

2002-10-16 17:46  kdebisschop

	* configure.in: complains on paren in comment

2002-10-16 17:43  kdebisschop

	* acinclude.m4: lost a paren

2002-10-16 17:41  kdebisschop

	* acinclude.m4: old auto???? has AM_FUNC_STRTOD, now renamed
	  AC_FUNC_STRTOD

2002-10-16 17:32  kdebisschop

	* plugins/: check_http.c, utils.c, utils.h.in: millisecond timimg
	  where supported

2002-10-16 17:31  kdebisschop

	* configure.in, missing: build cleanly on RedHat 8.0

2002-10-16 06:46  kdebisschop

	* .cvsignore: ignore aclocal.m4

2002-10-16 06:34  kdebisschop

	* configure.in: AM_STRTOD was a typo

2002-10-16 06:31  kdebisschop

	* aclocal.m4: automake invokes acloacl on each run - it cannot be
	  right to include this

2002-10-16 06:18  kdebisschop

	* acconfig.h: better checks for vsnprintf stuff

2002-10-16 06:14  kdebisschop

	* plugins/check_http.c, configure.in: use asprintf

2002-10-16 06:14  kdebisschop

	* plugins/utils.c: use asprintf to construct strscat

2002-10-16 00:57  kdebisschop

	* plugins/popen.h.in: timeout interval is extern

2002-10-16 00:56  kdebisschop

	* plugins/: utils.h.in, utils.c: start support for gettimeofday and
	  tv_usec

2002-10-16 00:54  kdebisschop

	* aclocal.m4: generated with automake 1.6 / autoconf 2.53 (maybe
	  should not be in CVS, however)

2002-10-16 00:52  kdebisschop

	* plugins/snprintf.c: newer snprintf from samba.org

2002-10-16 00:43  kdebisschop

	* Makefile.am: cosmetic line wrap before 80 chars

2002-10-16 00:42  kdebisschop

	* depcomp, .cvsignore: needed for automake 1.6 / autoconf 2.53

2002-10-16 00:41  kdebisschop

	* configure.in: work with newer automake, begin swithc to asprintf

2002-10-15 02:23  sghosh

	* plugins-scripts/check_ifoperstatus.pl: new exit states, more
	  conditional checking

2002-10-07 15:05  sghosh

	* plugins/check_dns.c: patch for expected IP address

2002-10-06 21:34  kdebisschop

	* plugins/popen.c: make sure we do not run past the end of an
	  unterminated string

2002-10-06 21:19  kdebisschop

	* plugins/negate.c: use asprintf, inhibit splint warning

2002-10-05 07:08  kdebisschop

	* getloadavg.m4, plugins/getloadavg.c: lets use library instead od
	  inconsistent command line interfaces

2002-09-25 22:17  kdebisschop

	* plugins/urlize.c: use ssprintf instead of sprintf

2002-09-25 04:01  kdebisschop

	* plugins/check_http.c: incorporate comment on my_recv from Russell
	  Scibetti

2002-09-25 03:58  kdebisschop

	* plugins/check_http.c: incorporate comments from Russell Scibetti

2002-09-24 01:16  kdebisschop

	* plugins/check_http.c: replace remaining occurences of sprintf
	  with snprintf

2002-09-15 20:47  kdebisschop

	* INSTALL: needed for latest autoconf

2002-09-15 20:47  kdebisschop

	* Makefile.am, aclocal.m4, configure.in, nagios-plugins.spec.in:
	  finish ckleanup of rpm spec porcessing

2002-09-14 17:11  kdebisschop

	* nagios-plugins.spec, nagios-plugins.spec.in: complete spec based
	  on confugure.in

2002-09-14 17:06  kdebisschop

	* make-tarball, rpm: automake makes the dist tarball, rpmbuild -ta
	  makes the rpm

2002-09-13 22:27  kdebisschop

	* plugins/check_tcp.c: time data in performance string

2002-09-13 22:23  kdebisschop

	* plugins/check_http.c: time data in performance string

2002-09-13 22:13  kdebisschop

	* plugins-scripts/check_log.sh: patch from Matthew Peters
	  <mattp@esec.com.au>, plus turned up a few bugs on my own

2002-09-11 22:43  kdebisschop

	* plugins/Makefile.am: negate wrapper

2002-09-08 08:05  kdebisschop

	* plugins/negate.c: wrapper to invert return status

2002-09-08 08:05  kdebisschop

	* plugins/utils.c: clears up warnings in splint

2002-09-05 22:25  kdebisschop

	* plugins-scripts/check_rpc.pl: case on key to ERRORS hash

2002-09-04 02:00  sghosh

	* configure.in: more Mysql patches

2002-09-03 22:12  sghosh

	* plugins-scripts/check_ntp.pl: dispersion check now controlled by
	  warn and crit

2002-09-03 22:11  sghosh

	* configure.in: Mysql dir fix

2002-09-03 22:10  sghosh

	* contrib/: check_ifoperstatus.pl, check_ifstatus.pl: moved to
	  supported plugins-scripts

2002-09-02 14:47  sghosh

	* plugins/check_smtp.c: new -f option for adding a FROM address for
	  RFC correctness

2002-09-01 12:22  sghosh

	* INSTALL, INSTALLING: file rename for MacOS X

2002-09-01 12:18  sghosh

	* plugins/check_smtp.c: Valid MAIL command

2002-08-22 18:08  sghosh

	* contrib/check_snmp_process_monitor.pl: updates

2002-08-22 10:43  sghosh

	* command.cfg.in: smsclient config

2002-08-22 10:42  sghosh

	* contrib/: check_snmp_disk_monitor.pl,
	  check_snmp_process_monitor.pl: new plugins contrib

2002-08-18 14:03  kdebisschop

	* plugins/check_by_ssh.c: typo in options passed to ssh for ipv6.
	  fix by setting a generic hook for 1-char pasthhru options

2002-08-14 15:17  sghosh

	* plugins-scripts/check_disk_smb.pl: patch for admin shares

2002-08-14 15:07  sghosh

	* command.cfg.in: qpage definitions

2002-08-14 15:06  sghosh

	* plugins-scripts/check_ifstatus.pl: skip PPP interfaces

2002-08-14 15:04  sghosh

	* plugins/check_smtp.c: added HELO command

2002-08-14 15:04  sghosh

	* plugins/check_by_ssh.c: ipv4/ipv6 switch added

2002-08-14 15:03  sghosh

	* plugins/check_hpjd.c: net-snmp v5x fix

2002-08-14 15:02  sghosh

	* contrib/check_apc_ups.pl: fix for ePN

2002-08-14 15:01  sghosh

	* contrib/: check_linux_raid.pl, check_nagios_db.pl:  new plugins

2002-08-14 15:00  sghosh

	* contrib/check_inodes-freebsd.pl: check inodes - freebsd  -
	  candidate for merge with check_inodes

2002-08-14 11:29  sghosh

	* contrib/check_smb.sh: new smb check - users

2002-08-12 23:18  egalstad

	* plugins/check_game.c: Mod to display current/max number of
	  players in a game (Frank Kannemann)

2002-08-12 19:09  egalstad

	* contrib/check_disk_snmp.pl: Updated to use getopt (Christoph
	  Maser)

2002-08-01 01:06  sghosh

	* plugins/check_snmp.c: re-patched exit state comparison

2002-08-01 00:54  sghosh

	* plugins/check_snmp.c: port option added, -c support net-snmpv5,
	  complete response string output

2002-08-01 00:46  egalstad

	* contrib/check_digitemp.pl: Add Brian Lane's Digitemp (1-wire temp
	  sensor) plugin

2002-07-16 00:13  egalstad

	* contrib/check_disk_snmp.pl: Christoph Maser's plugin to check
	  disk usage via SNMP3

2002-07-15 20:04  stanleyhopcroft

	* contrib/check_ms_spooler.pl: Primitive and in need of refinement
	  test of MS spooler (with smbclient)

2002-07-04 18:02  sghosh

	* contrib/check_procl.sh: Jerome Tytgat - accumulated/percentage
	  CPU/MEM per process - bash plugin

2002-07-04 00:05  sghosh

	* INSTALL: doc update

2002-06-28 17:08  sghosh

	* INSTALL: note about autoconf/automake version

2002-06-25 17:32  sghosh

	* contrib/check_rbl.c: Check if IP address is specified on RBL -
	  Tim Bell

2002-06-25 09:55  sghosh

	* contrib/check_lmmon.pl: check motherboard/cpu temp via lmmon

2002-06-24 17:29  sghosh

	* plugins/check_http.c: ignore return status codes if user
	  specified status line check

2002-06-24 16:41  sghosh

	* plugins/check_snmp.c: printf bug for large numbers - Jeff Murray

2002-06-20 00:27  sghosh

	* plugins-scripts/check_disk_smb.pl: logic fix for disk space
	  thresholds

2002-06-19 01:11  sghosh

	* plugins/: check_dig.c, check_dns.c, check_fping.c, check_hpjd.c,
	  check_nagios.c, check_ping.c, check_snmp.c, check_vsz.c,
	  urlize.c, utils.c, utils.h.in: more POSIX return value comparison
	  related code fixes

2002-06-18 23:09  sghosh

	* plugins/: check_disk.c, check_ping.c, check_procs.c: fixes for
	  using POSIX return codes

2002-06-17 21:06  sghosh

	* plugins/common.h.in:	updated to POSIX return codes

2002-06-17 21:05  sghosh

	* contrib/check_cluster.c: Ethan's check_cluster

2002-06-13 16:49  sghosh

	* plugins/check_smtp.c: conformance to RFC 821 <CRLF>

2002-06-12 23:03  sghosh

	* configure.in: use xntpdc on Solaris for check_ntp

2002-06-09 23:24  sghosh

	* plugins/check_smtp.c: patch to stop NOQUEUE syslog messages -
	  Karl Ewald

2002-06-07 20:33  sghosh

	* plugins-scripts/check_ntp.pl: xntpdc/ntpdc patch - John Koyle

2002-06-06 00:16  sghosh

	* plugins-scripts/: subst.in, utils.sh.in: corrected result codes -
	  for sh; corrected substition for libexec - Tom Bertelson

2002-06-06 00:15  sghosh

	* plugins/check_disk.c: added option for mount point - Tom
	  Bertelson

2002-06-06 00:15  sghosh

	* plugins-scripts/check_oracle.sh: Add test for Oracle name server,
	  can dynamicall determine ORACLE_HOME - tom Bertelson

2002-06-06 00:14  sghosh

	* plugins-scripts/check_flexlm.pl: conditional on lmstat

2002-06-06 00:13  sghosh

	* plugins-scripts/check_ntp.pl: conditional on ntpdc

2002-05-28 20:57  sghosh

	* command.cfg.in: notes added

2002-05-27 23:14  sghosh

	* command.cfg.in: option updates, more examples

2002-05-27 22:41  sghosh

	* command.cfg.in: option updates, more examples

2002-05-26 22:10  sghosh

	* plugins-scripts/check_ntp.pl: checked in too quickly

2002-05-26 22:05  sghosh

	* doc/: README, developer-guidelines.html,
	  developer-guidelines.sgml: added developer guidelines.

2002-05-26 22:03  sghosh

	* configure.in: typo, AIX 4.3 ps, smbclient, Net::SNMP fixes

2002-05-26 22:01  sghosh

	* acconfig.h, plugins-scripts/utils.pm.in:  new var - smbclient

2002-05-26 21:56  sghosh

	* plugins-scripts/check_ntp.pl: logic reorg, ePN fix and support
	  for utils.pm

2002-05-26 21:55  sghosh

	* plugins-scripts/check_disk_smb.pl: ePN fix and support for
	  utils.pm

2002-05-23 12:39  sghosh

	* contrib/: check_log2.pl, check_vcs.pl: New plugins from Aaron
	  Bostick - Veritas Cluster, logfile

2002-05-09 23:51  sghosh

	* plugins-scripts/check_rpc.pl: updates for ePN, patch for multiple
	  version check

2002-05-09 23:49  sghosh

	* configure.in, plugins-scripts/utils.pm.in: added programs to
	  autoconf

2002-05-09 23:49  sghosh

	* acconfig.h: Added programs for autoconf

2002-05-09 15:03  sghosh

	* plugins-scripts/: Makefile.am, check_ifoperstatus.pl: migrated
	  check_ifoperstatus to standard plugin

2002-05-08 11:35  sghosh

	* plugins/check_ping.c:  patch for Suse 8.0 loss output

2002-05-08 01:10  sghosh

	* plugins-scripts/utils.pm.in:	is_hostname added, update CODES to
	  POSIX

2002-05-08 01:07  sghosh

	* plugins/: check_hpjd.c, check_ups.c: updated notes

2002-05-08 01:04  sghosh

	* configure.in: updated messages and check for host command

2002-05-08 00:58  sghosh

	* plugins-scripts/: Makefile.am, check_ifstatus.pl: moved updated
	  check_ifstatus to standard plugin

2002-05-07 01:35  sghosh

	* plugins-scripts/: check_breeze.pl, check_flexlm.pl,
	  check_ircd.pl, check_netdns.pl, check_ntp.pl, check_wave.pl: 2nd
	  fix for ePN

2002-05-02 12:43  sghosh

	* plugins-scripts/: check_breeze.pl, check_disk_smb.pl,
	  check_flexlm.pl, check_ircd.pl, check_netdns.pl, check_ntp.pl,
	  check_rpc.pl, check_wave.pl: fix for embedded perl

2002-05-02 12:22  sghosh

	* tools/: README, mini_epn.c, p1.pl: updated mini_epn and p1.pl
	  added to plugins distribution

2002-05-01 17:12  sghosh

	* contrib/tarballs/fetchlog-0.92.tar.gz: remote log check (via snmp
	  possible) by	Alexander Haderer

2002-04-28 22:58  kdebisschop

	* plugins/getopt.h: failed to carry over from old plugins, listed
	  in EXTRA_DIST, needed for build

2002-04-23 08:50  sghosh

	* plugins/check_ping.c: corrected program name and added rtt patch
	  for RH7.2+beta

2002-04-18 17:59  egalstad

	* contrib/check_inodes.pl: add check_inodes contrib plugin by John
	  Jolet

2002-04-18 00:38  egalstad

	* configure.in: configure script patch for ping syntax

2002-04-07 00:13  sghosh

	* contrib/: check_backup.pl, check_dl_size.pl: plugins from Patrick
	  Greenwell

2002-04-05 17:22  sghosh

	* acconfig.h: added HOST_COMMAND

2002-04-05 17:19  sghosh

	* contrib/tarballs/check_spread.tar: plugin to check spread
	  messaging toolkit

2002-04-02 21:58  sghosh

	* contrib/check_oracle_instance.pl:  from Sven Dolderer - check
	  oracle instance

2002-04-02 21:56  sghosh

	* plugins-scripts/check_nfs.pl: check_nfs functionality exists in
	  check_rpc

2002-03-18 00:15  sghosh

	* plugins-scripts/subst.in: function to update perl plugin scripts
	  to find utils.pm

2002-02-28 21:53  egalstad

	* plugins/: .cvsignore, config.h.in: Fix for stupid me

2002-02-28 21:42  egalstad

	* contrib/check_breeze.pl, contrib/check_dhcp.c,
	  contrib/check_flexlm.pl, contrib/check_hltherm.c,
	  contrib/check_hprsc.pl, contrib/check_ipxping.c,
	  contrib/check_memory.tgz, contrib/check_mysql.c,
	  contrib/check_uptime.c, contrib/check_wave.pl,
	  contrib/readme.txt, contrib/tarballs/berger-ping.tar.gz,
	  contrib/tarballs/bowen-langley_plugins.tar.gz,
	  contrib/tarballs/check_bgp-1.0.tar.gz,
	  contrib/tarballs/check_breeze.tar.gz,
	  contrib/tarballs/check_flexlm.tar.gz,
	  contrib/tarballs/check_hltherm.tar.gz,
	  contrib/tarballs/check_hprsc.tar.gz,
	  contrib/tarballs/check_memory.tgz,
	  contrib/tarballs/check_radius.tar.gz,
	  contrib/tarballs/check_wave.tar.gz,
	  contrib/tarballs/hopcroft-plugins.tar.gz,
	  contrib/tarballs/radius.tar.gz, plugins/.cvsignore,
	  plugins/config.h.in: Contrib plugin cleanup

2002-02-28 01:42  egalstad

	* .cvsignore, AUTHORS, CODING, COPYING, ChangeLog, FAQ, Helper.pm,
	  INSTALL, Makefile.am, NEWS, README, REQUIREMENTS, ROADMAP,
	  Requirements, acconfig.h, aclocal.m4, command.cfg.in, LEGAL,
	  configure.in, install-sh, make-tarball, missing, mkinstalldirs,
	  nagios-plugins.spec, opttest.pl, package.def, rpm, subst.in,
	  subst.sh, test.pl.in, contrib/check_apache.pl,
	  contrib/check_apc_ups.pl, contrib/check_bgpstate.pl,
	  contrib/check_dhcp.c, contrib/check_dlswcircuit.pl,
	  contrib/check_dns_random.pl, contrib/check_email_loop.pl,
	  contrib/check_fping_in.c, contrib/check_ftpget.pl,
	  contrib/check_ifoperstatus.pl, contrib/check_ifstatus.pl,
	  contrib/check_pop3.pl, contrib/check_qmailq.pl,
	  contrib/check_timeout.c, contrib/checkciscotemp.pl,
	  contrib/check_ipxping.c, contrib/check_joy.sh,
	  contrib/check_maxchannels.pl, contrib/check_maxwanstate.pl,
	  contrib/check_mem.pl, contrib/check_memory.tgz,
	  contrib/check_mysql.c, contrib/check_mysql.pl,
	  contrib/check_netapp.pl, contrib/check_nmap.py,
	  contrib/check_nwstat.pl, contrib/check_ora_table_space.pl,
	  contrib/check_rrd_data.pl, contrib/check_sap.sh,
	  contrib/check_sockets.pl, contrib/check_uptime.c,
	  contrib/maser-oracle.pl, contrib/mrtgext.pl, contrib/readme.txt,
	  contrib/restrict.pl, contrib/utils.py, contrib/check_nagios.pl,
	  contrib/urlize.pl, contrib/aix/check_crit_dsk,
	  contrib/aix/check_dsk, contrib/aix/check_failed,
	  contrib/aix/check_io, contrib/aix/check_kerberos,
	  contrib/aix/check_ping, contrib/aix/check_queue,
	  contrib/aix/pg_stat, contrib/tarballs/berger-ping.tar.gz,
	  contrib/tarballs/bowen-langley_plugins.tar.gz,
	  contrib/tarballs/check_bgp-1.0.tar.gz,
	  contrib/tarballs/check_breeze.tar.gz,
	  contrib/tarballs/check_flexlm.tar.gz,
	  contrib/tarballs/check_hltherm.tar.gz,
	  contrib/tarballs/check_hprsc.tar.gz,
	  contrib/tarballs/check_radius.tar.gz,
	  contrib/tarballs/check_wave.tar.gz,
	  contrib/tarballs/hopcroft-plugins.tar.gz,
	  contrib/tarballs/radius.tar.gz, plugins/.cvsignore,
	  plugins/Makefile.am, plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_ftp.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide-smart.c, plugins/check_imap.c,
	  plugins/check_ldap.c, plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nntp.c, plugins/check_nt.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_pop.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/check_time.c,
	  plugins/check_udp.c, plugins/check_ups.c, plugins/check_users.c,
	  plugins/check_vsz.c, plugins/common.h.in, plugins/getopt.c,
	  plugins/getopt1.c, plugins/netutils.c, plugins/netutils.h.in,
	  plugins/popen.c, plugins/popen.h.in, plugins/snprintf.c,
	  plugins/urlize.c, plugins/check_nagios.c, plugins/utils.c,
	  plugins/utils.h.in, plugins/version.h.in, plugins/t/check_disk.t,
	  plugins/t/check_dns.t, plugins/t/check_fping.t,
	  plugins/t/check_ftp.t, plugins/t/check_hpjd.t,
	  plugins/t/check_http.t, plugins/t/check_imap.t,
	  plugins/t/check_load.t, plugins/t/check_mysql.t,
	  plugins/t/check_ping.t, plugins/t/check_pop.t,
	  plugins/t/check_procs.t, plugins/t/check_smtp.t,
	  plugins/t/check_snmp.t, plugins/t/check_swap.t,
	  plugins/t/check_tcp.t, plugins/t/check_time.t,
	  plugins/t/check_udp.t, plugins/t/check_users.t,
	  plugins/t/check_vsz.t, plugins/tests/check_disk,
	  plugins/tests/check_dns, plugins/tests/check_ftp,
	  plugins/tests/check_hpjd, plugins/tests/check_http,
	  plugins/tests/check_load, plugins/tests/check_ping,
	  plugins/tests/check_procs, plugins/tests/check_swap,
	  plugins/tests/check_users, plugins/tests/check_vsz,
	  plugins-scripts/.cvsignore, plugins-scripts/Makefile.am,
	  plugins-scripts/check_breeze.pl,
	  plugins-scripts/check_disk_smb.pl,
	  plugins-scripts/check_flexlm.pl, plugins-scripts/check_ircd.pl,
	  plugins-scripts/check_log.sh, plugins-scripts/check_netdns.pl,
	  plugins-scripts/check_nfs.pl, plugins-scripts/check_ntp.pl,
	  plugins-scripts/check_oracle.sh, plugins-scripts/check_rpc.pl,
	  plugins-scripts/check_sensors.sh, plugins-scripts/check_wave.pl,
	  plugins-scripts/subst.in, plugins-scripts/utils.pm.in,
	  plugins-scripts/utils.sh.in, plugins-scripts/t/check_rpc.t,
	  tools/setup, tools/tango: Initial import of existing plugin code

2002-02-28 01:42  egalstad

	* .cvsignore, AUTHORS, CODING, COPYING, ChangeLog, FAQ, Helper.pm,
	  INSTALL, Makefile.am, NEWS, README, REQUIREMENTS, ROADMAP,
	  Requirements, acconfig.h, aclocal.m4, command.cfg.in, LEGAL,
	  configure.in, install-sh, make-tarball, missing, mkinstalldirs,
	  nagios-plugins.spec, opttest.pl, package.def, rpm, subst.in,
	  subst.sh, test.pl.in, contrib/check_apache.pl,
	  contrib/check_apc_ups.pl, contrib/check_bgpstate.pl,
	  contrib/check_dhcp.c, contrib/check_dlswcircuit.pl,
	  contrib/check_dns_random.pl, contrib/check_email_loop.pl,
	  contrib/check_fping_in.c, contrib/check_ftpget.pl,
	  contrib/check_ifoperstatus.pl, contrib/check_ifstatus.pl,
	  contrib/check_pop3.pl, contrib/check_qmailq.pl,
	  contrib/check_timeout.c, contrib/checkciscotemp.pl,
	  contrib/check_ipxping.c, contrib/check_joy.sh,
	  contrib/check_maxchannels.pl, contrib/check_maxwanstate.pl,
	  contrib/check_mem.pl, contrib/check_memory.tgz,
	  contrib/check_mysql.c, contrib/check_mysql.pl,
	  contrib/check_netapp.pl, contrib/check_nmap.py,
	  contrib/check_nwstat.pl, contrib/check_ora_table_space.pl,
	  contrib/check_rrd_data.pl, contrib/check_sap.sh,
	  contrib/check_sockets.pl, contrib/check_uptime.c,
	  contrib/maser-oracle.pl, contrib/mrtgext.pl, contrib/readme.txt,
	  contrib/restrict.pl, contrib/utils.py, contrib/check_nagios.pl,
	  contrib/urlize.pl, contrib/aix/check_crit_dsk,
	  contrib/aix/check_dsk, contrib/aix/check_failed,
	  contrib/aix/check_io, contrib/aix/check_kerberos,
	  contrib/aix/check_ping, contrib/aix/check_queue,
	  contrib/aix/pg_stat, contrib/tarballs/berger-ping.tar.gz,
	  contrib/tarballs/bowen-langley_plugins.tar.gz,
	  contrib/tarballs/check_bgp-1.0.tar.gz,
	  contrib/tarballs/check_breeze.tar.gz,
	  contrib/tarballs/check_flexlm.tar.gz,
	  contrib/tarballs/check_hltherm.tar.gz,
	  contrib/tarballs/check_hprsc.tar.gz,
	  contrib/tarballs/check_radius.tar.gz,
	  contrib/tarballs/check_wave.tar.gz,
	  contrib/tarballs/hopcroft-plugins.tar.gz,
	  contrib/tarballs/radius.tar.gz, plugins/.cvsignore,
	  plugins/Makefile.am, plugins/check_by_ssh.c, plugins/check_dig.c,
	  plugins/check_disk.c, plugins/check_dns.c, plugins/check_dummy.c,
	  plugins/check_fping.c, plugins/check_ftp.c, plugins/check_game.c,
	  plugins/check_hpjd.c, plugins/check_http.c,
	  plugins/check_ide-smart.c, plugins/check_imap.c,
	  plugins/check_ldap.c, plugins/check_load.c, plugins/check_mrtg.c,
	  plugins/check_mrtgtraf.c, plugins/check_mysql.c,
	  plugins/check_nntp.c, plugins/check_nt.c, plugins/check_nwstat.c,
	  plugins/check_overcr.c, plugins/check_pgsql.c,
	  plugins/check_ping.c, plugins/check_pop.c, plugins/check_procs.c,
	  plugins/check_radius.c, plugins/check_real.c,
	  plugins/check_smtp.c, plugins/check_snmp.c, plugins/check_ssh.c,
	  plugins/check_swap.c, plugins/check_tcp.c, plugins/check_time.c,
	  plugins/check_udp.c, plugins/check_ups.c, plugins/check_users.c,
	  plugins/check_vsz.c, plugins/common.h.in, plugins/getopt.c,
	  plugins/getopt1.c, plugins/netutils.c, plugins/netutils.h.in,
	  plugins/popen.c, plugins/popen.h.in, plugins/snprintf.c,
	  plugins/urlize.c, plugins/check_nagios.c, plugins/utils.c,
	  plugins/utils.h.in, plugins/version.h.in, plugins/t/check_disk.t,
	  plugins/t/check_dns.t, plugins/t/check_fping.t,
	  plugins/t/check_ftp.t, plugins/t/check_hpjd.t,
	  plugins/t/check_http.t, plugins/t/check_imap.t,
	  plugins/t/check_load.t, plugins/t/check_mysql.t,
	  plugins/t/check_ping.t, plugins/t/check_pop.t,
	  plugins/t/check_procs.t, plugins/t/check_smtp.t,
	  plugins/t/check_snmp.t, plugins/t/check_swap.t,
	  plugins/t/check_tcp.t, plugins/t/check_time.t,
	  plugins/t/check_udp.t, plugins/t/check_users.t,
	  plugins/t/check_vsz.t, plugins/tests/check_disk,
	  plugins/tests/check_dns, plugins/tests/check_ftp,
	  plugins/tests/check_hpjd, plugins/tests/check_http,
	  plugins/tests/check_load, plugins/tests/check_ping,
	  plugins/tests/check_procs, plugins/tests/check_swap,
	  plugins/tests/check_users, plugins/tests/check_vsz,
	  plugins-scripts/.cvsignore, plugins-scripts/Makefile.am,
	  plugins-scripts/check_breeze.pl,
	  plugins-scripts/check_disk_smb.pl,
	  plugins-scripts/check_flexlm.pl, plugins-scripts/check_ircd.pl,
	  plugins-scripts/check_log.sh, plugins-scripts/check_netdns.pl,
	  plugins-scripts/check_nfs.pl, plugins-scripts/check_ntp.pl,
	  plugins-scripts/check_oracle.sh, plugins-scripts/check_rpc.pl,
	  plugins-scripts/check_sensors.sh, plugins-scripts/check_wave.pl,
	  plugins-scripts/subst.in, plugins-scripts/utils.pm.in,
	  plugins-scripts/utils.sh.in, plugins-scripts/t/check_rpc.t,
	  tools/setup, tools/tango: Initial revision

